# -*- coding: UTF-8 -*-
"""
Urlify has support for PinYin, Latin, Greek, Turkish, Russian, Ukranian, 
Czech and Polish maps. These maps are acquired from pyzh project
<http://code.google.com/p/pyzh/> and Django project
<http://www.djangoproject.com/>. So these maps are not under the tems of 
GPLv3 license.

"""


pinyin_map = {
u'耀':(u'yao',), 
u'涉':(u'she',), 
u'谈':(u'tan',), 
u'伊':(u'yi',), 
u'亟':(u'ji', u'qi'), 
u'洞':(u'dong',), 
u'咣':(u'guang',), 
u'猢':(u'hu',), 
u'悫':(u'que',), 
u'缪':(u'mou', u'miu', u'miao'), 
u'河':(u'he',), 
u'临':(u'lin',), 
u'犷':(u'guang',), 
u'吸':(u'xi',), 
u'娼':(u'chang',), 
u'线':(u'xian',), 
u'反':(u'fan',), 
u'牌':(u'pai',), 
u'雏':(u'chu',), 
u'姑':(u'gu',), 
u'硐':(u'dong',), 
u'鳓':(u'le',), 
u'卢':(u'lu',), 
u'知':(u'zhi',), 
u'除':(u'chu',), 
u'彪':(u'biao',), 
u'闹':(u'nao',), 
u'廿':(u'nian',), 
u'覆':(u'fu',), 
u'辊':(u'gun',), 
u'应':(u'ying',), 
u'蠛':(u'mie',), 
u'踟':(u'chi',), 
u'儡':(u'lei',), 
u'皤':(u'po',), 
u'崩':(u'beng',), 
u'芬':(u'fen',), 
u'冶':(u'ye',), 
u'钸':(u'bu',), 
u'骼':(u'ge',), 
u'赉':(u'lai',), 
u'湟':(u'huang',), 
u'跞':(u'li',), 
u'囤':(u'tun', u'dun'), 
u'峨':(u'e',), 
u'括':(u'kuo',), 
u'棰':(u'chui',), 
u'豳':(u'bin',), 
u'滴':(u'di',), 
u'须':(u'xu',), 
u'孽':(u'nie',), 
u'鹿':(u'lu',), 
u'沉':(u'chen',), 
u'上':(u'shang',), 
u'犍':(u'qian', u'jian'), 
u'后':(u'hou',), 
u'碑':(u'bei',), 
u'餐':(u'can',), 
u'怖':(u'bu',), 
u'蒙':(u'meng',), 
u'邡':(u'fang',), 
u'砦':(u'zhai',), 
u'鲩':(u'huan',), 
u'枯':(u'ku',), 
u'伴':(u'ban',), 
u'玷':(u'dian',), 
u'逶':(u'wei',), 
u'离':(u'li',), 
u'羿':(u'yi',), 
u'浈':(u'zhen',), 
u'壑':(u'he',), 
u'罔':(u'wang',), 
u'盥':(u'guan',), 
u'裱':(u'biao',), 
u'号':(u'hao',), 
u'灶':(u'zao',), 
u'铹':(u'lao',), 
u'姻':(u'yin',), 
u'忿':(u'fen',), 
u'节':(u'jie',), 
u'厌':(u'yan',), 
u'钎':(u'qian',), 
u'骒':(u'ke',), 
u'茗':(u'ming',), 
u'褛':(u'lv',), 
u'倡':(u'chang',), 
u'熠':(u'yi',), 
u'锣':(u'luo',), 
u'稽':(u'ji', u'qi'), 
u'拂':(u'fu',), 
u'豉':(u'chi',), 
u'克':(u'ke',), 
u'坏':(u'huai',), 
u'鹕':(u'hu',), 
u'胖':(u'pan', u'pang'), 
u'几':(u'ji',), 
u'埤':(u'pi', u'bi', u'bei'), 
u'巨':(u'ju',), 
u'黪':(u'can',), 
u'赳':(u'jiu',), 
u'篼':(u'dou',), 
u'齿':(u'chi',), 
u'舀':(u'yao',), 
u'萄':(u'tao',), 
u'澉':(u'gan',), 
u'挖':(u'wa',), 
u'嚣':(u'xiao',), 
u'符':(u'fu',), 
u'披':(u'pi',), 
u'蜮':(u'yu',), 
u'炷':(u'zhu',), 
u'锺':(u'zhong',), 
u'鼾':(u'han',), 
u'所':(u'suo',), 
u'摄':(u'she',), 
u'灌':(u'guan',), 
u'柙':(u'xia',), 
u'佞':(u'ning',), 
u'兢':(u'jing',), 
u'学':(u'xue',), 
u'翩':(u'pian',), 
u'鹨':(u'liu',), 
u'臭':(u'xiu', u'chou'), 
u'诱':(u'you',), 
u'仳':(u'pi',), 
u'践':(u'jian',), 
u'罾':(u'zeng',), 
u'昃':(u'ze',), 
u'膂':(u'lv',), 
u'标':(u'biao',), 
u'予':(u'yu',), 
u'越':(u'yue',), 
u'琏':(u'lian',), 
u'馒':(u'man',), 
u'岔':(u'cha',), 
u'耗':(u'hao',), 
u'谟':(u'mo',), 
u'匡':(u'kuang',), 
u'弩':(u'nu',), 
u'纨':(u'wan',), 
u'洵':(u'xun',), 
u'厶':(u'si',), 
u'懂':(u'dong',), 
u'配':(u'pei',), 
u'魑':(u'chi',), 
u'秒':(u'miao',), 
u'菖':(u'chang',), 
u'橛':(u'jue',), 
u'江':(u'jiang',), 
u'连':(u'lian',), 
u'癣':(u'xuan',), 
u'廨':(u'xie',), 
u'惬':(u'qie',), 
u'相':(u'xiang',), 
u'驻':(u'zhu',), 
u'好':(u'hao',), 
u'鱿':(u'you',), 
u'撅':(u'jue',), 
u'溉':(u'gai',), 
u'嘎':(u'ga',), 
u'窑':(u'yao',), 
u'粕':(u'po',), 
u'或':(u'huo',), 
u'垣':(u'yuan',), 
u'钥':(u'yao', u'yue'), 
u'簪':(u'zan',), 
u'斯':(u'si',), 
u'澳':(u'ao',), 
u'蠲':(u'juan',), 
u'夼':(u'kuang',), 
u'鸾':(u'luan',), 
u'觇':(u'chan',), 
u'仉':(u'zhang',), 
u'煌':(u'huang',), 
u'筐':(u'kuang',), 
u'曙':(u'shu',), 
u'乞':(u'qi',), 
u'狡':(u'jiao',), 
u'镤':(u'pu',), 
u'绩':(u'ji',), 
u'胭':(u'yan',), 
u'普':(u'pu',), 
u'俳':(u'pai',), 
u'雹':(u'bao',), 
u'寻':(u'xun',), 
u'侈':(u'chi',), 
u'貊':(u'mo',), 
u'册':(u'ce',), 
u'甏':(u'beng',), 
u'缓':(u'huan',), 
u'枘':(u'rui',), 
u'榜':(u'bang',), 
u'负':(u'fu',), 
u'疤':(u'ba',), 
u'樱':(u'ying',), 
u'记':(u'ji',), 
u'氵':(u'shui',), 
u'趴':(u'pa',), 
u'庾':(u'yu',), 
u'蹉':(u'cuo',), 
u'泊':(u'bo', u'po'), 
u'遍':(u'bian',), 
u'盎':(u'ang',), 
u'当':(u'dang',), 
u'叠':(u'die',), 
u'督':(u'du',), 
u'郢':(u'ying',), 
u'嗤':(u'chi',), 
u'祧':(u'tiao',), 
u'髦':(u'mao',), 
u'荫':(u'yin',), 
u'轳':(u'lu',), 
u'酷':(u'ku',), 
u'矸':(u'gan',), 
u'舄':(u'xi',), 
u'榉':(u'ju',), 
u'瞍':(u'sou',), 
u'阌':(u'wen',), 
u'箕':(u'ji',), 
u'挚':(u'zhi',), 
u'傣':(u'dai',), 
u'眢':(u'yuan',), 
u'座':(u'zuo',), 
u'笪':(u'da',), 
u'梳':(u'shu',), 
u'锶':(u'si',), 
u'帼':(u'guo',), 
u'窿':(u'long',), 
u'胃':(u'wei',), 
u'案':(u'an',), 
u'铋':(u'bi',), 
u'癌':(u'ai',), 
u'飓':(u'ju',), 
u'聘':(u'pin',), 
u'珥':(u'er',), 
u'秩':(u'zhi',), 
u'孪':(u'luan',), 
u'潲':(u'shao',), 
u'诵':(u'song',), 
u'峻':(u'jun',), 
u'怃':(u'wu',), 
u'螂':(u'lang',), 
u'岐':(u'qi',), 
u'谛':(u'di',), 
u'溜':(u'liu',), 
u'天':(u'tian',), 
u'札':(u'zha',), 
u'蚬':(u'xian',), 
u'洱':(u'er',), 
u'邸':(u'di',), 
u'妾':(u'qie',), 
u'乇':(u'tuo',), 
u'淆':(u'xiao',), 
u'呋':(u'fu',), 
u'燎':(u'liao',), 
u'晗':(u'han',), 
u'汛':(u'xun',), 
u'觞':(u'shang',), 
u'勤':(u'qin',), 
u'葫':(u'hu',), 
u'良':(u'liang',), 
u'泰':(u'tai',), 
u'陷':(u'xian',), 
u'兹':(u'ci', u'zi'), 
u'综':(u'zong',), 
u'驿':(u'yi',), 
u'茄':(u'jia', u'qie'), 
u'粑':(u'ba',), 
u'窕':(u'tiao',), 
u'戚':(u'qi',), 
u'钡':(u'bei',), 
u'瘢':(u'ban',), 
u'簦':(u'deng',), 
u'斫':(u'zhuo',), 
u'弼':(u'bi',), 
u'臃':(u'yong',), 
u'过':(u'guo',), 
u'答':(u'da',), 
u'噢':(u'o',), 
u'屦':(u'ju',), 
u'饨':(u'zhun', u'tun'), 
u'婪':(u'lan',), 
u'蛭':(u'zhi',), 
u'瑶':(u'yao',), 
u'牺':(u'xi',), 
u'寿':(u'shou',), 
u'蚂':(u'ma',), 
u'誊':(u'teng',), 
u'垌':(u'tong',), 
u'礓':(u'jiang',), 
u'麒':(u'qi',), 
u'蜗':(u'wo',), 
u'丝':(u'si',), 
u'澜':(u'lan',), 
u'吡':(u'bi',), 
u'疠':(u'li',), 
u'鄣':(u'zhang',), 
u'昭':(u'zhao',), 
u'螬':(u'cao',), 
u'亲':(u'qin', u'qing'), 
u'樵':(u'qiao',), 
u'讴':(u'ou',), 
u'瀹':(u'yue',), 
u'降':(u'xiang', u'jiang'), 
u'协':(u'xie',), 
u'绒':(u'rong',), 
u'蓖':(u'bi',), 
u'俜':(u'ping',), 
u'古':(u'gu',), 
u'姨':(u'yi',), 
u'柬':(u'jian',), 
u'药':(u'yao',), 
u'幽':(u'you',), 
u'翼':(u'yi',), 
u'极':(u'ji',), 
u'耄':(u'mao',), 
u'殉':(u'xun',), 
u'些':(u'xie',), 
u'愚':(u'yu',), 
u'劣':(u'lie',), 
u'缦':(u'man',), 
u'悯':(u'min',), 
u'丰':(u'feng',), 
u'贲':(u'fei', u'pan', u'bi', u'fen', u'ben', u'lu', u'ban'), 
u'券':(u'quan', u'xuan'), 
u'尼':(u'ni',), 
u'嗍':(u'suo',), 
u'郏':(u'jia',), 
u'忑':(u'te',), 
u'髓':(u'sui',), 
u'艘':(u'sou',), 
u'淝':(u'fei',), 
u'燥':(u'zao',), 
u'彦':(u'yan',), 
u'据':(u'ju',), 
u'煺':(u'tui',), 
u'签':(u'qian',), 
u'氇':(u'lu',), 
u'辆':(u'liang',), 
u'和':(u'he', u'huo'), 
u'庐':(u'lu',), 
u'折':(u'she', u'zhe'), 
u'窨':(u'yin', u'xun'), 
u'漱':(u'shu',), 
u'猹':(u'cha',), 
u'鲼':(u'fen',), 
u'宾':(u'bin',), 
u'槊':(u'shuo',), 
u'镍':(u'nie',), 
u'偏':(u'pian',), 
u'齑':(u'ji',), 
u'饕':(u'tao',), 
u'湛':(u'zhan',), 
u'诞':(u'dan',), 
u'因':(u'yin',), 
u'虫':(u'chong',), 
u'狸':(u'li',), 
u'顿':(u'dun',), 
u'蜀':(u'shu',), 
u'锌':(u'xin',), 
u'刎':(u'wen',), 
u'鼐':(u'nai',), 
u'芙':(u'fu',), 
u'供':(u'gong',), 
u'厣':(u'yan',), 
u'琢':(u'zhuo', u'zuo'), 
u'枫':(u'feng',), 
u'估':(u'gu',), 
u'殳':(u'shu',), 
u'谲':(u'jue',), 
u'阶':(u'jie',), 
u'杀':(u'sha',), 
u'响':(u'xiang',), 
u'界':(u'jie',), 
u'量':(u'liang',), 
u'廑':(u'qin', u'jin'), 
u'罐':(u'guan',), 
u'壕':(u'hao',), 
u'拙':(u'zhuo',), 
u'赜':(u'ze',), 
u'靠':(u'kao',), 
u'呢':(u'ne', u'ni'), 
u'酤':(u'gu',), 
u'扮':(u'ban',), 
u'汲':(u'ji',), 
u'嗷':(u'ao',), 
u'忻':(u'xin',), 
u'姿':(u'zi',), 
u'蒂':(u'di',), 
u'洇':(u'yin',), 
u'看':(u'kan',), 
u'銎':(u'qiong',), 
u'徐':(u'xu',), 
u'鲒':(u'jie',), 
u'蔗':(u'zhe',), 
u'掘':(u'jue',), 
u'瞠':(u'cheng',), 
u'倥':(u'kong',), 
u'娩':(u'mian',), 
u'箨':(u'tuo',), 
u'搭':(u'da',), 
u'辰':(u'chen',), 
u'爹':(u'die',), 
u'傺':(u'chi',), 
u'媾':(u'gou',), 
u'擂':(u'lei',), 
u'狎':(u'xia',), 
u'鹑':(u'chun',), 
u'孓':(u'jue',), 
u'胚':(u'pei',), 
u'埠':(u'bu',), 
u'铢':(u'zhu',), 
u'凤':(u'feng',), 
u'寨':(u'zhai',), 
u'旬':(u'xun',), 
u'乱':(u'luan',), 
u'饿':(u'e',), 
u'箍':(u'gu',), 
u'崎':(u'qi',), 
u'逐':(u'zhu',), 
u'阔':(u'kuo',), 
u'岣':(u'gou',), 
u'焦':(u'jiao',), 
u'溯':(u'su',), 
u'贮':(u'zhu',), 
u'尸':(u'shi',), 
u'炻':(u'shi',), 
u'皿':(u'min',), 
u'锾':(u'huan',), 
u'桀':(u'jie',), 
u'俅':(u'qiu',), 
u'湄':(u'mei',), 
u'苇':(u'wei',), 
u'摈':(u'bin',), 
u'黏':(u'nian',), 
u'凑':(u'cou',), 
u'埕':(u'cheng',), 
u'癔':(u'yi',), 
u'淙':(u'cong',), 
u'佚':(u'yi',), 
u'孢':(u'bao',), 
u'翥':(u'zhu',), 
u'鹤':(u'he',), 
u'坪':(u'ping',), 
u'语':(u'yu',), 
u'浮':(u'fu',), 
u'僻':(u'pi',), 
u'囿':(u'you',), 
u'弥':(u'mi',), 
u'纤':(u'qian', u'xian'), 
u'璨':(u'can',), 
u'朵':(u'duo',), 
u'蚴':(u'you',), 
u'鲸':(u'jing',), 
u'喾':(u'ku',), 
u'襁':(u'qiang',), 
u'毂':(u'gu',), 
u'蕉':(u'jiao',), 
u'魍':(u'wang',), 
u'呓':(u'yi',), 
u'觖':(u'jue',), 
u'晟':(u'sheng',), 
u'牧':(u'mu',), 
u'哨':(u'shao',), 
u'衫':(u'shan',), 
u'韪':(u'wei',), 
u'蹯':(u'fan',), 
u'惰':(u'duo',), 
u'葳':(u'wei',), 
u'更':(u'geng',), 
u'驷':(u'si',), 
u'糸':(u'mi',), 
u'狼':(u'lang',), 
u'梁':(u'liang',), 
u'溅':(u'jian',), 
u'窍':(u'qiao',), 
u'划':(u'hua',), 
u'栖':(u'qi',), 
u'渚':(u'zhu',), 
u'芝':(u'zhi',), 
u'搞':(u'gao',), 
u'颡':(u'sang',), 
u'钩':(u'gou',), 
u'榫':(u'sun',), 
u'瘪':(u'bie',), 
u'谮':(u'jian', u'zen'), 
u'鸺':(u'xiu',), 
u'瞿':(u'ju', u'qu'), 
u'鐾':(u'bei',), 
u'跃':(u'yue',), 
u'仅':(u'jin',), 
u'菇':(u'gu',), 
u'效':(u'xiao',), 
u'筌':(u'quan',), 
u'赘':(u'zhui',), 
u'荜':(u'bi',), 
u'婢':(u'bi',), 
u'绥':(u'sui',), 
u'镨':(u'pu',), 
u'噪':(u'zao',), 
u'俯':(u'fu',), 
u'胱':(u'guang',), 
u'击':(u'ji',), 
u'瑾':(u'jin',), 
u'侄':(u'zhi',), 
u'指':(u'zhi',), 
u'肆':(u'si',), 
u'蚊':(u'wen',), 
u'完':(u'wan',), 
u'缏':(u'bian', u'pian'), 
u'鲎':(u'hou',), 
u'甓':(u'pi',), 
u'堡':(u'pu', u'bao', u'bu'), 
u'群':(u'qun',), 
u'吩':(u'fen',), 
u'昵':(u'ni',), 
u'爽':(u'shuang',), 
u'惆':(u'chou',), 
u'奋':(u'fen',), 
u'遑':(u'huang',), 
u'狒':(u'fei',), 
u'陕':(u'shan',), 
u'束':(u'shu',), 
u'忤':(u'wu',), 
u'郦':(u'li',), 
u'嗨':(u'hai',), 
u'雪':(u'xue',), 
u'软':(u'ruan',), 
u'柴':(u'chai',), 
u'屹':(u'yi',), 
u'剽':(u'piao',), 
u'殁':(u'mo',), 
u'言':(u'yan',), 
u'涅':(u'nie',), 
u'谄':(u'chan',), 
u'枉':(u'wang',), 
u'玑':(u'ji',), 
u'儒':(u'ru',), 
u'辙':(u'zhe',), 
u'洚':(u'jiang',), 
u'膝':(u'xi',), 
u'傧':(u'bin',), 
u'檫':(u'cha',), 
u'脲':(u'niao',), 
u'常':(u'chang',), 
u'值':(u'zhi',), 
u'霾':(u'mai',), 
u'髋':(u'kuan',), 
u'硌':(u'luo',), 
u'鳏':(u'guan',), 
u'发':(u'fa',), 
u'篡':(u'cuan',), 
u'奢':(u'she',), 
u'卦':(u'gua',), 
u'矩':(u'ju',), 
u'陨':(u'yun',), 
u'啪':(u'pa',), 
u'潮':(u'chao',), 
u'菱':(u'ling',), 
u'哿':(u'ge',), 
u'睾':(u'gao',), 
u'莆':(u'pu',), 
u'程':(u'cheng',), 
u'簏':(u'lu',), 
u'劐':(u'huo',), 
u'醒':(u'xing',), 
u'咔':(u'ka',), 
u'伙':(u'huo',), 
u'溘':(u'ke',), 
u'舛':(u'chuan',), 
u'窠':(u'ke',), 
u'鸣':(u'ming',), 
u'粤':(u'yue',), 
u'圩':(u'xu', u'wei'), 
u'椭':(u'tuo',), 
u'侮':(u'wu',), 
u'芰':(u'ji',), 
u'攵':(u'po',), 
u'蒴':(u'shuo',), 
u'家':(u'jia',), 
u'麸':(u'fu',), 
u'乃':(u'nai',), 
u'赅':(u'gai',), 
u'揆':(u'kui',), 
u'蝉':(u'chan',), 
u'屏':(u'bing', u'ping'), 
u'翎':(u'ling',), 
u'诖':(u'gua',), 
u'付':(u'fu',), 
u'扛':(u'kang', u'gang'), 
u'跚':(u'shan',), 
u'嫠':(u'li',), 
u'峤':(u'jiao', u'qiao'), 
u'闪':(u'shan',), 
u'顷':(u'qing',), 
u'役':(u'yi',), 
u'绸':(u'chou',), 
u'兽':(u'shou',), 
u'沅':(u'yuan',), 
u'蜈':(u'wu',), 
u'碍':(u'ai',), 
u'倒':(u'dao',), 
u'锔':(u'ju',), 
u'氚':(u'chuan',), 
u'肝':(u'gan',), 
u'骡':(u'luo',), 
u'鲥':(u'shi',), 
u'琪':(u'qi',), 
u'涯':(u'ya',), 
u'踮':(u'dian',), 
u'枳':(u'zhi',), 
u'玻':(u'bo',), 
u'杈':(u'cha',), 
u'獐':(u'zhang',), 
u'哕':(u'hui', u'yue'), 
u'畔':(u'pan',), 
u'惝':(u'chang',), 
u'湮':(u'yan', u'yin'), 
u'英':(u'ying',), 
u'究':(u'jiu',), 
u'黹':(u'zhi',), 
u'叻':(u'le',), 
u'都':(u'dou', u'du'), 
u'百':(u'bai', u'bo'), 
u'袂':(u'mei',), 
u'笋':(u'sun',), 
u'喔':(u'o', u'wo'), 
u'丙':(u'bing',), 
u'茛':(u'gen',), 
u'蔟':(u'cu',), 
u'尥':(u'liao',), 
u'亮':(u'liang',), 
u'莰':(u'kan',), 
u'佃':(u'dian',), 
u'棂':(u'ling',), 
u'拆':(u'chai',), 
u'绎':(u'yi',), 
u'楗':(u'jian',), 
u'俘':(u'fu',), 
u'蛞':(u'kuo',), 
u'照':(u'zhao',), 
u'铪':(u'jia', u'ke', u'ha', u'ge'), 
u'饷':(u'xiang',), 
u'长':(u'zhang', u'chang'), 
u'谀':(u'yu',), 
u'疑':(u'yi',), 
u'缢':(u'yi',), 
u'沫':(u'mo',), 
u'猪':(u'zhu',), 
u'丬':(u'qiang', u'pan'), 
u'纷':(u'fen',), 
u'汀':(u'ting',), 
u'橄':(u'gan',), 
u'蛇':(u'she',), 
u'鳋':(u'sao',), 
u'忍':(u'ren',), 
u'嗑':(u'ke',), 
u'郓':(u'yun',), 
u'柝':(u'tuo',), 
u'形':(u'xing',), 
u'篥':(u'li',), 
u'啦':(u'la',), 
u'遨':(u'ao',), 
u'迭':(u'die',), 
u'楮':(u'chu',), 
u'杲':(u'gao',), 
u'廷':(u'ting',), 
u'勿':(u'wu',), 
u'辂':(u'lu',), 
u'簋':(u'gui',), 
u'咐':(u'fu',), 
u'鞒':(u'qiao',), 
u'舟':(u'zhou',), 
u'漭':(u'mang',), 
u'躬':(u'gong',), 
u'芴':(u'wu',), 
u'隼':(u'sun',), 
u'赁':(u'lin',), 
u'濂':(u'lian',), 
u'旆':(u'pei',), 
u'屋':(u'wu',), 
u'镑':(u'bang', u'pang'), 
u'跖':(u'zhi',), 
u'诚':(u'cheng',), 
u'豫':(u'yu',), 
u'拴':(u'shuan',), 
u'她':(u'ta',), 
u'盼':(u'pan',), 
u'沁':(u'qin',), 
u'悉':(u'xi',), 
u'锐':(u'rui',), 
u'侗':(u'dong',), 
u'氖':(u'nai',), 
u'蚝':(u'hao',), 
u'鲡':(u'li',), 
u'妣':(u'bi',), 
u'骥':(u'ji',), 
u'垧':(u'shang',), 
u'琦':(u'qi',), 
u'涫':(u'guan',), 
u'爪':(u'zhao', u'zhua'), 
u'夸':(u'kua',), 
u'逾':(u'yu',), 
u'慈':(u'ci',), 
u'哑':(u'ya',), 
u'曝':(u'pu',), 
u'幢':(u'zhuang', u'chuang'), 
u'童':(u'tong',), 
u'呦':(u'you',), 
u'烩':(u'hui',), 
u'剪':(u'jian',), 
u'空':(u'kong',), 
u'灾':(u'zai',), 
u'芊':(u'qian',), 
u'後':(u'hou',), 
u'笏':(u'hu',), 
u'焓':(u'han',), 
u'榘':(u'ju',), 
u'果':(u'guo',), 
u'娥':(u'e',), 
u'倩':(u'qian',), 
u'熨':(u'yun', u'yu'), 
u'渭':(u'wei',), 
u'薰':(u'xun',), 
u'莴':(u'wo',), 
u'砹':(u'ai',), 
u'豁':(u'huo',), 
u'滂':(u'pang',), 
u'嵋':(u'mei',), 
u'拊':(u'fu',), 
u'盒':(u'he',), 
u'敛':(u'lian',), 
u'损':(u'sun',), 
u'胞':(u'bao',), 
u'黢':(u'qu',), 
u'寤':(u'wu',), 
u'赫':(u'he',), 
u'旰':(u'gan',), 
u'援':(u'yuan',), 
u'秸':(u'jie',), 
u'掉':(u'diao',), 
u'瞑':(u'ming',), 
u'阐':(u'chan',), 
u'途':(u'tu',), 
u'挞':(u'ta',), 
u'索':(u'suo',), 
u'馥':(u'fu',), 
u'咧':(u'lie',), 
u'眦':(u'zi',), 
u'梯':(u'ti',), 
u'吼':(u'hou',), 
u'錾':(u'zan',), 
u'桄':(u'guang',), 
u'扈':(u'hu',), 
u'巍':(u'wei',), 
u'毙':(u'bi',), 
u'葜':(u'qia',), 
u'翡':(u'fei',), 
u'坦':(u'tan',), 
u'珩':(u'heng',), 
u'仫':(u'mu',), 
u'敲':(u'qiao',), 
u'祺':(u'qi',), 
u'闽':(u'min',), 
u'獾':(u'huan',), 
u'膊':(u'bo',), 
u'岌':(u'ji',), 
u'谗':(u'chan',), 
u'纠':(u'jiu',), 
u'夥':(u'huo',), 
u'朱':(u'zhu',), 
u'蚰':(u'you',), 
u'肴':(u'yao',), 
u'骸':(u'hai',), 
u'钼':(u'mu',), 
u'草':(u'cao',), 
u'懊':(u'ao',), 
u'痒':(u'yang',), 
u'汗':(u'han',), 
u'觚':(u'gu',), 
u'壤':(u'rang',), 
u'韦':(u'wei',), 
u'曰':(u'yue',), 
u'艳':(u'yan',), 
u'惴':(u'zhui',), 
u'避':(u'bi',), 
u'梅':(u'mei',), 
u'抉':(u'jue',), 
u'茈':(u'ci', u'zi'), 
u'皑':(u'ai',), 
u'吒':(u'zha',), 
u'炕':(u'kang',), 
u'渖':(u'shen',), 
u'宣':(u'xuan',), 
u'颥':(u'ru',), 
u'喧':(u'xuan',), 
u'瘦':(u'shou',), 
u'掳':(u'lu',), 
u'鸶':(u'si',), 
u'瞻':(u'zhan',), 
u'唼':(u'sha',), 
u'仁':(u'ren',), 
u'诃':(u'he',), 
u'睐':(u'lai',), 
u'乖':(u'guai',), 
u'绡':(u'xiao',), 
u'狩':(u'shou',), 
u'蛱':(u'jia',), 
u'巷':(u'xiang', u'hang'), 
u'髹':(u'xiu',), 
u'铽':(u'te',), 
u'凿':(u'zao',), 
u'牾':(u'wu',), 
u'貂':(u'diao',), 
u'缋':(u'hui',), 
u'猓':(u'guo',), 
u'钒':(u'fan',), 
u'斜':(u'xie',), 
u'鬣':(u'lie',), 
u'利':(u'li',), 
u'昱':(u'yu',), 
u'怵':(u'chu',), 
u'庶':(u'shu',), 
u'稹':(u'zhen',), 
u'劾':(u'he',), 
u'蹁':(u'pian',), 
u'衅':(u'xin',), 
u'艉':(u'wei',), 
u'惊':(u'jing',), 
u'奏':(u'zou',), 
u'卓':(u'zhuo',), 
u'瓒':(u'zan',), 
u'苞':(u'bao',), 
u'忠':(u'zhong',), 
u'鳢':(u'li',), 
u'叨':(u'dao', u'tao'), 
u'轫':(u'ren',), 
u'淬':(u'cui',), 
u'柰':(u'nai',), 
u'命':(u'ming',), 
u'痼':(u'gu',), 
u'酿':(u'niang',), 
u'退':(u'tui',), 
u'瞅':(u'chou',), 
u'阄':(u'jiu',), 
u'弊':(u'bi',), 
u'舌':(u'she',), 
u'踔':(u'chuo',), 
u'焖':(u'men',), 
u'眚':(u'sheng',), 
u'废':(u'fei',), 
u'挢':(u'jiao',), 
u'炫':(u'xuan',), 
u'漪':(u'yi',), 
u'键':(u'jian',), 
u'堰':(u'yan',), 
u'粳':(u'jing',), 
u'鬲':(u'li', u'ge'), 
u'脶':(u'luo',), 
u'贾':(u'jia', u'gu'), 
u'铃':(u'ling',), 
u'扌':(u'shou',), 
u'蛏':(u'cheng',), 
u'桐':(u'tong',), 
u'湔':(u'jian',), 
u'兖':(u'yan',), 
u'坚':(u'jian',), 
u'篝':(u'gou',), 
u'查':(u'cha', u'zha'), 
u'筲':(u'shao',), 
u'诽':(u'fei',), 
u'仿':(u'fang',), 
u'傀':(u'kui',), 
u'球':(u'qiu',), 
u'馆':(u'guan',), 
u'岈':(u'ya',), 
u'龊':(u'chuo',), 
u'昏':(u'hun',), 
u'氓':(u'mang',), 
u'五':(u'wu',), 
u'窜':(u'cuan',), 
u'鸟':(u'niao',), 
u'悠':(u'you',), 
u'缵':(u'zuan',), 
u'麴':(u'qu',), 
u'改':(u'gai',), 
u'蒸':(u'zheng',), 
u'呃':(u'e',), 
u'珂':(u'ke',), 
u'秆':(u'gan',), 
u'翊':(u'yi',), 
u'旎':(u'ni',), 
u'毒':(u'du',), 
u'嫜':(u'zhang',), 
u'触':(u'chu',), 
u'迪':(u'di',), 
u'独':(u'du',), 
u'维':(u'wei',), 
u'蹿':(u'cuan',), 
u'刂':(u'dao',), 
u'霄':(u'xiao',), 
u'堆':(u'dui',), 
u'粉':(u'fen',), 
u'茌':(u'chi',), 
u'褐':(u'he',), 
u'钙':(u'gai',), 
u'骝':(u'liu',), 
u'股':(u'gu',), 
u'戢':(u'ji',), 
u'掷':(u'zhi',), 
u'耶':(u'ye',), 
u'榻':(u'ta',), 
u'捌':(u'ba',), 
u'仕':(u'shi',), 
u'镘':(u'man',), 
u'属':(u'shu', u'zhu'), 
u'腠':(u'cou',), 
u'蝤':(u'you', u'qiu'), 
u'凫':(u'fu',), 
u'埯':(u'an',), 
u'巳':(u'si',), 
u'恶':(u'wu', u'e'), 
u'智':(u'zhi',), 
u'汾':(u'fen',), 
u'冀':(u'ji',), 
u'垄':(u'long',), 
u'领':(u'ling',), 
u'蒎':(u'pai',), 
u'侔':(u'mou',), 
u'箜':(u'kong',), 
u'涨':(u'zhang',), 
u'媲':(u'pi',), 
u'樽':(u'zun',), 
u'讼':(u'song',), 
u'遁':(u'dun',), 
u'啃':(u'ken',), 
u'狂':(u'kuang',), 
u'际':(u'ji',), 
u'绊':(u'ban',), 
u'擎':(u'qing',), 
u'獗':(u'jue',), 
u'祛':(u'qu',), 
u'罟':(u'gu',), 
u'鳞':(u'lin',), 
u'散':(u'san',), 
u'歧':(u'qi',), 
u'称':(u'cheng', u'chen'), 
u'荷':(u'he',), 
u'襻':(u'pan',), 
u'轿':(u'jiao',), 
u'而':(u'er',), 
u'涕':(u'ti',), 
u'谔':(u'e',), 
u'猖':(u'chang',), 
u'媛':(u'yuan',), 
u'甚':(u'shen',), 
u'辩':(u'bian',), 
u'洪':(u'hong',), 
u'倬':(u'zhuo',), 
u'纳':(u'na',), 
u'尴':(u'gan',), 
u'茶':(u'cha',), 
u'蔺':(u'lin',), 
u'沿':(u'yan',), 
u'叁':(u'san',), 
u'嗅':(u'xiu',), 
u'忉':(u'dao',), 
u'苋':(u'xian',), 
u'橐':(u'tuo',), 
u'汔':(u'qi',), 
u'卖':(u'mai',), 
u'握':(u'wo',), 
u'日':(u'ri',), 
u'捶':(u'chui',), 
u'蟹':(u'xie',), 
u'瘃':(u'zhu',), 
u'咄':(u'duo',), 
u'戋':(u'jian',), 
u'搏':(u'bo',), 
u'逗':(u'dou',), 
u'碜':(u'chen',), 
u'抠':(u'kou',), 
u'撤':(u'che',), 
u'邬':(u'wu',), 
u'垮':(u'kua',), 
u'笱':(u'gou',), 
u'骰':(u'tou',), 
u'妲':(u'da',), 
u'鲴':(u'gu',), 
u'椽':(u'chuan',), 
u'袼':(u'ge',), 
u'镅':(u'mei',), 
u'篆':(u'zhuan',), 
u'乓':(u'pang',), 
u'赕':(u'dan', u'tan'), 
u'鏖':(u'ao',), 
u'桧':(u'gui', u'hui'), 
u'详':(u'xiang',), 
u'仨':(u'sa',), 
u'跪':(u'gui',), 
u'六':(u'lu', u'liu'), 
u'烬':(u'jin',), 
u'孱':(u'can', u'chan'), 
u'鹳':(u'guan',), 
u'棼':(u'fen',), 
u'犁':(u'li',), 
u'锄':(u'chu',), 
u'娆':(u'rao',), 
u'尊':(u'zun',), 
u'悍':(u'han',), 
u'檑':(u'lei',), 
u'冗':(u'rong',), 
u'隙':(u'xi',), 
u'宛':(u'wan',), 
u'琚':(u'ju',), 
u'额':(u'e',), 
u'芡':(u'qian',), 
u'玫':(u'mei',), 
u'氪':(u'ke',), 
u'疯':(u'feng',), 
u'阮':(u'ruan',), 
u'崴':(u'wei', u'wai'), 
u'憷':(u'chu',), 
u'舶':(u'bo',), 
u'涿':(u'zhuo',), 
u'廉':(u'lian',), 
u'慌':(u'huang',), 
u'藏':(u'zang', u'cang'), 
u'迓':(u'ya',), 
u'浔':(u'xun',), 
u'剖':(u'pou',), 
u'幞':(u'fu',), 
u'荠':(u'ji', u'qi'), 
u'蕤':(u'rui',), 
u'滩':(u'tan',), 
u'轨':(u'gui',), 
u'叫':(u'jiao',), 
u'郭':(u'guo',), 
u'嗯':(u'ng',), 
u'扶':(u'fu',), 
u'蛹':(u'yong',), 
u'摺':(u'zhe',), 
u'湾':(u'wan',), 
u'邂':(u'xie',), 
u'善':(u'shan',), 
u'骆':(u'luo',), 
u'很':(u'hen',), 
u'漓':(u'li',), 
u'袒':(u'tan',), 
u'掠':(u'lve',), 
u'蜣':(u'qiang',), 
u'斤':(u'jin',), 
u'栽':(u'zai',), 
u'烂':(u'lan',), 
u'奇':(u'ji', u'qi'), 
u'鹉':(u'wu',), 
u'糊':(u'hu',), 
u'聍':(u'ning',), 
u'体':(u'ti',), 
u'棒':(u'bang',), 
u'豕':(u'shi',), 
u'埘':(u'shi',), 
u'筛':(u'shai',), 
u'姜':(u'jiang',), 
u'俨':(u'yan',), 
u'镯':(u'zhuo', u'shu'), 
u'崆':(u'kong',), 
u'涑':(u'su',), 
u'谐':(u'xie',), 
u'岛':(u'dao',), 
u'礞':(u'meng',), 
u'产':(u'chan',), 
u'嘬':(u'zuo', u'chuai'), 
u'犯':(u'fan',), 
u'碳':(u'tan',), 
u'娴':(u'xian',), 
u'治':(u'zhi',), 
u'茺':(u'chong',), 
u'晌':(u'shang',), 
u'苏':(u'su',), 
u'汐':(u'xi',), 
u'啖':(u'dan',), 
u'遘':(u'gou',), 
u'博':(u'bo',), 
u'鹜':(u'wu',), 
u'表':(u'biao',), 
u'韭':(u'jiu',), 
u'煮':(u'zhu',), 
u'壳':(u'ke', u'qiao'), 
u'署':(u'shu',), 
u'捺':(u'na',), 
u'追':(u'zhui',), 
u'咀':(u'ju',), 
u'搋':(u'chuai',), 
u'戏':(u'xi',), 
u'栓':(u'shuan',), 
u'阗':(u'tian',), 
u'护':(u'hu',), 
u'梨':(u'li',), 
u'眭':(u'sui',), 
u'鲰':(u'zou',), 
u'镁':(u'mei',), 
u'偃':(u'yan',), 
u'濒':(u'bin',), 
u'恣':(u'zi',), 
u'鑫':(u'xin',), 
u'坭':(u'ni',), 
u'孵':(u'fu',), 
u'璁':(u'cong',), 
u'销':(u'xiao',), 
u'将':(u'jiang',), 
u'碉':(u'diao',), 
u'邙':(u'mang',), 
u'麝':(u'she',), 
u'蒡':(u'bang',), 
u'芥':(u'jie', u'gai'), 
u'侧':(u'ce',), 
u'氦':(u'hai',), 
u'疫':(u'yi',), 
u'横':(u'heng',), 
u'圬':(u'wu',), 
u'环':(u'huan',), 
u'逮':(u'dai',), 
u'禳':(u'rang',), 
u'鸲':(u'qu',), 
u'嬴':(u'ying',), 
u'枷':(u'jia',), 
u'似':(u'si', u'shi'), 
u'殿':(u'dian',), 
u'品':(u'pin',), 
u'畀':(u'bi',), 
u'祈':(u'qi',), 
u'杌':(u'wu',), 
u'菏':(u'he',), 
u'呖':(u'li',), 
u'烙':(u'lao', u'luo'), 
u'绝':(u'jue',), 
u'塞':(u'sai', u'se'), 
u'拥':(u'yong',), 
u'荤':(u'hun',), 
u'嗫':(u'nie',), 
u'可':(u'ke',), 
u'喀':(u'ka',), 
u'厄':(u'e',), 
u'缇':(u'ti',), 
u'鲆':(u'ping',), 
u'妈':(u'ma',), 
u'骊':(u'li',), 
u'候':(u'hou',), 
u'熘':(u'liu',), 
u'帝':(u'di',), 
u'鬟':(u'huan',), 
u'榨':(u'zha',), 
u'瘭':(u'biao',), 
u'元':(u'yuan',), 
u'盂':(u'yu',), 
u'虍':(u'hu',), 
u'铖':(u'cheng',), 
u'飞':(u'fei',), 
u'镫':(u'deng',), 
u'矬':(u'cuo',), 
u'山':(u'shan',), 
u'婵':(u'chan',), 
u'阀':(u'fa',), 
u'逄':(u'pang',), 
u'萌':(u'meng',), 
u'榕':(u'rong',), 
u'焚':(u'fen',), 
u'墟':(u'xu',), 
u'笞':(u'chi',), 
u'让':(u'rang',), 
u'听':(u'ting',), 
u'炯':(u'jiong',), 
u'窳':(u'yu',), 
u'撷':(u'xie',), 
u'溻':(u'ta',), 
u'癀':(u'huang',), 
u'鳇':(u'huang',), 
u'蛋':(u'dan',), 
u'俑':(u'yong',), 
u'桔':(u'jie',), 
u'珙':(u'gong',), 
u'党':(u'dang',), 
u'囫':(u'hu',), 
u'闭':(u'bi',), 
u'菹':(u'zu',), 
u'任':(u'ren',), 
u'跽':(u'ji',), 
u'簇':(u'cu',), 
u'龆':(u'tiao',), 
u'馊':(u'sou',), 
u'怏':(u'yang',), 
u'莎':(u'sha', u'suo'), 
u'匙':(u'shi', u'chi'), 
u'粜':(u'tiao',), 
u'舣':(u'yi',), 
u'谧':(u'mi',), 
u'甭':(u'beng',), 
u'钬':(u'huo',), 
u'厮':(u'si',), 
u'缱':(u'qian',), 
u'挹':(u'yi',), 
u'芸':(u'yun',), 
u'洽':(u'qia',), 
u'剃':(u'ti',), 
u'痂':(u'jia',), 
u'魉':(u'liang',), 
u'揎':(u'xuan',), 
u'瑗':(u'yuan',), 
u'勘':(u'kan',), 
u'扣':(u'kou',), 
u'迦':(u'jia',), 
u'啭':(u'zhuan',), 
u'影':(u'ying',), 
u'绰':(u'chuo', u'chao'), 
u'驳':(u'bo',), 
u'磴':(u'deng',), 
u'泼':(u'po',), 
u'衿':(u'jin',), 
u'需':(u'xu',), 
u'炅':(u'gui',), 
u'鄄':(u'juan',), 
u'帆':(u'fan',), 
u'鬈':(u'quan',), 
u'蔌':(u'su',), 
u'瀚':(u'han',), 
u'稞':(u'ke',), 
u'肥':(u'fei',), 
u'株':(u'zhu',), 
u'唬':(u'hu',), 
u'头':(u'tou',), 
u'訾':(u'zi',), 
u'着':(u'zhuo', u'zhe', u'zhao'), 
u'嫉':(u'ji',), 
u'蟋':(u'xi',), 
u'敌':(u'di',), 
u'仑':(u'lun',), 
u'诓':(u'kuang',), 
u'楔':(u'xie',), 
u'狙':(u'ju',), 
u'做':(u'zuo',), 
u'蝠':(u'fu',), 
u'书':(u'shu',), 
u'铭':(u'ming',), 
u'凯':(u'kai',), 
u'牮':(u'jian',), 
u'晶':(u'jing',), 
u'苹':(u'ping',), 
u'恺':(u'kai',), 
u'猃':(u'xian',), 
u'守':(u'shou',), 
u'朋':(u'peng',), 
u'颊':(u'jia',), 
u'意':(u'yi',), 
u'芎':(u'xiong',), 
u'锗':(u'zhe',), 
u'则':(u'ze',), 
u'尝':(u'chang',), 
u'货':(u'huo',), 
u'莸':(u'you',), 
u'氽':(u'tun',), 
u'趼':(u'jian',), 
u'千':(u'qian',), 
u'嵇':(u'ji',), 
u'细':(u'xi',), 
u'磊':(u'lei',), 
u'拎':(u'lin',), 
u'蹑':(u'nie',), 
u'变':(u'bian',), 
u'祟':(u'sui',), 
u'捣':(u'dao',), 
u'酯':(u'zhi',), 
u'翰':(u'han',), 
u'揸':(u'zha',), 
u'轻':(u'qing',), 
u'淼':(u'miao',), 
u'西':(u'xi',), 
u'禁':(u'jin',), 
u'儆':(u'jing',), 
u'圊':(u'qing',), 
u'殍':(u'piao',), 
u'耐':(u'nai',), 
u'枕':(u'zhen',), 
u'缚':(u'fu',), 
u'欢':(u'huan',), 
u'愦':(u'kui',), 
u'未':(u'wei',), 
u'纯':(u'chun',), 
u'嘴':(u'zui',), 
u'褶':(u'zhe',), 
u'悻':(u'xing',), 
u'础':(u'chu',), 
u'鳃':(u'sai',), 
u'必':(u'bi',), 
u'嗉':(u'su',), 
u'恐':(u'kong',), 
u'蓓':(u'bei',), 
u'晔':(u'ye',), 
u'奖':(u'jiang',), 
u'早':(u'zao',), 
u'士':(u'shi',), 
u'絮':(u'xu',), 
u'哳':(u'zha',), 
u'韵':(u'yun',), 
u'跹':(u'xian',), 
u'潺':(u'chan',), 
u'菽':(u'shu',), 
u'墀':(u'chi',), 
u'庄':(u'zhuang',), 
u'栋':(u'dong',), 
u'搓':(u'cuo',), 
u'莒':(u'ju',), 
u'粘':(u'zhan',), 
u'逛':(u'guang',), 
u'匝':(u'za',), 
u'队':(u'dui',), 
u'谣':(u'yao',), 
u'伥':(u'chang',), 
u'焱':(u'yan',), 
u'邰':(u'tai',), 
u'眵':(u'chi',), 
u'洹':(u'huan',), 
u'挽':(u'wan',), 
u'镉':(u'ge',), 
u'乏':(u'fa',), 
u'腑':(u'fu',), 
u'插':(u'cha',), 
u'穗':(u'sui',), 
u'询':(u'xun',), 
u'令':(u'ling',), 
u'执':(u'zhi',), 
u'蟪':(u'hui',), 
u'共':(u'gong',), 
u'直':(u'zhi',), 
u'泸':(u'lu',), 
u'拼':(u'pin',), 
u'虿':(u'chai',), 
u'锈':(u'xiu',), 
u'脐':(u'qi',), 
u'宗':(u'zong',), 
u'砖':(u'zhuan',), 
u'军':(u'jun',), 
u'怦':(u'peng',), 
u'羯':(u'jie',), 
u'疳':(u'gan',), 
u'殷':(u'yan', u'yin'), 
u'踺':(u'jian',), 
u'壁':(u'bi',), 
u'祀':(u'si',), 
u'罄':(u'qing',), 
u'哉':(u'zai',), 
u'畈':(u'fan',), 
u'觋':(u'xi',), 
u'歌':(u'ge',), 
u'藓':(u'xian',), 
u'糙':(u'cao',), 
u'滥':(u'lan',), 
u'蕨':(u'jue',), 
u'髭':(u'zi',), 
u'嗳':(u'ai',), 
u'牲':(u'sheng',), 
u'桶':(u'tong',), 
u'骂':(u'ma',), 
u'径':(u'jing',), 
u'喈':(u'jie',), 
u'椋':(u'liang',), 
u'漏':(u'lou',), 
u'芒':(u'mang',), 
u'初':(u'chu',), 
u'责':(u'ze',), 
u'严':(u'yan',), 
u'茧':(u'jian',), 
u'劲':(u'jing', u'jin'), 
u'瘵':(u'zhai',), 
u'鞴':(u'bei',), 
u'趸':(u'dun',), 
u'人':(u'ren',), 
u'戽':(u'hu',), 
u'莼':(u'chun',), 
u'鹅':(u'e',), 
u'升':(u'sheng',), 
u'益':(u'yi',), 
u'住':(u'zhu',), 
u'拒':(u'ju',), 
u'铞':(u'diao',), 
u'浣':(u'huan',), 
u'捧':(u'peng',), 
u'饫':(u'yu',), 
u'镳':(u'biao',), 
u'腻':(u'ni',), 
u'夂':(u'zhi',), 
u'匆':(u'cong',), 
u'阈':(u'yu',), 
u'榍':(u'xie',), 
u'伎':(u'ji',), 
u'舐':(u'shi',), 
u'龙':(u'long',), 
u'力':(u'li',), 
u'计':(u'ji',), 
u'到':(u'dao',), 
u'吴':(u'wu',), 
u'丸':(u'wan',), 
u'抻':(u'chen',), 
u'贺':(u'he',), 
u'蜾':(u'guo',), 
u'巅':(u'dian',), 
u'郇':(u'xun', u'huan'), 
u'桌':(u'zhuo',), 
u'摔':(u'shuai',), 
u'鹘':(u'hu', u'gu'), 
u'坞':(u'wu',), 
u'毡':(u'zhan',), 
u'柩':(u'jiu',), 
u'嫫':(u'mo',), 
u'置':(u'zhi',), 
u'煲':(u'bao',), 
u'闵':(u'min',), 
u'迹':(u'ji',), 
u'松':(u'song',), 
u'氏':(u'shi',), 
u'辎':(u'zi',), 
u'易':(u'yi',), 
u'炜':(u'wei',), 
u'檠':(u'qing',), 
u'踣':(u'bo',), 
u'沤':(u'ou',), 
u'耧':(u'lou',), 
u'暨':(u'ji',), 
u'微':(u'wei',), 
u'猱':(u'nao',), 
u'冲':(u'chong',), 
u'电':(u'dian',), 
u'钴':(u'gu',), 
u'肼':(u'jing',), 
u'魁':(u'kui',), 
u'假':(u'jia',), 
u'痊':(u'quan',), 
u'荑':(u'ti', u'yi'), 
u'懒':(u'lan',), 
u'硗':(u'qiao',), 
u'牛':(u'niu',), 
u'瑟':(u'se',), 
u'恧':(u'nv',), 
u'磬':(u'qing',), 
u'危':(u'wei',), 
u'狰':(u'zheng',), 
u'啵':(u'bo',), 
u'瓴':(u'ling',), 
u'衷':(u'zhong',), 
u'突':(u'tu',), 
u'堂':(u'tang',), 
u'分':(u'fen',), 
u'霈':(u'pei',), 
u'吊':(u'diao',), 
u'与':(u'yu',), 
u'抑':(u'yi',), 
u'撕':(u'si',), 
u'妗':(u'jin',), 
u'邝':(u'kuang',), 
u'喟':(u'kui',), 
u'侣':(u'lv',), 
u'蚩':(u'chi',), 
u'箫':(u'xiao',), 
u'搪':(u'tang',), 
u'瞳':(u'tong',), 
u'榷':(u'que',), 
u'伸':(u'shen',), 
u'嫁':(u'jia',), 
u'采':(u'cai',), 
u'诋':(u'di',), 
u'跏':(u'jia',), 
u'捐':(u'juan',), 
u'蟓':(u'xiang',), 
u'给':(u'gei', u'ji'), 
u'泥':(u'ni',), 
u'赤':(u'chi',), 
u'曩':(u'nang',), 
u'巯':(u'qiu',), 
u'铵':(u'an',), 
u'能':(u'neng',), 
u'晾':(u'liang',), 
u'宀':(u'mian',), 
u'缃':(u'xiang',), 
u'颂':(u'song',), 
u'钊':(u'zhao',), 
u'帙':(u'zhi',), 
u'锟':(u'kun',), 
u'涤':(u'di',), 
u'枨':(u'cheng',), 
u'砭':(u'bian',), 
u'爱':(u'ai',), 
u'傲':(u'ao',), 
u'琵':(u'pi',), 
u'陉':(u'jing', u'xing'), 
u'衍':(u'yan',), 
u'祗':(u'zhi',), 
u'忘':(u'wang',), 
u'裢':(u'lian',), 
u'慧':(u'hui',), 
u'苦':(u'ku',), 
u'靳':(u'jin',), 
u'呵':(u'he', u'ke'), 
u'痴':(u'chi',), 
u'荻':(u'di',), 
u'异':(u'yi',), 
u'箅':(u'bi',), 
u'唆':(u'suo',), 
u'澍':(u'shu',), 
u'踌':(u'chou',), 
u'斑':(u'ban',), 
u'舔':(u'tian',), 
u'店':(u'dian',), 
u'香':(u'xiang',), 
u'咛':(u'ning',), 
u'功':(u'gong',), 
u'讥':(u'ji',), 
u'挪':(u'nuo',), 
u'餮':(u'tie',), 
u'炳':(u'bing',), 
u'露':(u'lou', u'lu'), 
u'溷':(u'hun',), 
u'贶':(u'kuang',), 
u'抿':(u'min',), 
u'脾':(u'pi',), 
u'籀':(u'zhou',), 
u'寅':(u'yin',), 
u'雇':(u'gu',), 
u'凉':(u'liang',), 
u'扔':(u'reng',), 
u'孚':(u'fu',), 
u'淡':(u'dan',), 
u'闱':(u'wei',), 
u'僳':(u'su',), 
u'价':(u'jia',), 
u'傈':(u'li',), 
u'二':(u'er',), 
u'夙':(u'su',), 
u'碘':(u'dian',), 
u'蘧':(u'qu',), 
u'您':(u'nin',), 
u'缭':(u'liao',), 
u'妮':(u'ni',), 
u'由':(u'you',), 
u'钰':(u'yu',), 
u'垲':(u'kai',), 
u'椹':(u'zhen', u'shen'), 
u'朽':(u'xiu',), 
u'魅':(u'mei',), 
u'酉':(u'you',), 
u'珊':(u'shan',), 
u'槎':(u'cha',), 
u'柒':(u'qi',), 
u'瑛':(u'ying',), 
u'牟':(u'mou', u'mu'), 
u'档':(u'dang',), 
u'迢':(u'tiao',), 
u'菪':(u'dang',), 
u'彭':(u'peng',), 
u'驯':(u'xun',), 
u'卵':(u'luan',), 
u'狴':(u'bi',), 
u'曼':(u'man',), 
u'艿':(u'nai',), 
u'市':(u'shi',), 
u'吆':(u'yao',), 
u'炉':(u'lu',), 
u'刊':(u'kan',), 
u'撑':(u'cheng',), 
u'投':(u'tou',), 
u'茔':(u'ying',), 
u'得':(u'de', u'dei'), 
u'簖':(u'duan',), 
u'稚':(u'zhi',), 
u'原':(u'yuan',), 
u'搦':(u'nuo',), 
u'肩':(u'jian',), 
u'截':(u'jie',), 
u'唰':(u'shua',), 
u'熳':(u'man',), 
u'防':(u'fang',), 
u'谶':(u'chen',), 
u'峁':(u'mao',), 
u'跋':(u'ba',), 
u'仍':(u'reng',), 
u'诏':(u'zhao',), 
u'磙':(u'gun',), 
u'婚':(u'hun',), 
u'泡':(u'pao',), 
u'赠':(u'zeng',), 
u'惩':(u'cheng',), 
u'巫':(u'wu',), 
u'确':(u'que',), 
u'铱':(u'yi',), 
u'凳':(u'deng',), 
u'汶':(u'wen',), 
u'裹':(u'guo',), 
u'麂':(u'ji',), 
u'宄':(u'gui',), 
u'眇':(u'miao',), 
u'钆':(u'ga',), 
u'冈':(u'gang',), 
u'洋':(u'yang',), 
u'鼗':(u'tao',), 
u'堙':(u'yin',), 
u'锛':(u'ben',), 
u'涠':(u'wei',), 
u'憨':(u'han',), 
u'爵':(u'jue',), 
u'根':(u'gen',), 
u'绂':(u'fu',), 
u'均':(u'jun',), 
u'葑':(u'feng',), 
u'罗':(u'luo',), 
u'鳖':(u'bie',), 
u'姘':(u'pin',), 
u'畛':(u'zhen',), 
u'楣':(u'mei',), 
u'蓦':(u'mo',), 
u'呱':(u'gua',), 
u'痰':(u'tan',), 
u'轷':(u'hu',), 
u'蕻':(u'hong',), 
u'羁':(u'ji',), 
u'崂':(u'lao',), 
u'禅':(u'shan', u'chan'), 
u'圆':(u'yuan',), 
u'玉':(u'yu',), 
u'谌':(u'chen',), 
u'耔':(u'zi',), 
u'岗':(u'gang',), 
u'编':(u'bian',), 
u'猞':(u'she',), 
u'朦':(u'meng',), 
u'莩':(u'fu',), 
u'纫':(u'ren',), 
u'尬':(u'ga',), 
u'锲':(u'qie',), 
u'叉':(u'cha',), 
u'版':(u'ban',), 
u'苓':(u'ling',), 
u'彖':(u'tuan',), 
u'篙':(u'gao',), 
u'奚':(u'xi',), 
u'卞':(u'bian',), 
u'濡':(u'ru',), 
u'衤':(u'yi',), 
u'揩':(u'kai',), 
u'艨':(u'meng',), 
u'筮':(u'shi',), 
u'畲':(u'she',), 
u'诹':(u'zou',), 
u'庀':(u'pi',), 
u'稃':(u'fu',), 
u'劈':(u'pi',), 
u'栏':(u'lan',), 
u'窘':(u'jiong',), 
u'璜':(u'huang',), 
u'速':(u'su',), 
u'萧':(u'xiao',), 
u'抨':(u'peng',), 
u'隰':(u'xi',), 
u'邴':(u'bing',), 
u'欹':(u'yi', u'qi'), 
u'之':(u'zhi',), 
u'赍':(u'ji',), 
u'旒':(u'liu',), 
u'腕':(u'wan',), 
u'嫘':(u'lei',), 
u'哜':(u'ji',), 
u'摧':(u'cui',), 
u'鹫':(u'jiu',), 
u'自':(u'zi',), 
u'兵':(u'bing',), 
u'虻':(u'meng',), 
u'聿':(u'yu',), 
u'暑':(u'shu',), 
u'脔':(u'luan',), 
u'垛':(u'duo',), 
u'砚':(u'yan',), 
u'钝':(u'dun',), 
u'氢':(u'qing',), 
u'芩':(u'qin',), 
u'怪':(u'guai',), 
u'地':(u'de', u'di'), 
u'玳':(u'dai',), 
u'舾':(u'xi',), 
u'壅':(u'yong',), 
u'勉':(u'mian',), 
u'觏':(u'gou',), 
u'材':(u'cai',), 
u'站':(u'zhan',), 
u'镜':(u'jing',), 
u'剞':(u'ji',), 
u'满':(u'man',), 
u'择':(u'ze', u'zhai'), 
u'荨':(u'qian', u'xun'), 
u'快':(u'kuai',), 
u'右':(u'you',), 
u'找':(u'zhao',), 
u'往':(u'wang',), 
u'笃':(u'du',), 
u'鲂':(u'fang',), 
u'妄':(u'wang',), 
u'隆':(u'long',), 
u'吝':(u'lin',), 
u'推':(u'tui',), 
u'瀵':(u'fen',), 
u'醴':(u'li',), 
u'许':(u'xu',), 
u'搽':(u'cha',), 
u'鹁':(u'bo',), 
u'盆':(u'pen',), 
u'烊':(u'yang',), 
u'虑':(u'lv',), 
u'擒':(u'qin',), 
u'睛':(u'jing',), 
u'飚':(u'biao',), 
u'嗜':(u'shi',), 
u'正':(u'zheng',), 
u'胪':(u'lu',), 
u'饯':(u'jian',), 
u'噱':(u'xue',), 
u'起':(u'qi',), 
u'蝻':(u'nan',), 
u'腿':(u'tui',), 
u'挂':(u'gua',), 
u'邋':(u'la',), 
u'厍':(u'she',), 
u'随':(u'sui',), 
u'徕':(u'lai',), 
u'抗':(u'kang',), 
u'萘':(u'nai',), 
u'溟':(u'ming',), 
u'造':(u'zao',), 
u'弪':(u'jing',), 
u'戬':(u'jian',), 
u'渴':(u'ke',), 
u'稼':(u'jia',), 
u'珍':(u'zhen',), 
u'剌':(u'la',), 
u'镎':(u'na',), 
u'科':(u'ke',), 
u'翕':(u'xi',), 
u'幔':(u'man',), 
u'苗':(u'miao',), 
u'浞':(u'zhuo',), 
u'凡':(u'fan',), 
u'铣':(u'xi', u'xian'), 
u'巩':(u'gong',), 
u'惫':(u'bei',), 
u'罪':(u'zui',), 
u'衰':(u'shuai',), 
u'泳':(u'yong',), 
u'蹴':(u'cu',), 
u'狷':(u'juan',), 
u'其':(u'qi',), 
u'驼':(u'tuo',), 
u'绿':(u'lu', u'lv'), 
u'暄':(u'xuan',), 
u'沈':(u'shen',), 
u'嘏':(u'jia', u'gu'), 
u'谳':(u'yan',), 
u'鸿':(u'hong',), 
u'胀':(u'zhang',), 
u'蛄':(u'gu',), 
u'橇':(u'qiao',), 
u'俊':(u'jun',), 
u'寒':(u'han',), 
u'黔':(u'qian',), 
u'蕙':(u'hui',), 
u'擘':(u'bo',), 
u'也':(u'ye',), 
u'酡':(u'tuo',), 
u'靥':(u'ye',), 
u'婧':(u'jing',), 
u'糨':(u'jiang',), 
u'捭':(u'bai',), 
u'楱':(u'cou',), 
u'诲':(u'hui',), 
u'畹':(u'wan',), 
u'醋':(u'cu',), 
u'渊':(u'yuan',), 
u'底':(u'di',), 
u'榛':(u'zhen',), 
u'疣':(u'you',), 
u'箧':(u'qie',), 
u'芭':(u'ba',), 
u'袱':(u'fu',), 
u'椰':(u'ye',), 
u'钹':(u'bo',), 
u'甸':(u'dian',), 
u'妻':(u'qi',), 
u'笼':(u'long',), 
u'泉':(u'quan',), 
u'蹊':(u'xi', u'qi'), 
u'狍':(u'pao',), 
u'绕':(u'rao',), 
u'晚':(u'wan',), 
u'迟':(u'chi',), 
u'汞':(u'gong',), 
u'牢':(u'lao',), 
u'荬':(u'mai',), 
u'柯':(u'ke',), 
u'淳':(u'chun',), 
u'轴':(u'zhou',), 
u'偶':(u'ou',), 
u'移':(u'yi',), 
u'老':(u'lao',), 
u'蘅':(u'heng',), 
u'构':(u'gou',), 
u'消':(u'xiao',), 
u'儋':(u'dan',), 
u'羔':(u'gao',), 
u'肖':(u'xiao',), 
u'冠':(u'guan',), 
u'瘥':(u'chai', u'cuo'), 
u'垤':(u'die',), 
u'颦':(u'pin',), 
u'撮':(u'zuo', u'cuo'), 
u'贳':(u'shi',), 
u'吹':(u'chui',), 
u'精':(u'jing',), 
u'臀':(u'tun',), 
u'歇':(u'xie',), 
u'今':(u'jin',), 
u'哎':(u'ai',), 
u'嫒':(u'ai',), 
u'葙':(u'xiang',), 
u'佟':(u'tong',), 
u'燠':(u'yu',), 
u'扭':(u'niu',), 
u'导':(u'dao',), 
u'侉':(u'kua',), 
u'再':(u'zai',), 
u'钏':(u'chuan',), 
u'麓':(u'lu',), 
u'沟':(u'gou',), 
u'伞':(u'san',), 
u'碧':(u'bi',), 
u'鸨':(u'bao',), 
u'亳':(u'bo',), 
u'趵':(u'bo', u'bao'), 
u'水':(u'shui',), 
u'瘸':(u'que',), 
u'砼':(u'tong',), 
u'岿':(u'kui',), 
u'旅':(u'lv',), 
u'濉':(u'sui',), 
u'么':(u'me',), 
u'赊':(u'she',), 
u'偌':(u'ruo',), 
u'篑':(u'kui',), 
u'胗':(u'zhen',), 
u'潞':(u'lu',), 
u'嗥':(u'hao',), 
u'飧':(u'sun',), 
u'烷':(u'wan',), 
u'顼':(u'xu',), 
u'茁':(u'zhuo',), 
u'技':(u'ji',), 
u'撄':(u'ying',), 
u'吏':(u'li',), 
u'辞':(u'ci',), 
u'猡':(u'luo',), 
u'加':(u'jia',), 
u'醢':(u'hai',), 
u'甥':(u'sheng',), 
u'咤':(u'zha',), 
u'缩':(u'su', u'suo'), 
u'舫':(u'fang',), 
u'圹':(u'kuang',), 
u'晃':(u'huang',), 
u'蓄':(u'xu',), 
u'城':(u'cheng',), 
u'姒':(u'si',), 
u'鳔':(u'biao',), 
u'蝙':(u'bian',), 
u'狠':(u'hen',), 
u'镥':(u'lu',), 
u'瓤':(u'rang',), 
u'绨':(u'ti',), 
u'蟮':(u'shan',), 
u'睹':(u'du',), 
u'闺':(u'gui',), 
u'螃':(u'pang',), 
u'怂':(u'song',), 
u'争':(u'zheng',), 
u'傍':(u'bang',), 
u'砒':(u'pi',), 
u'蜘':(u'zhi',), 
u'殛':(u'ji',), 
u'涟':(u'lian',), 
u'丞':(u'cheng',), 
u'锤':(u'chui',), 
u'禧':(u'xi',), 
u'肭':(u'na',), 
u'冷':(u'leng',), 
u'隹':(u'cui', u'zhui'), 
u'眸':(u'mou',), 
u'礼':(u'li',), 
u'聂':(u'nie',), 
u'擅':(u'shan',), 
u'子':(u'zi',), 
u'糕':(u'gao',), 
u'诛':(u'zhu',), 
u'跟':(u'gen',), 
u'哥':(u'ge',), 
u'旯':(u'la',), 
u'赴':(u'fu',), 
u'饼':(u'bing',), 
u'舁':(u'yu',), 
u'掀':(u'xian',), 
u'踉':(u'liang',), 
u'澈':(u'che',), 
u'逍':(u'xiao',), 
u'唏':(u'xi',), 
u'箐':(u'qing',), 
u'弓':(u'gong',), 
u'昙':(u'tan',), 
u'栝':(u'gua',), 
u'躞':(u'xie',), 
u'邢':(u'xing',), 
u'琥':(u'hu',), 
u'徨':(u'huang',), 
u'茫':(u'mang',), 
u'暮':(u'mu',), 
u'状':(u'zhuang',), 
u'嘹':(u'liao',), 
u'鬻':(u'yu',), 
u'璺':(u'wen',), 
u'纾':(u'shu',), 
u'菀':(u'wan', u'yu'), 
u'权':(u'quan',), 
u'迈':(u'mai',), 
u'里':(u'li',), 
u'畏':(u'wei',), 
u'柘':(u'zhe',), 
u'珠':(u'zhu',), 
u'痤':(u'cuo',), 
u'鹩':(u'liao',), 
u'恭':(u'gong',), 
u'蛮':(u'man',), 
u'橱':(u'chu',), 
u'埸':(u'yi',), 
u'铺':(u'pu',), 
u'黾':(u'min',), 
u'肃':(u'su',), 
u'躇':(u'chu',), 
u'钋':(u'po',), 
u'颓':(u'tui',), 
u'缒':(u'zhui',), 
u'宕':(u'dang',), 
u'暗':(u'an',), 
u'耘':(u'yun',), 
u'沛':(u'pei',), 
u'级':(u'ji',), 
u'崦':(u'yan',), 
u'螭':(u'chi',), 
u'趱':(u'zan',), 
u'氰':(u'qing',), 
u'讵':(u'ju',), 
u'嚷':(u'rang',), 
u'旁':(u'pang',), 
u'赆':(u'jin',), 
u'矍':(u'jue',), 
u'噌':(u'cheng', u'ceng'), 
u'酎':(u'zhou',), 
u'屐':(u'ji',), 
u'敖':(u'ao',), 
u'保':(u'bao',), 
u'楞':(u'leng',), 
u'嗡':(u'weng',), 
u'睢':(u'sui',), 
u'句':(u'ju',), 
u'黧':(u'li',), 
u'虬':(u'qiu',), 
u'拯':(u'zheng',), 
u'啶':(u'ding',), 
u'系':(u'xi', u'ji'), 
u'卺':(u'jin',), 
u'竿':(u'gan',), 
u'茅':(u'mao',), 
u'抄':(u'chao',), 
u'万':(u'mo', u'wan'), 
u'霍':(u'huo',), 
u'猥':(u'wei',), 
u'墨':(u'mo',), 
u'舯':(u'zhong',), 
u'玺':(u'xi',), 
u'禾':(u'he',), 
u'恃':(u'shi',), 
u'苄':(u'bian',), 
u'雌':(u'ci',), 
u'鳐':(u'yao',), 
u'忒':(u'te',), 
u'腙':(u'zong',), 
u'惘':(u'wang',), 
u'镡':(u'xin', u'chan', u'tan'), 
u'瓠':(u'hu',), 
u'饩':(u'xi',), 
u'磨':(u'mo',), 
u'杭':(u'hang',), 
u'闶':(u'kang',), 
u'昂':(u'ang',), 
u'辇':(u'nian',), 
u'氆':(u'pu',), 
u'樊':(u'fan',), 
u'鎏':(u'liu',), 
u'岑':(u'cen',), 
u'馓':(u'san',), 
u'林':(u'lin',), 
u'脘':(u'wan',), 
u'涛':(u'tao',), 
u'羧':(u'suo',), 
u'本':(u'ben',), 
u'邹':(u'zou',), 
u'麽':(u'mo',), 
u'宿':(u'su', u'xiu'), 
u'担':(u'dan',), 
u'豆':(u'dou',), 
u'棉':(u'mian',), 
u'盍':(u'he',), 
u'坌':(u'ben',), 
u'孔':(u'kong',), 
u'跛':(u'bo',), 
u'仝':(u'tong',), 
u'诟':(u'gou',), 
u'走':(u'zou',), 
u'呶':(u'nao',), 
u'酸':(u'suan',), 
u'塾':(u'shu',), 
u'萁':(u'ji',), 
u'舅':(u'jiu',), 
u'榈':(u'lv',), 
u'阍':(u'hun',), 
u'瞌':(u'ke',), 
u'匏':(u'pao',), 
u'箔':(u'bo',), 
u'怙':(u'hu',), 
u'渝':(u'yu',), 
u'鲦':(u'tiao',), 
u'砩':(u'fei', u'fu'), 
u'妨':(u'fang',), 
u'蔫':(u'nian',), 
u'茯':(u'fu',), 
u'溲':(u'sou',), 
u'帽':(u'mao',), 
u'碾':(u'nian',), 
u'潇':(u'xiao',), 
u'览':(u'lan',), 
u'畋':(u'tian',), 
u'祓':(u'fu',), 
u'廒':(u'ao',), 
u'银':(u'yin',), 
u'凸':(u'tu',), 
u'漆':(u'qi',), 
u'隋':(u'sui',), 
u'猎':(u'lie',), 
u'骓':(u'zhui',), 
u'谜':(u'mi',), 
u'唢':(u'suo',), 
u'弦':(u'xian',), 
u'太':(u'tai',), 
u'搬':(u'ban',), 
u'辱':(u'ru',), 
u'爸':(u'ba',), 
u'柁':(u'tuo',), 
u'痍':(u'yi',), 
u'秕':(u'bi',), 
u'塔':(u'ta',), 
u'杖':(u'zhang',), 
u'裟':(u'sha',), 
u'葬':(u'zang',), 
u'惯':(u'guan',), 
u'蹰':(u'chu',), 
u'瓷':(u'ci',), 
u'坶':(u'mu',), 
u'绻':(u'quan',), 
u'鱼':(u'yu',), 
u'悄':(u'qiao',), 
u'锍':(u'liu',), 
u'倏':(u'shu',), 
u'娓':(u'wei',), 
u'掮':(u'qian',), 
u'液':(u'ye',), 
u'匹':(u'pi',), 
u'崽':(u'zai',), 
u'蛀':(u'zhu',), 
u'扃':(u'jiong',), 
u'胄':(u'zhou',), 
u'汇':(u'hui',), 
u'铌':(u'ni',), 
u'灏':(u'hao',), 
u'拘':(u'ju',), 
u'赝':(u'yan',), 
u'靡':(u'mi',), 
u'酥':(u'su',), 
u'烤':(u'kao',), 
u'仰':(u'yang',), 
u'韶':(u'shao',), 
u'搂':(u'lou',), 
u'鞋':(u'xie',), 
u'栊':(u'long',), 
u'庑':(u'wu',), 
u'斗':(u'dou',), 
u'带':(u'dai',), 
u'堪':(u'kan',), 
u'椴':(u'duan',), 
u'喷':(u'pen',), 
u'猸':(u'mei',), 
u'鲽':(u'die',), 
u'情':(u'qing',), 
u'绑':(u'bang',), 
u'彐':(u'ji',), 
u'磕':(u'ke',), 
u'奔':(u'ben',), 
u'晖':(u'hui',), 
u'进':(u'jin',), 
u'恚':(u'hui',), 
u'囡':(u'nan',), 
u'嫩':(u'nen',), 
u'硪':(u'wo',), 
u'轰':(u'hong',), 
u'毳':(u'cui',), 
u'噶':(u'ga',), 
u'翻':(u'fan',), 
u'者':(u'zhe',), 
u'肚':(u'du',), 
u'垠':(u'yin',), 
u'钢':(u'gang',), 
u'冤':(u'yuan',), 
u'麦':(u'mai',), 
u'脯':(u'pu', u'fu'), 
u'沲':(u'duo',), 
u'锷':(u'e',), 
u'刹':(u'sha', u'cha'), 
u'鼻':(u'bi',), 
u'尽':(u'jin',), 
u'蟀':(u'shuai',), 
u'捃':(u'jun',), 
u'浇':(u'jiao',), 
u'仆':(u'pu',), 
u'诈':(u'zha',), 
u'峒':(u'dong', u'tong'), 
u'佛':(u'fo', u'fu'), 
u'陡':(u'dou',), 
u'卣':(u'you',), 
u'遥':(u'yao',), 
u'摭':(u'zhi',), 
u'零':(u'ling',), 
u'特':(u'te',), 
u'司':(u'si',), 
u'籽':(u'zi',), 
u'愆':(u'qian',), 
u'朊':(u'ruan',), 
u'钓':(u'diao',), 
u'檗':(u'bo',), 
u'谘':(u'zi',), 
u'悛':(u'quan',), 
u'会':(u'kuai', u'hui'), 
u'舜':(u'shun',), 
u'圪':(u'ge',), 
u'训':(u'xun',), 
u'螵':(u'piao',), 
u'昴':(u'mao',), 
u'簸':(u'bo',), 
u'傻':(u'sha',), 
u'槁':(u'gao',), 
u'腆':(u'tian',), 
u'噔':(u'deng',), 
u'胛':(u'jia',), 
u'蛟':(u'jiao',), 
u'敞':(u'chang',), 
u'筢':(u'pa',), 
u'煦':(u'xu',), 
u'奶':(u'nai',), 
u'啾':(u'jiu',), 
u'堋':(u'beng', u'peng'), 
u'帏':(u'wei',), 
u'吓':(u'he', u'xia'), 
u'洙':(u'zhu',), 
u'辚':(u'lin',), 
u'挝':(u'zhua', u'wo'), 
u'缥':(u'piao',), 
u'甩':(u'shuai',), 
u'咨':(u'zi',), 
u'踯':(u'zhi',), 
u'涮':(u'shuan',), 
u'逻':(u'luo',), 
u'阿':(u'e', u'a'), 
u'疾':(u'ji',), 
u'扇':(u'shan',), 
u'髌':(u'bin',), 
u'郐':(u'kuai',), 
u'赙':(u'fu',), 
u'拜':(u'bai',), 
u'屣':(u'xi',), 
u'剧':(u'ju',), 
u'镩':(u'cuan',), 
u'菲':(u'fei',), 
u'杵':(u'chu',), 
u'闾':(u'lv',), 
u'怆':(u'chuang',), 
u'馋':(u'chan',), 
u'昊':(u'hao',), 
u'业':(u'ye',), 
u'茜':(u'qian', u'xi'), 
u'倦':(u'juan',), 
u'锨':(u'xian',), 
u'侯':(u'hou',), 
u'肱':(u'gong',), 
u'蚵':(u'he', u'ke'), 
u'朴':(u'pu', u'po', u'piao'), 
u'冻':(u'dong',), 
u'聆':(u'ling',), 
u'诗':(u'shi',), 
u'摞':(u'luo',), 
u'哩':(u'li',), 
u'譬':(u'pi',), 
u'濯':(u'zhuo',), 
u'腰':(u'yao',), 
u'蝴':(u'hu',), 
u'篷':(u'peng',), 
u'幺':(u'yao',), 
u'矿':(u'kuang',), 
u'榀':(u'pin',), 
u'踅':(u'xue',), 
u'澄':(u'cheng', u'deng'), 
u'式':(u'shi',), 
u'逑':(u'qiu',), 
u'阕':(u'que',), 
u'袖':(u'xiu',), 
u'氙':(u'xian',), 
u'骢':(u'cong',), 
u'邦':(u'bang',), 
u'褫':(u'chi',), 
u'沮':(u'ju',), 
u'尹':(u'yin',), 
u'纺':(u'fang',), 
u'刽':(u'gui',), 
u'浃':(u'jia',), 
u'迄':(u'qi',), 
u'勒':(u'le', u'lei'), 
u'淘':(u'tao',), 
u'卧':(u'wo',), 
u'痨':(u'lao',), 
u'叼':(u'diao',), 
u'链':(u'lian',), 
u'肇':(u'zhao',), 
u'骋':(u'cheng',), 
u'妍':(u'yan',), 
u'缎':(u'duan',), 
u'梗':(u'geng',), 
u'抛':(u'pao',), 
u'耜':(u'si',), 
u'纣':(u'zhou',), 
u'匦':(u'gui',), 
u'唪':(u'feng',), 
u'莱':(u'lai',), 
u'搴':(u'qian',), 
u'咿':(u'yi',), 
u'毁':(u'hui',), 
u'淅':(u'xi',), 
u'荆':(u'jing',), 
u'蕊':(u'rui',), 
u'种':(u'zhong', u'chong'), 
u'塌':(u'ta',), 
u'珑':(u'long',), 
u'剐':(u'gua',), 
u'酒':(u'jiu',), 
u'痕':(u'hen',), 
u'呔':(u'dai',), 
u'苛':(u'ke',), 
u'浚':(u'xun', u'jun'), 
u'蓟':(u'ji',), 
u'杞':(u'qi',), 
u'寡':(u'gua',), 
u'祢':(u'ni', u'mi'), 
u'工':(u'gong',), 
u'郧':(u'yun',), 
u'番':(u'pan', u'fan'), 
u'衬':(u'chen',), 
u'泯':(u'min',), 
u'艰':(u'jian',), 
u'曳':(u'ye',), 
u'磷':(u'lin',), 
u'狻':(u'suan',), 
u'瓿':(u'bu',), 
u'檀':(u'tan',), 
u'七':(u'qi',), 
u'蜉':(u'fu',), 
u'餍':(u'yan',), 
u'碌':(u'lu', u'liu'), 
u'小':(u'xiao',), 
u'锕':(u'a',), 
u'亘':(u'gen',), 
u'眩':(u'xuan',), 
u'谯':(u'qiao',), 
u'弹':(u'dan', u'tan'), 
u'湃':(u'pai',), 
u'惜':(u'xi',), 
u'章':(u'zhang',), 
u'革':(u'ge',), 
u'迮':(u'ze',), 
u'捱':(u'ai',), 
u'罹':(u'li',), 
u'煽':(u'shan',), 
u'较':(u'jiao',), 
u'戆':(u'zhuang', u'gang'), 
u'咕':(u'gu',), 
u'斟':(u'zhen',), 
u'袭':(u'xi',), 
u'花':(u'hua',), 
u'攴':(u'po',), 
u'缸':(u'gang',), 
u'去':(u'qu',), 
u'泅':(u'qiu',), 
u'鹎':(u'bei',), 
u'遒':(u'qiu',), 
u'仙':(u'xian',), 
u'嫡':(u'di',), 
u'峥':(u'zheng',), 
u'牦':(u'mao',), 
u'毫':(u'hao',), 
u'柳':(u'liu',), 
u'蕴':(u'yun',), 
u'婶':(u'shen',), 
u'屺':(u'qi',), 
u'痿':(u'wei',), 
u'谅':(u'liang',), 
u'疔':(u'ding',), 
u'思':(u'si',), 
u'宠':(u'chong',), 
u'颢':(u'hao',), 
u'瘩':(u'da',), 
u'钪':(u'kang',), 
u'贯':(u'guan',), 
u'悲':(u'bei',), 
u'锿':(u'ai',), 
u'诀':(u'jue',), 
u'跄':(u'qiang',), 
u'筋':(u'jin',), 
u'蹙':(u'cu',), 
u'险':(u'xian',), 
u'胲':(u'gai', u'hai'), 
u'忸':(u'niu',), 
u'凼':(u'dang',), 
u'雾':(u'wu',), 
u'漂':(u'piao',), 
u'鲋':(u'fu',), 
u'骏':(u'jun',), 
u'喑':(u'yin',), 
u'邓':(u'deng',), 
u'厕':(u'ce',), 
u'抟':(u'tuan',), 
u'碣':(u'jie',), 
u'匪':(u'fei',), 
u'戴':(u'dai',), 
u'康':(u'kang',), 
u'砸':(u'za',), 
u'咻':(u'xiu',), 
u'瘼':(u'mo',), 
u'势':(u'shi',), 
u'毅':(u'yi',), 
u'幌':(u'huang',), 
u'呐':(u'na',), 
u'青':(u'qing',), 
u'剔':(u'ti',), 
u'苟':(u'gou',), 
u'巡':(u'xun',), 
u'罢':(u'ba',), 
u'寥':(u'liao',), 
u'畦':(u'qi',), 
u'泫':(u'xuan',), 
u'蹬':(u'deng',), 
u'想':(u'xiang',), 
u'艴':(u'fu',), 
u'绷':(u'beng',), 
u'顸':(u'han',), 
u'孺':(u'ru',), 
u'檄':(u'xi',), 
u'脉':(u'mo', u'mai'), 
u'鼍':(u'tuo',), 
u'锑':(u'ti',), 
u'璐':(u'lu',), 
u'朝':(u'zhao', u'chao'), 
u'笥':(u'si',), 
u'储':(u'chu',), 
u'谫':(u'jian',), 
u'耳':(u'er',), 
u'鸷':(u'zhi',), 
u'夹':(u'jia', u'ga'), 
u'桃':(u'tao',), 
u'铐':(u'kao',), 
u'埒':(u'lie',), 
u'棘':(u'ji',), 
u'曜':(u'yao',), 
u'糠':(u'kang',), 
u'酩':(u'ming',), 
u'烨':(u'ye',), 
u'潭':(u'tan',), 
u'们':(u'men',), 
u'睽':(u'kui',), 
u'覃':(u'qin', u'tan'), 
u'戊':(u'wu',), 
u'斛':(u'hu',), 
u'蜜':(u'mi',), 
u'瞧':(u'qiao',), 
u'否':(u'pi', u'fou'), 
u'德':(u'de',), 
u'喻':(u'yu',), 
u'隽':(u'juan',), 
u'眼':(u'yan',), 
u'县':(u'xian',), 
u'蹂':(u'rou',), 
u'葆':(u'bao',), 
u'绍':(u'shao',), 
u'啐':(u'cui',), 
u'菟':(u'tu',), 
u'峡':(u'xia',), 
u'韧':(u'ren',), 
u'淫':(u'yin',), 
u'转':(u'zhuan', u'zhuai'), 
u'毯':(u'tan',), 
u'婺':(u'wu',), 
u'靼':(u'da',), 
u'偾':(u'fen',), 
u'谁':(u'shei',), 
u'殄':(u'tian',), 
u'羌':(u'qiang',), 
u'昝':(u'zan',), 
u'室':(u'shi',), 
u'钦':(u'qin',), 
u'贫':(u'pin',), 
u'中':(u'zhong',), 
u'鼷':(u'xi',), 
u'锻':(u'duan',), 
u'仂':(u'le',), 
u'评':(u'ping',), 
u'筏':(u'fa',), 
u'佗':(u'tuo',), 
u'衙':(u'ya',), 
u'柜':(u'gui', u'ju'), 
u'蛲':(u'nao',), 
u'白':(u'bai',), 
u'郾':(u'yan',), 
u'蒇':(u'chan',), 
u'麋':(u'mi',), 
u'颏':(u'ke',), 
u'冕':(u'mian',), 
u'萜':(u'tie',), 
u'悟':(u'wu',), 
u'鸠':(u'jiu',), 
u'璧':(u'bi',), 
u'享':(u'xiang',), 
u'岷':(u'min',), 
u'琼':(u'qiong',), 
u'赂':(u'lu',), 
u'揉':(u'rou',), 
u'腊':(u'la',), 
u'镒':(u'yi',), 
u'燕':(u'yan',), 
u'蛛':(u'zhu',), 
u'楚':(u'chu',), 
u'捞':(u'lao',), 
u'忡':(u'chong',), 
u'姥':(u'lao',), 
u'铧':(u'hua',), 
u'睦':(u'mu',), 
u'叩':(u'kou',), 
u'拳':(u'quan',), 
u'驸':(u'fu',), 
u'茉':(u'mo',), 
u'炔':(u'gui', u'que'), 
u'辖':(u'xia',), 
u'莞':(u'guan', u'wan'), 
u'缡':(u'li',), 
u'庠':(u'xiang',), 
u'猩':(u'xing',), 
u'动':(u'dong',), 
u'醪':(u'lao',), 
u'舳':(u'zhu',), 
u'阻':(u'zu',), 
u'禺':(u'yu',), 
u'摇':(u'yao',), 
u'苈':(u'li',), 
u'鳌':(u'ao',), 
u'嗒':(u'da',), 
u'绠':(u'geng',), 
u'饥':(u'ji',), 
u'狨':(u'rong',), 
u'诮':(u'qiao',), 
u'慵':(u'yong',), 
u'筹':(u'chou',), 
u'哼':(u'heng',), 
u'薇':(u'wei',), 
u'昆':(u'kun',), 
u'龋':(u'qu',), 
u'怊':(u'chao',), 
u'岍':(u'qian',), 
u'馏':(u'liu',), 
u'税':(u'shui',), 
u'世':(u'shi',), 
u'鼠':(u'shu',), 
u'尢':(u'you', u'wang'), 
u'倪':(u'ni',), 
u'蚱':(u'zha',), 
u'嶷':(u'yi',), 
u'笸':(u'po',), 
u'钽':(u'tan',), 
u'滁':(u'chu',), 
u'拉':(u'la',), 
u'聊':(u'liao',), 
u'糍':(u'ci',), 
u'嵌':(u'qian',), 
u'监':(u'jian',), 
u'坐':(u'zuo',), 
u'兔':(u'tu',), 
u'跗':(u'fu',), 
u'湖':(u'hu',), 
u'蟛':(u'peng',), 
u'蝰':(u'kui',), 
u'腴':(u'yu',), 
u'并':(u'bing',), 
u'榄':(u'lan',), 
u'授':(u'shou',), 
u'弋':(u'yi',), 
u'夏':(u'xia',), 
u'阑':(u'lan',), 
u'熔':(u'rong',), 
u'鲢':(u'lian',), 
u'砥':(u'di',), 
u'妤':(u'yu',), 
u'厨':(u'chu',), 
u'邪':(u'xie', u'ye'), 
u'茳':(u'jiang',), 
u'纶':(u'lun', u'guan'), 
u'歃':(u'sha',), 
u'规':(u'gui',), 
u'哒':(u'da',), 
u'翠':(u'cui',), 
u'季':(u'ji',), 
u'秤':(u'cheng',), 
u'啧':(u'ze',), 
u'穹':(u'qiong',), 
u'寸':(u'cun',), 
u'冁':(u'chan',), 
u'垅':(u'long',), 
u'骇':(u'hai',), 
u'肋':(u'lei',), 
u'碛':(u'qi',), 
u'纟':(u'mi',), 
u'崞':(u'guo',), 
u'耠':(u'huo',), 
u'谨':(u'jin',), 
u'伪':(u'wei',), 
u'爬':(u'pa',), 
u'嚯':(u'huo',), 
u'砰':(u'peng',), 
u'岳':(u'yue',), 
u'薹':(u'tai',), 
u'讽':(u'feng',), 
u'亿':(u'yi',), 
u'屈':(u'qu',), 
u'揍':(u'zou',), 
u'乔':(u'qiao',), 
u'睚':(u'ya',), 
u'寝':(u'qin',), 
u'黟':(u'yi',), 
u'蓣':(u'yu',), 
u'换':(u'huan',), 
u'楦':(u'xuan',), 
u'烫':(u'tang',), 
u'盯':(u'ding',), 
u'啮':(u'nie', u'yao'), 
u'拷':(u'kao',), 
u'葸':(u'xi',), 
u'炀':(u'yang',), 
u'吃':(u'chi',), 
u'的':(u'de', u'di'), 
u'娇':(u'jiao',), 
u'甙':(u'dai',), 
u'疮':(u'chuang',), 
u'失':(u'shi',), 
u'舷':(u'xian',), 
u'参':(u'can', u'cen', u'shen'), 
u'雄':(u'xiong',), 
u'姆':(u'mu',), 
u'恋':(u'lian',), 
u'苌':(u'chang',), 
u'晏':(u'yan',), 
u'镙':(u'luo',), 
u'惠':(u'hui',), 
u'蝥':(u'mao',), 
u'注':(u'zhu',), 
u'獭':(u'ta',), 
u'问':(u'wen',), 
u'声':(u'sheng',), 
u'廴':(u'yin',), 
u'嚅':(u'ru',), 
u'井':(u'jing',), 
u'锘':(u'nuo', u'tian'), 
u'羟':(u'qian', u'qiang'), 
u'质':(u'zhi',), 
u'冫':(u'bing',), 
u'个':(u'ge',), 
u'猬':(u'wei',), 
u'缴':(u'jiao',), 
u'蒹':(u'jian',), 
u'攸':(u'you',), 
u'便':(u'bian', u'pian'), 
u'烁':(u'shuo',), 
u'兀':(u'wu',), 
u'盅':(u'zhong', u'ye'), 
u'鹊':(u'que',), 
u'拍':(u'pai',), 
u'滕':(u'teng',), 
u'哙':(u'kuai',), 
u'诧':(u'cha',), 
u'桦':(u'hua',), 
u'饰':(u'shi',), 
u'送':(u'song',), 
u'阅':(u'yue',), 
u'瞄':(u'miao',), 
u'舍':(u'she',), 
u'掌':(u'zhang',), 
u'喘':(u'chuan',), 
u'宜':(u'yi',), 
u'鲞':(u'xiang',), 
u'怡':(u'yi',), 
u'春':(u'chun',), 
u'氩':(u'ya',), 
u'刭':(u'jing',), 
u'沾':(u'zhan',), 
u'筇':(u'qiong',), 
u'廊':(u'lang',), 
u'菌':(u'jun',), 
u'杏':(u'xing',), 
u'觐':(u'jin',), 
u'浓':(u'nong',), 
u'返':(u'fan',), 
u'南':(u'nan',), 
u'痘':(u'dou',), 
u'召':(u'zhao',), 
u'铮':(u'zheng',), 
u'胶':(u'jiao',), 
u'摹':(u'mo',), 
u'颇':(u'po',), 
u'笆':(u'ba',), 
u'徉':(u'yang',), 
u'芋':(u'yu',), 
u'紊':(u'wen',), 
u'椒':(u'jiao',), 
u'化':(u'hua',), 
u'粟':(u'su',), 
u'萤':(u'ying',), 
u'梧':(u'wu',), 
u'劫':(u'jie',), 
u'醭':(u'bu',), 
u'咯':(u'luo', u'ka', u'ge', u'lo'), 
u'庳':(u'bi',), 
u'格':(u'ge',), 
u'剀':(u'kai',), 
u'病':(u'bing',), 
u'蝎':(u'xie',), 
u'郗':(u'xi',), 
u'埙':(u'xun',), 
u'畚':(u'ben',), 
u'姝':(u'shu',), 
u'鳟':(u'zun',), 
u'慢':(u'man',), 
u'武':(u'wu',), 
u'俩':(u'liang', u'lia'), 
u'浪':(u'lang',), 
u'瓯':(u'ou',), 
u'驰':(u'chi',), 
u'绳':(u'sheng',), 
u'佾':(u'yi',), 
u'犀':(u'xi',), 
u'锅':(u'guo',), 
u'堇':(u'jin',), 
u'脍':(u'kuai',), 
u'悌':(u'ti',), 
u'檐':(u'yan',), 
u'专':(u'zhuan',), 
u'沔':(u'mian',), 
u'眙':(u'yi',), 
u'挡':(u'dang',), 
u'攥':(u'zuan',), 
u'讦':(u'jie',), 
u'漩':(u'xuan',), 
u'亨':(u'heng',), 
u'鸳':(u'yuan',), 
u'耷':(u'da',), 
u'癃':(u'long',), 
u'铄':(u'shuo',), 
u'硇':(u'nao',), 
u'密':(u'mi',), 
u'手':(u'shou',), 
u'背':(u'bei',), 
u'湓':(u'pen',), 
u'静':(u'jing',), 
u'盘':(u'pan',), 
u'荡':(u'dang',), 
u'擤':(u'xing',), 
u'轩':(u'xuan',), 
u'滨':(u'bin',), 
u'僬':(u'jiao',), 
u'筱':(u'xiao',), 
u'劁':(u'qiao',), 
u'馇':(u'cha',), 
u'稆':(u'lv',), 
u'薏':(u'yi',), 
u'明':(u'ming',), 
u'输':(u'shu',), 
u'刖':(u'yue',), 
u'枣':(u'zao',), 
u'榧':(u'fei',), 
u'骱':(u'jie', u'xie'), 
u'鲵':(u'ni',), 
u'狁':(u'yun',), 
u'遂':(u'sui',), 
u'啄':(u'zhuo',), 
u'绉':(u'zhou',), 
u'虎':(u'hu',), 
u'法':(u'fa',), 
u'牖':(u'you',), 
u'瑚':(u'hu',), 
u'恢':(u'hui',), 
u'汪':(u'wang',), 
u'酬':(u'chou',), 
u'翳':(u'yi',), 
u'乾':(u'qian',), 
u'圃':(u'pu',), 
u'备':(u'bei',), 
u'耍':(u'shua',), 
u'谕':(u'yu',), 
u'涔':(u'cen',), 
u'瘙':(u'sao',), 
u'钚':(u'bu',), 
u'砝':(u'fa',), 
u'戡':(u'kan',), 
u'肢':(u'zhi',), 
u'温':(u'wen',), 
u'侨':(u'qiao',), 
u'倭':(u'wo',), 
u'锯':(u'ju',), 
u'皮':(u'pi',), 
u'娱':(u'yu',), 
u'碲':(u'di',), 
u'撺':(u'cuan',), 
u'贿':(u'hui',), 
u'睃':(u'suo',), 
u'捋':(u'luo', u'lv'), 
u'臌':(u'gu',), 
u'敏':(u'min',), 
u'孛':(u'bei', u'bo'), 
u'揠':(u'ya',), 
u'蹩':(u'bie',), 
u'灭':(u'mie',), 
u'寰':(u'huan',), 
u'巴':(u'ba',), 
u'喁':(u'yong',), 
u'邃':(u'sui',), 
u'厅':(u'ting',), 
u'麇':(u'qun', u'jun'), 
u'蒋':(u'jiang',), 
u'笊':(u'zhao',), 
u'芏':(u'du',), 
u'愎':(u'bi',), 
u'匚':(u'xi', u'fang'), 
u'窟':(u'ku',), 
u'患':(u'huan',), 
u'溧':(u'li',), 
u'咫':(u'zhi',), 
u'鞭':(u'bian',), 
u'辽':(u'liao',), 
u'呀':(u'ya',), 
u'秉':(u'bing',), 
u'淑':(u'shu',), 
u'毕':(u'bi',), 
u'忝':(u'tian',), 
u'髟':(u'biao', u'shan'), 
u'神':(u'shen',), 
u'浦':(u'pu',), 
u'歪':(u'wai',), 
u'陬':(u'zou',), 
u'狯':(u'kuai',), 
u'兮':(u'xi',), 
u'驴':(u'lv',), 
u'曷':(u'he',), 
u'泻':(u'xie',), 
u'蹼':(u'pu',), 
u'锁':(u'suo',), 
u'璀':(u'cui',), 
u'犄':(u'ji',), 
u'蜍':(u'chu',), 
u'暌':(u'kui',), 
u'沐':(u'mu',), 
u'焙':(u'bei',), 
u'缝':(u'feng',), 
u'府':(u'fu',), 
u'挥':(u'hui',), 
u'讪':(u'shan',), 
u'圭':(u'gui',), 
u'羲':(u'xi',), 
u'掺':(u'shan', u'chan'), 
u'伽':(u'jia', u'ga', u'qie'), 
u'铀':(u'you',), 
u'埂':(u'geng',), 
u'繇':(u'zhou', u'you', u'yao'), 
u'桓':(u'huan',), 
u'噗':(u'pu',), 
u'烘':(u'hong',), 
u'络':(u'lao', u'luo'), 
u'荥':(u'ying', u'xing'), 
u'峰':(u'feng',), 
u'筵':(u'yan',), 
u'龇':(u'chai', u'zi'), 
u'墉':(u'yong',), 
u'怎':(u'zen',), 
u'吖':(u'a',), 
u'刚':(u'gang',), 
u'堞':(u'die',), 
u'澧':(u'li',), 
u'鲱':(u'fei',), 
u'陂':(u'pi', u'po', u'bei'), 
u'磉':(u'sang',), 
u'奈':(u'nai',), 
u'蹒':(u'pan',), 
u'臣':(u'chen',), 
u'痫':(u'xian',), 
u'干':(u'gan',), 
u'添':(u'tian',), 
u'轼':(u'shi',), 
u'玄':(u'xuan',), 
u'谑':(u'xue',), 
u'徜':(u'chang',), 
u'颞':(u'nie',), 
u'搡':(u'sang',), 
u'戥':(u'deng',), 
u'栩':(u'xu',), 
u'锫':(u'pei',), 
u'嘭':(u'peng',), 
u'炮':(u'pao', u'bao'), 
u'就':(u'jiu',), 
u'纲':(u'gang',), 
u'蜷':(u'quan',), 
u'贻':(u'yi',), 
u'丽':(u'li',), 
u'捏':(u'nie',), 
u'诔':(u'lei',), 
u'块':(u'kuai',), 
u'嵛':(u'yu',), 
u'孟':(u'meng',), 
u'葡':(u'pu',), 
u'无':(u'wu',), 
u'佧':(u'ka',), 
u'衩':(u'cha',), 
u'恹':(u'yan',), 
u'裾':(u'ju',), 
u'内':(u'nei',), 
u'鲇':(u'nian',), 
u'缆':(u'lan',), 
u'安':(u'an',), 
u'蚋':(u'rui',), 
u'挎':(u'kua',), 
u'侑':(u'you',), 
u'誓':(u'shi',), 
u'洒':(u'sa',), 
u'纛':(u'dao',), 
u'碟':(u'die',), 
u'沧':(u'cang',), 
u'伦':(u'lun',), 
u'琬':(u'wan',), 
u'媳':(u'xi',), 
u'破':(u'po',), 
u'莹':(u'ying',), 
u'亻':(u'ren',), 
u'镂':(u'lou',), 
u'濑':(u'lai',), 
u'乐':(u'le', u'yue'), 
u'铗':(u'jia',), 
u'叙':(u'xu',), 
u'黛':(u'dai',), 
u'川':(u'chuan',), 
u'食':(u'shi',), 
u'苣':(u'ju', u'qu'), 
u'敢':(u'gan',), 
u'潦':(u'liao',), 
u'烯':(u'xi',), 
u'卮':(u'zhi',), 
u'鹰':(u'ying',), 
u'霁':(u'ji',), 
u'刃':(u'ren',), 
u'窈':(u'yao',), 
u'源':(u'yuan',), 
u'醚':(u'mi',), 
u'岜':(u'ba',), 
u'逯':(u'lu',), 
u'玮':(u'wei',), 
u'弱':(u'ruo',), 
u'架':(u'jia',), 
u'雀':(u'qiao', u'que'), 
u'郄':(u'qie',), 
u'忆':(u'yi',), 
u'晋':(u'jin',), 
u'姊':(u'zi',), 
u'裔':(u'yi',), 
u'呗':(u'bei',), 
u'幛':(u'zhang',), 
u'糜':(u'mi',), 
u'腥':(u'xing',), 
u'罱':(u'lan',), 
u'课':(u'ke',), 
u'傅':(u'fu',), 
u'螋':(u'sou',), 
u'膏':(u'gao',), 
u'戎':(u'rong',), 
u'云':(u'yun',), 
u'疗':(u'liao',), 
u'倚':(u'yi',), 
u'掣':(u'che',), 
u'涧':(u'jian',), 
u'垫':(u'dian',), 
u'钭':(u'tou',), 
u'甬':(u'yong',), 
u'冯':(u'feng', u'ping'), 
u'缰':(u'jiang',), 
u'害':(u'hai',), 
u'礴':(u'bo',), 
u'芹':(u'qin',), 
u'洼':(u'wa',), 
u'址':(u'zhi',), 
u'兄':(u'xiong',), 
u'鹆':(u'yu',), 
u'操':(u'cao',), 
u'滑':(u'hua',), 
u'佐':(u'zuo',), 
u'棕':(u'zong',), 
u'癖':(u'pi',), 
u'矫':(u'jiao',), 
u'镬':(u'huo',), 
u'饴':(u'yi',), 
u'旷':(u'kuang',), 
u'荸':(u'bi',), 
u'槿':(u'jin',), 
u'阁':(u'ge',), 
u'瞀':(u'mao',), 
u'逅':(u'hou',), 
u'熄':(u'xi',), 
u'崇':(u'chong',), 
u'萍':(u'ping',), 
u'斌':(u'bin',), 
u'蠕':(u'ru',), 
u'榔':(u'lang',), 
u'厘':(u'li',), 
u'骞':(u'qian',), 
u'急':(u'ji',), 
u'吭':(u'keng', u'hang'), 
u'鄯':(u'shan',), 
u'帱':(u'dao', u'chou'), 
u'粲':(u'can',), 
u'堵':(u'du',), 
u'蔷':(u'qiang',), 
u'哂':(u'shen',), 
u'运':(u'yun',), 
u'柠':(u'ning',), 
u'瑭':(u'tang',), 
u'嗬':(u'he',), 
u'批':(u'pi',), 
u'胺':(u'an',), 
u'汽':(u'qi',), 
u'妁':(u'shuo',), 
u'待':(u'dai',), 
u'喉':(u'hou',), 
u'袋':(u'dai',), 
u'躏':(u'lin',), 
u'洎':(u'ji',), 
u'窗':(u'chuang',), 
u'外':(u'wai',), 
u'沣':(u'feng',), 
u'萨':(u'sa',), 
u'咳':(u'ke', u'hai'), 
u'瘴':(u'zhang',), 
u'永':(u'yong',), 
u'莽':(u'mang',), 
u'私':(u'si',), 
u'魂':(u'hun',), 
u'翅':(u'chi',), 
u'幄':(u'wo',), 
u'酆':(u'feng',), 
u'痉':(u'jing',), 
u'呈':(u'cheng',), 
u'母':(u'mu',), 
u'赎':(u'shu',), 
u'懑':(u'men',), 
u'荒':(u'huang',), 
u'祖':(u'zu',), 
u'郛':(u'fu',), 
u'罚':(u'fa',), 
u'止':(u'zhi',), 
u'杪':(u'miao',), 
u'马':(u'ma',), 
u'绯':(u'fei',), 
u'陴':(u'pi',), 
u'豸':(u'zhi',), 
u'替':(u'ti',), 
u'切':(u'qie',), 
u'锉':(u'cuo',), 
u'脑':(u'nao',), 
u'蜕':(u'tui',), 
u'首':(u'shou',), 
u'岘':(u'xian',), 
u'龚':(u'gong',), 
u'猝':(u'cu',), 
u'订':(u'ding',), 
u'交':(u'jiao',), 
u'膦':(u'lin',), 
u'鸯':(u'yang',), 
u'綮':(u'qing', u'qi'), 
u'玲':(u'ling',), 
u'耻':(u'chi',), 
u'寂':(u'ji',), 
u'黄':(u'huang',), 
u'片':(u'pian',), 
u'准':(u'zhun',), 
u'铈':(u'shi',), 
u'蛔':(u'hui',), 
u'棠':(u'tang',), 
u'滤':(u'lv',), 
u'围':(u'wei',), 
u'墁':(u'man',), 
u'稂':(u'lang',), 
u'瘊':(u'hou',), 
u'辏':(u'cou',), 
u'戒':(u'jie',), 
u'算':(u'suan',), 
u'帚':(u'zhou',), 
u'瞟':(u'piao',), 
u'吞':(u'tun',), 
u'涣':(u'huan',), 
u'控':(u'kong',), 
u'妫':(u'gui',), 
u'第':(u'di',), 
u'邱':(u'qiu',), 
u'焰':(u'yan',), 
u'喳':(u'cha', u'zha'), 
u'芽':(u'ya',), 
u'磁':(u'ci',), 
u'绅':(u'shen',), 
u'惑':(u'huo',), 
u'硖':(u'xia',), 
u'峙':(u'shi', u'zhi'), 
u'瑞':(u'rui',), 
u'跣':(u'xian',), 
u'以':(u'yi',), 
u'秫':(u'shu',), 
u'屮':(u'che',), 
u'酰':(u'xian',), 
u'割':(u'ge',), 
u'靴':(u'xue',), 
u'荼':(u'tu',), 
u'柿':(u'shi',), 
u'禀':(u'bing',), 
u'崃':(u'lai',), 
u'伏':(u'fu',), 
u'颖':(u'ying',), 
u'爝':(u'jue',), 
u'钞':(u'chao',), 
u'校':(u'jiao', u'xiao'), 
u'渥':(u'wo',), 
u'蚪':(u'dou',), 
u'鼯':(u'wu',), 
u'粮':(u'liang',), 
u'溺':(u'ni',), 
u'蜿':(u'wan',), 
u'嫂':(u'sao',), 
u'囊':(u'nang',), 
u'诌':(u'zhou',), 
u'字':(u'zi',), 
u'坟':(u'fen',), 
u'衡':(u'heng',), 
u'槠':(u'zhu',), 
u'葩':(u'pa',), 
u'旨':(u'zhi',), 
u'凰':(u'huang',), 
u'埴':(u'zhi',), 
u'汹':(u'xiong',), 
u'宁':(u'ning',), 
u'蚓':(u'yin',), 
u'碗':(u'wan',), 
u'嬖':(u'bi',), 
u'谤':(u'bang',), 
u'砬':(u'la', u'li'), 
u'爰':(u'yuan',), 
u'琴':(u'qin',), 
u'边':(u'bian',), 
u'游':(u'you',), 
u'怼':(u'dui',), 
u'篁':(u'huang',), 
u'婀':(u'e',), 
u'镊':(u'nie',), 
u'策':(u'ce',), 
u'忙':(u'mang',), 
u'凝':(u'ning',), 
u'铟':(u'yin',), 
u'胧':(u'long',), 
u'糯':(u'nuo',), 
u'窀':(u'zhun',), 
u'布':(u'bu',), 
u'霉':(u'mei',), 
u'皈':(u'gui',), 
u'茑':(u'niao',), 
u'缙':(u'jin',), 
u'次':(u'ci',), 
u'津':(u'jin',), 
u'薪':(u'xin',), 
u'夭':(u'yao',), 
u'阳':(u'yang',), 
u'舻':(u'lu',), 
u'髀':(u'bi',), 
u'鳄':(u'e',), 
u'俎':(u'zu',), 
u'晓':(u'xiao',), 
u'绘':(u'hui',), 
u'酝':(u'yun',), 
u'祭':(u'ji',), 
u'壬':(u'ren',), 
u'勰':(u'xie',), 
u'诶':(u'ei',), 
u'跺':(u'duo',), 
u'蟾':(u'chan',), 
u'龃':(u'ju', u'zha'), 
u'砂':(u'sha',), 
u'醇':(u'chun',), 
u'爆':(u'bao',), 
u'琊':(u'ye', u'ya'), 
u'渎':(u'du',), 
u'螓':(u'qin',), 
u'怒':(u'nu',), 
u'玛':(u'ma',), 
u'尚':(u'shang',), 
u'疟':(u'yao', u'nve'), 
u'嘞':(u'lei',), 
u'贤':(u'xian',), 
u'憧':(u'chong',), 
u'宫':(u'gong',), 
u'钵':(u'bo',), 
u'肽':(u'tai',), 
u'孀':(u'shuang',), 
u'糅':(u'rou',), 
u'棍':(u'gun',), 
u'聒':(u'guo',), 
u'癞':(u'lai',), 
u'桢':(u'zhen',), 
u'臧':(u'zang',), 
u'扦':(u'qian',), 
u'饬':(u'chi',), 
u'石':(u'dan', u'shi'), 
u'轸':(u'zhen',), 
u'腼':(u'mian',), 
u'简':(u'jian',), 
u'弃':(u'qi',), 
u'儇':(u'xuan',), 
u'阉':(u'yan',), 
u'掐':(u'qia',), 
u'骖':(u'can',), 
u'徘':(u'pai',), 
u'鲚':(u'ji',), 
u'农':(u'nong',), 
u'模':(u'mo', u'mu'), 
u'袢':(u'pan',), 
u'芦':(u'lu',), 
u'吵':(u'chao',), 
u'丹':(u'dan',), 
u'暾':(u'tun',), 
u'觌':(u'di',), 
u'浏':(u'liu',), 
u'从':(u'cong',), 
u'杓':(u'biao', u'shao'), 
u'套':(u'tao',), 
u'翘':(u'qiao',), 
u'佣':(u'yong',), 
u'淤':(u'yu',), 
u'硭':(u'mang',), 
u'姬':(u'ji',), 
u'台':(u'tai',), 
u'俸':(u'feng',), 
u'恽':(u'yun',), 
u'蛾':(u'e',), 
u'颃':(u'hang',), 
u'缂':(u'ke',), 
u'宅':(u'zhai',), 
u'冉':(u'ran',), 
u'猊':(u'ni',), 
u'侍':(u'shi',), 
u'椎':(u'zhui',), 
u'肓':(u'huang',), 
u'崖':(u'ya',), 
u'阜':(u'fu',), 
u'犟':(u'jiang',), 
u'谠':(u'dang',), 
u'伢':(u'ya',), 
u'暧':(u'ai',), 
u'耨':(u'nou',), 
u'岫':(u'xiu',), 
u'琰':(u'yan',), 
u'核':(u'he', u'hu'), 
u'螽':(u'zhong',), 
u'昼':(u'zhou',), 
u'局':(u'ju',), 
u'镆':(u'mo',), 
u'偈':(u'jie', u'ji'), 
u'乌':(u'wu',), 
u'铛':(u'cheng', u'dang', u'tang'), 
u'筚':(u'bi',), 
u'埝':(u'nian',), 
u'煞':(u'sha',), 
u'裣':(u'lian',), 
u'潢':(u'huang',), 
u'敦':(u'dun',), 
u'鹬':(u'yu',), 
u'端':(u'duan',), 
u'鉴':(u'jian',), 
u'虼':(u'ge',), 
u'拿':(u'na',), 
u'窄':(u'zhai',), 
u'蔑':(u'mie',), 
u'茕':(u'qiong',), 
u'莪':(u'e',), 
u'弭':(u'mi',), 
u'唱':(u'chang',), 
u'憾':(u'han',), 
u'及':(u'ji',), 
u'蓐':(u'ru',), 
u'苔':(u'tai',), 
u'呛':(u'qiang',), 
u'赡':(u'dan', u'shan'), 
u'泠':(u'ling',), 
u'腩':(u'nan',), 
u'惨':(u'can',), 
u'楹':(u'ying',), 
u'诺':(u'nuo',), 
u'臾':(u'yu',), 
u'岁':(u'sui',), 
u'理':(u'li',), 
u'趋':(u'qu',), 
u'亍':(u'chu',), 
u'栎':(u'li', u'yue'), 
u'尖':(u'jian',), 
u'霜':(u'shuang',), 
u'玟':(u'min', u'wen'), 
u'丢':(u'diu',), 
u'枧':(u'jian',), 
u'缬':(u'xie',), 
u'钱':(u'qian',), 
u'田':(u'tian',), 
u'决':(u'jue',), 
u'猴':(u'hou',), 
u'糁':(u'san',), 
u'鹂':(u'li',), 
u'先':(u'xian',), 
u'囝':(u'jian',), 
u'灞':(u'ba',), 
u'解':(u'jie', u'xie'), 
u'扪':(u'men',), 
u'镰':(u'lian',), 
u'蝼':(u'lou',), 
u'揿':(u'qin',), 
u'选':(u'xuan',), 
u'澌':(u'si',), 
u'萑':(u'huan',), 
u'斐':(u'fei',), 
u'骚':(u'sao',), 
u'氡':(u'dong',), 
u'怩':(u'ni',), 
u'芪':(u'qi',), 
u'席':(u'xi',), 
u'鬯':(u'chang',), 
u'吱':(u'zi', u'zhi'), 
u'皲':(u'jun',), 
u'蔻':(u'kou',), 
u'睇':(u'di',), 
u'哆':(u'duo',), 
u'测':(u'ce',), 
u'藐':(u'miao',), 
u'菔':(u'fu',), 
u'彗':(u'hui',), 
u'秘':(u'bi', u'mi'), 
u'矜':(u'qin', u'jin'), 
u'卟':(u'bu',), 
u'象':(u'xiang',), 
u'淠':(u'pi',), 
u'聩':(u'kui',), 
u'牵':(u'qian',), 
u'征':(u'zheng',), 
u'钇':(u'yi',), 
u'厉':(u'li',), 
u'焊':(u'han',), 
u'攒':(u'cuan', u'zan'), 
u'粗':(u'cu',), 
u'多':(u'duo',), 
u'舨':(u'ban',), 
u'瘰':(u'luo',), 
u'劳':(u'lao',), 
u'醵':(u'ju',), 
u'讹':(u'e',), 
u'翁':(u'weng',), 
u'塄':(u'leng',), 
u'珉':(u'min',), 
u'酊':(u'ding',), 
u'柑':(u'gan',), 
u'鳗':(u'man',), 
u'祚':(u'zuo',), 
u'嗝':(u'ge',), 
u'信':(u'xin',), 
u'绫':(u'ling',), 
u'狳':(u'yu',), 
u'遴':(u'lin',), 
u'泷':(u'long', u'shuang'), 
u'佶':(u'ji',), 
u'娃':(u'wa',), 
u'下':(u'xia',), 
u'沌':(u'zhuan', u'dun'), 
u'悔':(u'hui',), 
u'笙':(u'sheng',), 
u'亠':(u'tou',), 
u'鸫':(u'dong',), 
u'膪':(u'chuai',), 
u'崭':(u'zhan',), 
u'疲':(u'pi',), 
u'谷':(u'gu',), 
u'澶':(u'chan',), 
u'耿':(u'geng',), 
u'掾':(u'yuan',), 
u'鋈':(u'wu',), 
u'蛐':(u'qu',), 
u'打':(u'da',), 
u'镝':(u'di',), 
u'瓜':(u'gua',), 
u'滠':(u'she',), 
u'荩':(u'jin',), 
u'拨':(u'bo',), 
u'困':(u'kun',), 
u'闲':(u'xian',), 
u'歹':(u'dai',), 
u'墅':(u'shu',), 
u'辋':(u'wang',), 
u'莓':(u'mei',), 
u'帖':(u'tie',), 
u'熟':(u'shu',), 
u'斧':(u'fu',), 
u'茨':(u'ci',), 
u'鲭':(u'qing', u'zheng'), 
u'妯':(u'zhou',), 
u'邵':(u'shao',), 
u'蒽':(u'en',), 
u'绁':(u'xie',), 
u'彀':(u'gou',), 
u'磅':(u'bang', u'pang'), 
u'奄':(u'yan',), 
u'陆':(u'lu', u'liu'), 
u'午':(u'wu',), 
u'惕':(u'ti',), 
u'哝':(u'nong',), 
u'仡':(u'ge',), 
u'诣':(u'yi',), 
u'晦':(u'hui',), 
u'恪':(u'ke',), 
u'积':(u'ji',), 
u'呲':(u'ci',), 
u'酴':(u'tu',), 
u'混':(u'hun',), 
u'懿':(u'yi',), 
u'禄':(u'lu',), 
u'唇':(u'chun',), 
u'谍':(u'die',), 
u'涌':(u'yong',), 
u'蘑':(u'mo',), 
u'析':(u'xi',), 
u'耕':(u'geng',), 
u'憔':(u'qiao',), 
u'官':(u'guan',), 
u'颚':(u'e',), 
u'喜':(u'xi',), 
u'渡':(u'du',), 
u'侠':(u'xia',), 
u'肪':(u'fang',), 
u'嘱':(u'zhu',), 
u'贷':(u'dai',), 
u'溶':(u'rong',), 
u'蜻':(u'qing',), 
u'潋':(u'lian',), 
u'跌':(u'die',), 
u'坛':(u'tan',), 
u'濠':(u'hao',), 
u'补':(u'bu',), 
u'铲':(u'chan',), 
u'灵':(u'ling',), 
u'橹':(u'lu',), 
u'茂':(u'mao',), 
u'锎':(u'kai',), 
u'帔':(u'pei',), 
u'芗':(u'xiang',), 
u'钣':(u'ban',), 
u'瘤':(u'liu',), 
u'骧':(u'xiang',), 
u'掭':(u'tian',), 
u'般':(u'ban',), 
u'榱':(u'cui',), 
u'疹':(u'zhen',), 
u'场':(u'chang',), 
u'崾':(u'yao',), 
u'臁':(u'lian',), 
u'捂':(u'wu',), 
u'畎':(u'quan',), 
u'筒':(u'tong',), 
u'拗':(u'niu', u'ao'), 
u'滟':(u'yan',), 
u'赞':(u'zan',), 
u'瓣':(u'ban',), 
u'噤':(u'jin',), 
u'胫':(u'jing', u'keng'), 
u'扬':(u'yang',), 
u'愁':(u'chou',), 
u'肀':(u'yu',), 
u'颐':(u'yi',), 
u'缕':(u'lv',), 
u'枚':(u'mei',), 
u'涞':(u'lai',), 
u'吣':(u'qin',), 
u'玢':(u'fen', u'bin'), 
u'怫':(u'fu',), 
u'是':(u'shi',), 
u'薮':(u'sou',), 
u'讲':(u'jiang',), 
u'爷':(u'ye',), 
u'咸':(u'xian',), 
u'砻':(u'long',), 
u'契':(u'qi',), 
u'磐':(u'pan',), 
u'录':(u'lu',), 
u'绔':(u'ku',), 
u'教':(u'jiao',), 
u'睥':(u'pi',), 
u'忪':(u'song', u'zhong'), 
u'荭':(u'hong',), 
u'旮':(u'ga',), 
u'轵':(u'zhi',), 
u'广':(u'guang',), 
u'舂':(u'chong',), 
u'殇':(u'shang',), 
u'踊':(u'yong',), 
u'攘':(u'rang',), 
u'辟':(u'pi', u'bi'), 
u'岩':(u'yan',), 
u'茬':(u'cha',), 
u'褰':(u'qian',), 
u'锸':(u'cha',), 
u'鬼':(u'gui',), 
u'尾':(u'wei', u'yi'), 
u'胁':(u'xie',), 
u'框':(u'kuang',), 
u'凋':(u'diao',), 
u'埏':(u'shan',), 
u'飑':(u'biao',), 
u'槛':(u'jian', u'kan'), 
u'虚':(u'xu',), 
u'痣':(u'zhi',), 
u'坤':(u'kun',), 
u'鹪':(u'jiao',), 
u'跳':(u'tiao',), 
u'仵':(u'wu',), 
u'潴':(u'zhu',), 
u'畸':(u'ji',), 
u'态':(u'tai',), 
u'膀':(u'bang', u'pang'), 
u'咎':(u'jiu',), 
u'砑':(u'ya',), 
u'馐':(u'xiu',), 
u'媒':(u'mei',), 
u'悖':(u'bei',), 
u'伟':(u'wei',), 
u'逡':(u'qun',), 
u'唣':(u'zao',), 
u'愫':(u'su',), 
u'纪':(u'ji',), 
u'术':(u'shu', u'zhu'), 
u'洳':(u'ru',), 
u'猷':(u'you',), 
u'邶':(u'bei',), 
u'礻':(u'shi',), 
u'蕃':(u'bo', u'fan'), 
u'柄':(u'bing',), 
u'酋':(u'qiu',), 
u'前':(u'qian',), 
u'塑':(u'su',), 
u'幕':(u'mu',), 
u'翔':(u'xiang',), 
u'诜':(u'shen',), 
u'廪':(u'lin',), 
u'卷':(u'juan',), 
u'驽':(u'nu',), 
u'脂':(u'zhi',), 
u'丈':(u'zhang',), 
u'犋':(u'ju',), 
u'倌':(u'guan',), 
u'霎':(u'sha',), 
u'尔':(u'er',), 
u'颧':(u'quan',), 
u'涵':(u'han',), 
u'谴':(u'qian',), 
u'禽':(u'qin',), 
u'菁':(u'jing',), 
u'歆':(u'xin',), 
u'勋':(u'xun',), 
u'浊':(u'zhuo',), 
u'重':(u'zhong', u'chong'), 
u'哏':(u'gen',), 
u'廓':(u'kuo',), 
u'酢':(u'cu', u'zuo'), 
u'呤':(u'ling',), 
u'苫':(u'shan',), 
u'恬':(u'tian',), 
u'汴':(u'bian',), 
u'培':(u'pei',), 
u'癸':(u'gui',), 
u'髻':(u'ji',), 
u'硼':(u'peng',), 
u'持':(u'chi',), 
u'漉':(u'lu',), 
u'笑':(u'xiao',), 
u'骐':(u'qi',), 
u'妒':(u'du',), 
u'鲔':(u'wei',), 
u'掖':(u'ye',), 
u'嘣':(u'beng',), 
u'锥':(u'zhui',), 
u'箦':(u'ze',), 
u'稻':(u'dao',), 
u'墼':(u'ji',), 
u'簿':(u'bu',), 
u'免':(u'mian',), 
u'孑':(u'jie',), 
u'蛘':(u'yang',), 
u'楝':(u'lian',), 
u'俞':(u'yu',), 
u'略':(u'lve',), 
u'铤':(u'ting', u'ding'), 
u'罩':(u'zhao',), 
u'腭':(u'e',), 
u'乳':(u'ru',), 
u'槲':(u'hu',), 
u'赵':(u'zhao',), 
u'偷':(u'tou',), 
u'饽':(u'bo',), 
u'屿':(u'yu',), 
u'榇':(u'chen',), 
u'王':(u'wang',), 
u'谊':(u'yi',), 
u'疏':(u'shu',), 
u'阎':(u'yan',), 
u'崔':(u'cui',), 
u'趟':(u'tang',), 
u'务':(u'wu',), 
u'鞣':(u'rou',), 
u'缨':(u'ying',), 
u'悭':(u'qian',), 
u'脬':(u'pao',), 
u'贴':(u'tie',), 
u'制':(u'zhi',), 
u'霸':(u'ba',), 
u'苁':(u'cong',), 
u'恂':(u'xun',), 
u'友':(u'you',), 
u'汊':(u'cha',), 
u'髑':(u'du',), 
u'硒':(u'xi',), 
u'鳕':(u'xue',), 
u'毛':(u'mao',), 
u'葚':(u'shen', u'ren'), 
u'占':(u'zhan',), 
u'矣':(u'yi',), 
u'遢':(u'ta',), 
u'啤':(u'pi',), 
u'秧':(u'yang',), 
u'迳':(u'jing',), 
u'浴':(u'yu',), 
u'囹':(u'ling',), 
u'搅':(u'jiao',), 
u'薄':(u'bo', u'bao'), 
u'辈':(u'bei',), 
u'醌':(u'kun',), 
u'嚎':(u'hao',), 
u'墒':(u'shang',), 
u'抖':(u'dou',), 
u'圣':(u'sheng',), 
u'大':(u'da', u'dai'), 
u'窦':(u'dou',), 
u'鸩':(u'zhen',), 
u'挫':(u'cuo',), 
u'粪':(u'fen',), 
u'支':(u'zhi',), 
u'漳':(u'zhang',), 
u'垸':(u'huan',), 
u'钺':(u'yue',), 
u'麾':(u'hui',), 
u'旄':(u'mao',), 
u'义':(u'yi',), 
u'镏':(u'liu',), 
u'展':(u'zhan',), 
u'觜':(u'zui', u'zi'), 
u'仞':(u'ren',), 
u'牡':(u'mu',), 
u'嫦':(u'chang',), 
u'峪':(u'yu',), 
u'佳':(u'jia',), 
u'具':(u'ju',), 
u'顽':(u'wan',), 
u'绾':(u'wan',), 
u'悃':(u'kun',), 
u'蜂':(u'feng',), 
u'璋':(u'zhang',), 
u'嘌':(u'piao',), 
u'犏':(u'pian',), 
u'碓':(u'dui',), 
u'依':(u'yi',), 
u'那':(u'na',), 
u'厥':(u'jue',), 
u'妩':(u'wu',), 
u'枭':(u'xiao',), 
u'谰':(u'lan',), 
u'伲':(u'ni',), 
u'段':(u'duan',), 
u'熹':(u'xi',), 
u'逸':(u'yi',), 
u'区':(u'qu', u'ou'), 
u'羽':(u'yu',), 
u'藁':(u'gao',), 
u'杂':(u'za',), 
u'菅':(u'jian',), 
u'仇':(u'chou', u'qiu'), 
u'浆':(u'jiang',), 
u'觉':(u'jiao', u'jue'), 
u'煎':(u'jian',), 
u'蕖':(u'qu',), 
u'泛':(u'fan',), 
u'荚':(u'jia',), 
u'乜':(u'nie', u'mie'), 
u'襞':(u'bi',), 
u'面':(u'mian',), 
u'继':(u'ji',), 
u'苯':(u'ben',), 
u'汰':(u'tai',), 
u'裳':(u'shang',), 
u'雷':(u'lei',), 
u'凹':(u'ao',), 
u'灸':(u'jiu',), 
u'忽':(u'hu',), 
u'芄':(u'wan',), 
u'袈':(u'jia',), 
u'眍':(u'kou',), 
u'鲐':(u'tai',), 
u'徒':(u'tu',), 
u'笕':(u'jian',), 
u'锡':(u'xi',), 
u'瞢':(u'meng',), 
u'帧':(u'zhen',), 
u'綦':(u'qi',), 
u'箪':(u'dan',), 
u'栳':(u'lao',), 
u'稿':(u'gao',), 
u'擀':(u'gan',), 
u'聃':(u'dan',), 
u'拄':(u'zhu',), 
u'蹇':(u'jian',), 
u'坍':(u'tan',), 
u'孕':(u'yun',), 
u'铠':(u'kai',), 
u'左':(u'zuo',), 
u'飨':(u'xiang',), 
u'酹':(u'lei',), 
u'婿':(u'xu',), 
u'谆':(u'zhun',), 
u'疋':(u'shu', u'pi', u'ya'), 
u'螗':(u'tang',), 
u'醣':(u'tang',), 
u'墩':(u'dun',), 
u'沱':(u'tuo',), 
u'贰':(u'er',), 
u'串':(u'chuan',), 
u'点':(u'dian',), 
u'刺':(u'ci',), 
u'纽':(u'niu',), 
u'蓁':(u'zhen',), 
u'汆':(u'cuan',), 
u'裉':(u'ken',), 
u'雍':(u'yong',), 
u'姓':(u'xing',), 
u'艚':(u'cao',), 
u'作':(u'zuo',), 
u'院':(u'yuan',), 
u'卤':(u'lu',), 
u'觳':(u'hu',), 
u'煸':(u'bian',), 
u'搁':(u'ge',), 
u'栉':(u'zhi',), 
u'撖':(u'han',), 
u'耙':(u'pa', u'ba'), 
u'抚':(u'fu',), 
u'踝':(u'huai',), 
u'弧':(u'hu',), 
u'攫':(u'jue',), 
u'振':(u'zhen',), 
u'肮':(u'ang',), 
u'躲':(u'duo',), 
u'眷':(u'juan',), 
u'钶':(u'ke',), 
u'徼':(u'jiao',), 
u'揄':(u'yu',), 
u'噍':(u'jiao',), 
u'屑':(u'xie',), 
u'婕':(u'jie',), 
u'恙':(u'yang',), 
u'远':(u'yuan',), 
u'团':(u'tuan',), 
u'峦':(u'luan',), 
u'惮':(u'dan',), 
u'坷':(u'ke',), 
u'瓶':(u'ping',), 
u'狺':(u'yin',), 
u'皋':(u'gao',), 
u'褊':(u'bian',), 
u'同':(u'tong',), 
u'帐':(u'zhang',), 
u'蒗':(u'lang',), 
u'战':(u'zhan',), 
u'垡':(u'fa',), 
u'瘠':(u'ji',), 
u'冥':(u'ming',), 
u'鲧':(u'gun',), 
u'断':(u'duan',), 
u'潆':(u'ying',), 
u'诉':(u'su',), 
u'像':(u'xiang',), 
u'擗':(u'pi',), 
u'腚':(u'ding',), 
u'镢':(u'jue',), 
u'饪':(u'ren',), 
u'胯':(u'kua',), 
u'俱':(u'ju',), 
u'桴':(u'fu',), 
u'铷':(u'ru',), 
u'叹':(u'tan',), 
u'黻':(u'fu',), 
u'巽':(u'xun',), 
u'籼':(u'xian',), 
u'蚀':(u'shi',), 
u'肄':(u'yi',), 
u'甍':(u'meng',), 
u'钌':(u'liao',), 
u'缑':(u'gou',), 
u'颔':(u'han',), 
u'丛':(u'cong',), 
u'贝':(u'bei',), 
u'尧':(u'yao',), 
u'怯':(u'qie',), 
u'縻':(u'mi',), 
u'醺':(u'xun',), 
u'豇':(u'jiang',), 
u'陋':(u'lou',), 
u'遏':(u'e',), 
u'绐':(u'dai',), 
u'奕':(u'yi',), 
u'磔':(u'zhe',), 
u'苘':(u'qing',), 
u'睡':(u'shui',), 
u'雠':(u'chou',), 
u'轱':(u'gu',), 
u'呷':(u'xia',), 
u'矶':(u'ji',), 
u'幻':(u'huan',), 
u'篾':(u'mie',), 
u'蠊':(u'lian',), 
u'熏':(u'xun',), 
u'夔':(u'kui',), 
u'辛':(u'xin',), 
u'眠':(u'mian',), 
u'傥':(u'tang',), 
u'笨':(u'ben',), 
u'播':(u'bo',), 
u'蔬':(u'shu',), 
u'溱':(u'zhen',), 
u'梵':(u'fan',), 
u'褴':(u'lan',), 
u'嘶':(u'si',), 
u'犹':(u'you',), 
u'债':(u'zhai',), 
u'粽':(u'zong',), 
u'埋':(u'man', u'mai'), 
u'桊':(u'juan',), 
u'铍':(u'pi',), 
u'减':(u'jian',), 
u'黑':(u'hei',), 
u'寓':(u'yu',), 
u'飕':(u'sou',), 
u'旗':(u'qi',), 
u'聚':(u'ju',), 
u'槟':(u'bing', u'bin'), 
u'坠':(u'zhui',), 
u'鹦':(u'ying',), 
u'敬':(u'jing',), 
u'诳':(u'kuang',), 
u'闷':(u'men',), 
u'勹':(u'bao',), 
u'怅':(u'chang',), 
u'了':(u'le', u'liao'), 
u'馔':(u'zhuan',), 
u'暖':(u'nuan',), 
u'伛':(u'yu',), 
u'悚':(u'song',), 
u'谝':(u'pian',), 
u'阡':(u'qian',), 
u'匣':(u'xia',), 
u'崧':(u'song',), 
u'约':(u'yue',), 
u'末':(u'mo',), 
u'芮':(u'rui',), 
u'男':(u'nan',), 
u'隶':(u'li',), 
u'邺':(u'ye',), 
u'荃':(u'quan',), 
u'赇':(u'qiu',), 
u'酏':(u'yi',), 
u'菘':(u'song',), 
u'汝':(u'ru',), 
u'葭':(u'jia',), 
u'拮':(u'jie',), 
u'啷':(u'lang',), 
u'彻':(u'che',), 
u'沃':(u'wo',), 
u'脆':(u'cui',), 
u'蜊':(u'li',), 
u'娌':(u'li',), 
u'氘':(u'dao',), 
u'肛':(u'gang',), 
u'鲣':(u'jian',), 
u'琨':(u'kun',), 
u'枵':(u'xiao',), 
u'强':(u'qiang', u'jiang'), 
u'唾':(u'tuo',), 
u'见':(u'jian',), 
u'迅':(u'xun',), 
u'藉':(u'jie', u'ji'), 
u'金':(u'jin',), 
u'哓':(u'xiao',), 
u'獒':(u'ao',), 
u'蕞':(u'zui',), 
u'周':(u'zhou',), 
u'恰':(u'qia',), 
u'晴':(u'qing',), 
u'叽':(u'ji',), 
u'椁':(u'guo',), 
u'攉':(u'huo',), 
u'蒈':(u'kai',), 
u'验':(u'yan',), 
u'隔':(u'ge',), 
u'箢':(u'yuan',), 
u'锩':(u'juan',), 
u'瞪':(u'deng',), 
u'港':(u'gang',), 
u'莲':(u'lian',), 
u'稷':(u'ji',), 
u'岸':(u'an',), 
u'瘿':(u'ying',), 
u'检':(u'jian',), 
u'艇':(u'ting',), 
u'鹏':(u'peng',), 
u'兑':(u'dui',), 
u'盔':(u'kui',), 
u'浙':(u'zhe',), 
u'俚':(u'li',), 
u'苜':(u'mu',), 
u'铨':(u'quan',), 
u'淮':(u'huai',), 
u'腱':(u'jian',), 
u'揲':(u'she', u'die'), 
u'婷':(u'ting',), 
u'偻':(u'lou', u'lv'), 
u'掇':(u'duo',), 
u'耆':(u'qi',), 
u'膛':(u'tang',), 
u'螟':(u'ming',), 
u'庥':(u'xiu',), 
u'缤':(u'bin',), 
u'咩':(u'mie',), 
u'用':(u'yong',), 
u'悱':(u'fei',), 
u'蜴':(u'yi',), 
u'粹':(u'cui',), 
u'吾':(u'wu',), 
u'裁':(u'cai',), 
u'蓉':(u'rong',), 
u'始':(u'shi',), 
u'忏':(u'chan',), 
u'郑':(u'zheng',), 
u'嗓':(u'sang',), 
u'牒':(u'die',), 
u'雕':(u'diao',), 
u'毗':(u'pi',), 
u'奠':(u'dian',), 
u'彤':(u'tong',), 
u'珧':(u'yao',), 
u'觫':(u'su',), 
u'陪':(u'pei',), 
u'慰':(u'wei',), 
u'清':(u'qing',), 
u'辄':(u'zhe',), 
u'稍':(u'shao',), 
u'瀑':(u'pu',), 
u'醐':(u'hu',), 
u'瘕':(u'jia',), 
u'鞔':(u'man', u'wan'), 
u'谙':(u'an',), 
u'撞':(u'zhuang',), 
u'鸥':(u'ou',), 
u'漯':(u'luo', u'ta'), 
u'钾':(u'jia',), 
u'赃':(u'zang',), 
u'久':(u'jiu',), 
u'荇':(u'xing',), 
u'篌':(u'hou',), 
u'镓':(u'jia',), 
u'菜':(u'cai',), 
u'僦':(u'jiu',), 
u'门':(u'men',), 
u'佯':(u'yang',), 
u'泮':(u'pan',), 
u'聱':(u'ao',), 
u'养':(u'yang',), 
u'绺':(u'liu',), 
u'溃':(u'kui', u'hui'), 
u'褂':(u'gua',), 
u'茆':(u'mao',), 
u'鼎':(u'ding',), 
u'皓':(u'hao',), 
u'怜':(u'lian',), 
u'审':(u'shen',), 
u'稠':(u'chou',), 
u'垩':(u'e',), 
u'榭':(u'xie',), 
u'舰':(u'jian',), 
u'羹':(u'geng',), 
u'鸸':(u'er',), 
u'逼':(u'bi',), 
u'圾':(u'ji',), 
u'证':(u'zheng',), 
u'仃':(u'ding',), 
u'楂':(u'cha', u'zha'), 
u'捆':(u'kun',), 
u'乘':(u'cheng', u'sheng'), 
u'招':(u'zhao',), 
u'赚':(u'zhuan',), 
u'绣':(u'xiu',), 
u'烧':(u'shao',), 
u'器':(u'qi',), 
u'镪':(u'qiang',), 
u'扰':(u'rao',), 
u'蛳':(u'si',), 
u'函':(u'han',), 
u'灼':(u'zhuo',), 
u'铿':(u'keng',), 
u'有':(u'you',), 
u'颌':(u'he',), 
u'冒':(u'mao',), 
u'钔':(u'men',), 
u'殖':(u'shi', u'zhi'), 
u'枞':(u'cong', u'zong'), 
u'氯':(u'lv',), 
u'砷':(u'shen',), 
u'庸':(u'yong',), 
u'爻':(u'yao',), 
u'泄':(u'xie',), 
u'卑':(u'bei',), 
u'狐':(u'hu',), 
u'啕':(u'tao',), 
u'慝':(u'ni',), 
u'胜':(u'sheng',), 
u'另':(u'ling',), 
u'雨':(u'yu',), 
u'嗪':(u'qin',), 
u'濮':(u'pu',), 
u'酽':(u'yan',), 
u'矾':(u'fan',), 
u'舆':(u'yu',), 
u'匐':(u'fu',), 
u'递':(u'di',), 
u'唔':(u'wu',), 
u'莛':(u'ting',), 
u'笠':(u'li',), 
u'眨':(u'zha',), 
u'梭':(u'suo',), 
u'抱':(u'bao',), 
u'撵':(u'nian',), 
u'娶':(u'qu',), 
u'纹':(u'wen',), 
u'尺':(u'chi',), 
u'炽':(u'chi',), 
u'促':(u'cu',), 
u'桂':(u'gui',), 
u'蛉':(u'ling',), 
u'摊':(u'tan',), 
u'铕':(u'you',), 
u'佘':(u'she',), 
u'豚':(u'tun',), 
u'虞':(u'yu',), 
u'燧':(u'sui',), 
u'坨':(u'tuo',), 
u'诫':(u'jie',), 
u'路':(u'lu',), 
u'整':(u'zheng',), 
u'氅':(u'chang',), 
u'趄':(u'ju', u'qie'), 
u'螈':(u'yuan',), 
u'砍':(u'kan',), 
u'育':(u'yo', u'yu'), 
u'骶':(u'di',), 
u'鲺':(u'shi',), 
u'冼':(u'xian',), 
u'难':(u'nan',), 
u'淄':(u'zi',), 
u'塍':(u'cheng',), 
u'剑':(u'jian',), 
u'珐':(u'fa',), 
u'靓':(u'jing',), 
u'呕':(u'ou',), 
u'痔':(u'zhi',), 
u'还':(u'hai', u'huan'), 
u'恝':(u'jia',), 
u'哪':(u'ne', u'na'), 
u'葵':(u'kui',), 
u'遽':(u'ju',), 
u'盾':(u'dun',), 
u'梃':(u'ting',), 
u'暇':(u'xia',), 
u'希':(u'xi',), 
u'吐':(u'tu',), 
u'芟':(u'shan',), 
u'宥':(u'you',), 
u'隧':(u'sui',), 
u'踬':(u'zhi',), 
u'舴':(u'ze',), 
u'禹':(u'yu',), 
u'瞽':(u'gu',), 
u'阼':(u'zuo',), 
u'诅':(u'zu',), 
u'峋':(u'xun',), 
u'滗':(u'bi',), 
u'赖':(u'lai',), 
u'拟':(u'ni',), 
u'屠':(u'tu',), 
u'镦':(u'dun',), 
u'鍪':(u'mou',), 
u'俭':(u'jian',), 
u'胳':(u'ge',), 
u'姹':(u'cha',), 
u'埽':(u'sao',), 
u'洁':(u'jie',), 
u'愉':(u'yu',), 
u'缍':(u'duo',), 
u'甑':(u'zeng',), 
u'钐':(u'shan',), 
u'垒':(u'lei',), 
u'猕':(u'mi',), 
u'褙':(u'bei',), 
u'殚':(u'dan',), 
u'嘧':(u'mi',), 
u'京':(u'jing',), 
u'樯':(u'qiang',), 
u'嚼':(u'jiao', u'jue'), 
u'爿':(u'pan',), 
u'绌':(u'chu',), 
u'道':(u'dao',), 
u'单':(u'dan', u'chan', u'shan'), 
u'裘':(u'qiu',), 
u'嗦':(u'suo',), 
u'部':(u'bu',), 
u'只':(u'zhi',), 
u'轭':(u'e',), 
u'呻':(u'shen',), 
u'剿':(u'jiao', u'chao'), 
u'枇':(u'pi',), 
u'萆':(u'bei', u'bi'), 
u'唐':(u'tang',), 
u'阒':(u'qu',), 
u'辗':(u'zhan',), 
u'薛':(u'xue',), 
u'素':(u'su',), 
u'笤':(u'tiao',), 
u'傩':(u'nuo',), 
u'抵':(u'di',), 
u'茴':(u'hui',), 
u'碹':(u'xuan',), 
u'倾':(u'qing',), 
u'摆':(u'bai',), 
u'黍':(u'shu',), 
u'硎':(u'xing',), 
u'铑':(u'lao',), 
u'秣':(u'mo',), 
u'孤':(u'gu',), 
u'矧':(u'shen',), 
u'全':(u'quan',), 
u'跫':(u'qiong',), 
u'误':(u'wu',), 
u'数':(u'shu', u'shuo'), 
u'至':(u'zhi',), 
u'壹':(u'yi',), 
u'祸':(u'huo',), 
u'闻':(u'wen',), 
u'国':(u'guo',), 
u'膈':(u'ge',), 
u'龌':(u'wo',), 
u'众':(u'zhong',), 
u'红':(u'hong',), 
u'洫':(u'xu',), 
u'侬':(u'nong',), 
u'鲶':(u'nian',), 
u'画':(u'hua',), 
u'骺':(u'hou',), 
u'猿':(u'yuan',), 
u'邾':(u'zhu',), 
u'淀':(u'dian',), 
u'蝇':(u'ying',), 
u'懈':(u'xie',), 
u'翌':(u'yi',), 
u'魏':(u'wei',), 
u'哦':(u'o', u'e'), 
u'蹭':(u'ceng',), 
u'森':(u'sen',), 
u'葱':(u'cong',), 
u'曲':(u'qu',), 
u'彷':(u'pang',), 
u'项':(u'xiang',), 
u'啻':(u'chi',), 
u'竺':(u'zhu',), 
u'卿':(u'qing',), 
u'一':(u'yi',), 
u'撇':(u'pie',), 
u'脊':(u'ji',), 
u'锒':(u'lang',), 
u'倔':(u'jue',), 
u'樘':(u'tang',), 
u'搜':(u'sou',), 
u'肟':(u'wo',), 
u'御':(u'yu',), 
u'骣':(u'zhan',), 
u'妥':(u'tuo',), 
u'钧':(u'jun',), 
u'厩':(u'jiu',), 
u'爨':(u'cuan',), 
u'谬':(u'miu',), 
u'夺':(u'duo',), 
u'疽':(u'ju',), 
u'匾':(u'bian',), 
u'迁':(u'qian',), 
u'觅':(u'mi',), 
u'杆':(u'gan',), 
u'慊':(u'qian', u'qie'), 
u'泗':(u'si',), 
u'曛':(u'xun',), 
u'惟':(u'wei',), 
u'荞':(u'qiao',), 
u'竣':(u'jun',), 
u'酪':(u'lao',), 
u'晰':(u'xi',), 
u'对':(u'dui',), 
u'穸':(u'xi',), 
u'嗽':(u'sou',), 
u'椅':(u'yi',), 
u'袄':(u'ao',), 
u'按':(u'an',), 
u'芈':(u'mi',), 
u'隐':(u'yin',), 
u'焕':(u'huan',), 
u'娣':(u'di',), 
u'吧':(u'ba',), 
u'渫':(u'xie',), 
u'议':(u'yi',), 
u'戳':(u'chuo',), 
u'媸':(u'chi',), 
u'拈':(u'nian',), 
u'鹋':(u'miao',), 
u'糌':(u'zan',), 
u'坑':(u'keng',), 
u'盐':(u'yan',), 
u'兕':(u'si',), 
u'歙':(u'xi', u'she'), 
u'敝':(u'bi',), 
u'罡':(u'gang',), 
u'黠':(u'xia',), 
u'巢':(u'chao',), 
u'祥':(u'xiang',), 
u'赭':(u'zhe',), 
u'噻':(u'sai',), 
u'偿':(u'chang',), 
u'殃':(u'yang',), 
u'谂':(u'shen',), 
u'文':(u'wen',), 
u'福':(u'fu',), 
u'缠':(u'chan',), 
u'礤':(u'ca',), 
u'助':(u'zhu',), 
u'沭':(u'shu',), 
u'贬':(u'bian',), 
u'锼':(u'sou',), 
u'求':(u'qiu',), 
u'装':(u'zhuang',), 
u'鳍':(u'qi',), 
u'痧':(u'sha',), 
u'迫':(u'po', u'pai'), 
u'觯':(u'zhi',), 
u'杰':(u'jie',), 
u'哽':(u'geng',), 
u'栅':(u'zha', u'shan'), 
u'咒':(u'zhou',), 
u'萝':(u'luo',), 
u'鸡':(u'ji',), 
u'粢':(u'ci', u'zi'), 
u'唧':(u'ji',), 
u'漫':(u'man',), 
u'蒲':(u'pu',), 
u'宸':(u'chen',), 
u'激':(u'ji',), 
u'偕':(u'xie',), 
u'燔':(u'fan',), 
u'他':(u'ta',), 
u'橙':(u'cheng',), 
u'诘':(u'jie',), 
u'藜':(u'li',), 
u'物':(u'wu',), 
u'虱':(u'shi',), 
u'绶':(u'shou',), 
u'驹':(u'ju',), 
u'坻':(u'di', u'chi'), 
u'磺':(u'huang',), 
u'璃':(u'li',), 
u'沓':(u'da', u'ta'), 
u'且':(u'qie',), 
u'喙':(u'hui',), 
u'颛':(u'zhuan',), 
u'宝':(u'bao',), 
u'麟':(u'lin',), 
u'怠':(u'dai',), 
u'氨':(u'an',), 
u'售':(u'shou',), 
u'嬲':(u'niao',), 
u'方':(u'fang',), 
u'萸':(u'yu',), 
u'祆':(u'xian',), 
u'觑':(u'qu',), 
u'迕':(u'wu',), 
u'狗':(u'gou',), 
u'员':(u'yuan', u'yun'), 
u'统':(u'tong',), 
u'襦':(u'ru',), 
u'郫':(u'pi',), 
u'叭':(u'ba',), 
u'雯':(u'wen',), 
u'念':(u'nian',), 
u'苷':(u'gan',), 
u'摸':(u'mo',), 
u'橼':(u'yuan',), 
u'邀':(u'yao',), 
u'厂':(u'chang',), 
u'妆':(u'zhuang',), 
u'鲈':(u'lu',), 
u'徊':(u'huai',), 
u'漕':(u'cao',), 
u'躔':(u'chan',), 
u'列':(u'lie',), 
u'错':(u'cuo',), 
u'探':(u'tan',), 
u'蜥':(u'xi',), 
u'贩':(u'fan',), 
u'劬':(u'qu',), 
u'户':(u'hu',), 
u'螺':(u'luo',), 
u'趾':(u'zhi',), 
u'允':(u'yun',), 
u'烀':(u'hu',), 
u'糈':(u'xu',), 
u'聋':(u'long',), 
u'拌':(u'ban',), 
u'虏':(u'lu',), 
u'何':(u'he',), 
u'滔':(u'tao',), 
u'留':(u'liu',), 
u'铘':(u'ye',), 
u'埚':(u'guo',), 
u'筝':(u'zheng',), 
u'州':(u'zhou',), 
u'来':(u'lai',), 
u'蛤':(u'ha', u'ge'), 
u'浩':(u'hao',), 
u'俪':(u'li',), 
u'饱':(u'bao',), 
u'蕹':(u'weng',), 
u'疃':(u'tuan',), 
u'圄':(u'yu',), 
u'憋':(u'bie',), 
u'萎':(u'wei',), 
u'涓':(u'juan',), 
u'咙':(u'long',), 
u'甘':(u'gan',), 
u'龟':(u'jun', u'gui', u'qiu'), 
u'愠':(u'yun',), 
u'讧':(u'hong',), 
u'犭':(u'quan',), 
u'吮':(u'shun',), 
u'碱':(u'jian',), 
u'娲':(u'wa',), 
u'纵':(u'zong',), 
u'蔸':(u'dou',), 
u'郁':(u'yu',), 
u'雅':(u'ya',), 
u'寇':(u'kou',), 
u'苍':(u'cang',), 
u'孜':(u'zi',), 
u'翟':(u'di', u'zhai'), 
u'獬':(u'xie',), 
u'罴':(u'pi',), 
u'歼':(u'jian',), 
u'劂':(u'jue',), 
u'瘅':(u'dan',), 
u'床':(u'chuang',), 
u'戍':(u'shu',), 
u'树':(u'shu',), 
u'辔':(u'pei',), 
u'北':(u'bei',), 
u'炖':(u'dun',), 
u'弟':(u'di',), 
u'粞':(u'xi',), 
u'抢':(u'qiang',), 
u'梦':(u'meng',), 
u'谩':(u'man',), 
u'溪':(u'xi',), 
u'眯':(u'mi',), 
u'钮':(u'niu',), 
u'蚺':(u'ran',), 
u'魇':(u'yan',), 
u'屉':(u'ti',), 
u'腋':(u'ye',), 
u'槐':(u'huai',), 
u'赓':(u'geng',), 
u'僖':(u'xi',), 
u'瑙':(u'nao',), 
u'囚':(u'qiu',), 
u'汩':(u'gu',), 
u'跨':(u'kua',), 
u'八':(u'ba',), 
u'仪':(u'yi',), 
u'坯':(u'pi',), 
u'瓮':(u'weng',), 
u'惶':(u'huang',), 
u'使':(u'shi',), 
u'泾':(u'jing',), 
u'刀':(u'dao',), 
u'鄂':(u'e',), 
u'各':(u'ge',), 
u'碇':(u'ding',), 
u'师':(u'shi',), 
u'褒':(u'bao',), 
u'邗':(u'han',), 
u'瘘':(u'lou',), 
u'骛':(u'wu',), 
u'砜':(u'feng',), 
u'鲟':(u'xun',), 
u'蚣':(u'gong',), 
u'侩':(u'kuai',), 
u'圮':(u'pi',), 
u'箱':(u'xiang',), 
u'蘸':(u'zhan',), 
u'蠼':(u'qu',), 
u'李':(u'li',), 
u'译':(u'yi',), 
u'仓':(u'cang',), 
u'噘':(u'jue',), 
u'糟':(u'zao',), 
u'警':(u'jing',), 
u'凭':(u'ping',), 
u'灬':(u'biao',), 
u'铯':(u'se',), 
u'穰':(u'rang',), 
u'籴':(u'di',), 
u'猁':(u'li',), 
u'冂':(u'jiong',), 
u'缉':(u'ji', u'qi'), 
u'麈':(u'zhu',), 
u'愍':(u'min',), 
u'肌':(u'ji',), 
u'貔':(u'pi',), 
u'玖':(u'jiu',), 
u'疚':(u'jiu',), 
u'羞':(u'xiu',), 
u'涪':(u'fu',), 
u'催':(u'cui',), 
u'莶':(u'xian',), 
u'达':(u'da',), 
u'十':(u'shi',), 
u'终':(u'zhong',), 
u'艋':(u'meng',), 
u'泔':(u'gan',), 
u'取':(u'qu',), 
u'祝':(u'zhu',), 
u'捡':(u'jian',), 
u'苠':(u'min',), 
u'矮':(u'ai',), 
u'平':(u'ping',), 
u'揶':(u'ye',), 
u'旺':(u'wang',), 
u'匀':(u'yun',), 
u'适':(u'shi',), 
u'弈':(u'yi',), 
u'挠':(u'nao',), 
u'亩':(u'mu',), 
u'炭':(u'tan',), 
u'暹':(u'xian',), 
u'举':(u'ju',), 
u'埃':(u'ai',), 
u'铅':(u'qian', u'yan'), 
u'穆':(u'mu',), 
u'黉':(u'hong',), 
u'胍':(u'gua',), 
u'鹞':(u'yao',), 
u'豪':(u'hao',), 
u'僭':(u'jian',), 
u'闯':(u'chuang',), 
u'嫱':(u'qiang',), 
u'读':(u'du',), 
u'楼':(u'lou',), 
u'琅':(u'lang',), 
u'龈':(u'yin',), 
u'怍':(u'zuo',), 
u'氕':(u'pie',), 
u'趔':(u'lie',), 
u'阙':(u'que',), 
u'舡':(u'chuan',), 
u'营':(u'ying',), 
u'踩':(u'cai',), 
u'猫':(u'mao',), 
u'沪':(u'hu',), 
u'冬':(u'dong',), 
u'甯':(u'ning',), 
u'宰':(u'zai',), 
u'缳':(u'huan',), 
u'蒺':(u'ji',), 
u'剁':(u'duo',), 
u'珀':(u'po',), 
u'痄':(u'zha',), 
u'勖':(u'xu',), 
u'哚':(u'duo',), 
u'硝':(u'xiao',), 
u'菠':(u'bo',), 
u'藤':(u'teng',), 
u'迨':(u'dai',), 
u'卫':(u'wei',), 
u'遭':(u'zao',), 
u'目':(u'mu',), 
u'驱':(u'qu',), 
u'彳':(u'chi',), 
u'磲':(u'qu',), 
u'拶':(u'za', u'zan'), 
u'虹':(u'hong', u'jiang'), 
u'衽':(u'ren',), 
u'脎':(u'sa',), 
u'梓':(u'zi',), 
u'隗':(u'wei', u'kui'), 
u'写':(u'xie',), 
u'鲛':(u'jiao',), 
u'骟':(u'shan',), 
u'搠':(u'shuo',), 
u'戤':(u'gai',), 
u'耸':(u'song',), 
u'慎':(u'shen',), 
u'跑':(u'pao',), 
u'试':(u'shi',), 
u'盗':(u'dao',), 
u'镖':(u'biao',), 
u'竟':(u'jing',), 
u'赦':(u'she',), 
u'铫':(u'qiao', u'tiao', u'yao', u'diao'), 
u'埭':(u'dai',), 
u'己':(u'ji',), 
u'穴':(u'xue',), 
u'恸':(u'tong',), 
u'垂':(u'chui',), 
u'颈':(u'jing', u'geng'), 
u'服':(u'fu',), 
u'蚌':(u'beng', u'bang'), 
u'疖':(u'jie',), 
u'鄙':(u'bi',), 
u'娟':(u'juan',), 
u'蔡':(u'cai',), 
u'枢':(u'shu',), 
u'丧':(u'sang',), 
u'润':(u'run',), 
u'殪':(u'yi',), 
u'醮':(u'jiao',), 
u'莺':(u'ying',), 
u'啁':(u'zhao', u'zhou'), 
u'卅':(u'sa',), 
u'狄':(u'di',), 
u'鹇':(u'xian',), 
u'奉':(u'feng',), 
u'艏':(u'shou',), 
u'泐':(u'le',), 
u'嗖':(u'sou',), 
u'黜':(u'chu',), 
u'蓠':(u'li',), 
u'苤':(u'pie',), 
u'裨':(u'pi', u'bi'), 
u'副':(u'fu',), 
u'燮':(u'xie',), 
u'时':(u'shi',), 
u'腹':(u'fu',), 
u'载':(u'zai',), 
u'阂':(u'he',), 
u'斋':(u'zhai',), 
u'掏':(u'tao',), 
u'焘':(u'dao', u'tao'), 
u'缜':(u'zhen',), 
u'膣':(u'zhi',), 
u'挤':(u'ji',), 
u'倮':(u'luo',), 
u'粱':(u'liang',), 
u'脸':(u'lian',), 
u'溽':(u'ru',), 
u'铁':(u'tie',), 
u'矗':(u'chu',), 
u'虢':(u'guo',), 
u'闫':(u'yan',), 
u'园':(u'yuan',), 
u'睬':(u'cai',), 
u'跻':(u'ji',), 
u'份':(u'fen',), 
u'潼':(u'tong',), 
u'诿':(u'wei',), 
u'砉':(u'hua',), 
u'馈':(u'kui',), 
u'民':(u'min',), 
u'互':(u'hu',), 
u'崛':(u'jue',), 
u'伧':(u'cang',), 
u'沦':(u'lun',), 
u'甫':(u'fu',), 
u'邮':(u'you',), 
u'宴':(u'yan',), 
u'活':(u'huo',), 
u'酃':(u'ling',), 
u'荏':(u'ren',), 
u'比':(u'bi',), 
u'桩':(u'zhuang',), 
u'卯':(u'mao',), 
u'女':(u'nv',), 
u'绲':(u'gun',), 
u'驵':(u'zang',), 
u'嘀':(u'di',), 
u'锂':(u'li',), 
u'娈':(u'luan',), 
u'茎':(u'jing',), 
u'丐':(u'gai',), 
u'钗':(u'chai',), 
u'嶝':(u'deng',), 
u'颟':(u'man',), 
u'映':(u'ying',), 
u'樨':(u'xi',), 
u'匮':(u'kui',), 
u'舸':(u'ge',), 
u'勃':(u'bo',), 
u'捎':(u'shao',), 
u'近':(u'jin',), 
u'浒':(u'hu', u'xu'), 
u'靖':(u'jing',), 
u'绛':(u'jiang',), 
u'酚':(u'fen',), 
u'拣':(u'jian',), 
u'车':(u'ju', u'che'), 
u'郯':(u'tan',), 
u'忱':(u'chen',), 
u'省':(u'sheng', u'xing'), 
u'喂':(u'wei',), 
u'骈':(u'pian',), 
u'妊':(u'ren',), 
u'蒌':(u'lou',), 
u'躐':(u'lie',), 
u'吗':(u'ma',), 
u'帛':(u'bo',), 
u'蜡':(u'la',), 
u'瘫':(u'tan',), 
u'咬':(u'yao',), 
u'稳':(u'wen',), 
u'膺':(u'ying',), 
u'设':(u'she',), 
u'充':(u'chong',), 
u'佑':(u'you',), 
u'鳜':(u'gui',), 
u'寞':(u'mo',), 
u'条':(u'tiao',), 
u'胤':(u'yin',), 
u'俦':(u'chou',), 
u'噫':(u'yi',), 
u'镭':(u'lei',), 
u'饵':(u'er',), 
u'枋':(u'fang',), 
u'伐':(u'fa',), 
u'殓':(u'lian',), 
u'谒':(u'ye',), 
u'龛':(u'kan',), 
u'愤':(u'fen',), 
u'锬':(u'tan',), 
u'刮':(u'gua',), 
u'纱':(u'sha',), 
u'抹':(u'mo', u'ma'), 
u'茸':(u'rong',), 
u'沽':(u'gu',), 
u'贼':(u'zei',), 
u'雁':(u'yan',), 
u'郅':(u'zhi',), 
u'蓍':(u'shi',), 
u'扎':(u'za', u'zha'), 
u'裕':(u'yu',), 
u'租':(u'zu',), 
u'揣':(u'chuai',), 
u'蹦':(u'beng',), 
u'韫':(u'yun',), 
u'哭':(u'ku',), 
u'浼':(u'mei',), 
u'瘁':(u'cui',), 
u'咂':(u'za',), 
u'庆':(u'qing',), 
u'渑':(u'mian', u'sheng'), 
u'辐':(u'fu',), 
u'皖':(u'wan',), 
u'弛':(u'chi',), 
u'够':(u'gou',), 
u'耥':(u'tang',), 
u'焯':(u'zhuo',), 
u'銮':(u'luan',), 
u'笳':(u'jia',), 
u'鲲':(u'kun',), 
u'蚶':(u'han',), 
u'肺':(u'fei',), 
u'椿':(u'chun',), 
u'婉':(u'wan',), 
u'旌':(u'jing',), 
u'槔':(u'gao',), 
u'牙':(u'ya',), 
u'僚':(u'liao',), 
u'晡':(u'bu',), 
u'蟠':(u'pan',), 
u'诨':(u'hun',), 
u'坫':(u'dian',), 
u'狮':(u'shi',), 
u'鹱':(u'hu',), 
u'孳':(u'zi',), 
u'页':(u'ye',), 
u'艹':(u'cao',), 
u'佻':(u'tiao',), 
u'惺':(u'xing',), 
u'堀':(u'jue', u'ku'), 
u'合':(u'he', u'ge'), 
u'溏':(u'tang',), 
u'骗':(u'pian',), 
u'嶙':(u'lin',), 
u'邛':(u'qiong',), 
u'厝':(u'cuo',), 
u'侥':(u'jiao', u'yao'), 
u'渤':(u'bo',), 
u'箭':(u'jian',), 
u'崮':(u'gu',), 
u'瞵':(u'lin',), 
u'阴':(u'yin',), 
u'伺':(u'si', u'ci'), 
u'勇':(u'yong',), 
u'词':(u'ci',), 
u'济':(u'ji',), 
u'烛':(u'zhu',), 
u'剜':(u'wan',), 
u'盟':(u'meng',), 
u'镞':(u'zu',), 
u'泣':(u'qi',), 
u'拧':(u'ning',), 
u'黯':(u'an',), 
u'灰':(u'hui',), 
u'铳':(u'chong',), 
u'扼':(u'e',), 
u'礁':(u'jiao',), 
u'颀':(u'qi',), 
u'缅':(u'mian',), 
u'针':(u'zhen',), 
u'朕':(u'zhen',), 
u'羚':(u'ling',), 
u'嘟':(u'du',), 
u'褡':(u'da',), 
u'枪':(u'qiang',), 
u'琳':(u'lin',), 
u'总':(u'zong',), 
u'奁':(u'lian',), 
u'组':(u'zu',), 
u'啉':(u'lin',), 
u'鳘':(u'min',), 
u'填':(u'tian',), 
u'酱':(u'jiang',), 
u'味':(u'wei',), 
u'珲':(u'hun',), 
u'荽':(u'sui',), 
u'弄':(u'long', u'nong'), 
u'率':(u'shuai', u'lv'), 
u'逆':(u'ni',), 
u'阊':(u'chang',), 
u'谎':(u'huang',), 
u'斓':(u'lan',), 
u'舒':(u'shu',), 
u'岙':(u'ao',), 
u'醛':(u'quan',), 
u'劝':(u'quan',), 
u'猜':(u'cai',), 
u'椠':(u'qian',), 
u'趣':(u'qu',), 
u'亥':(u'hai',), 
u'漤':(u'lan',), 
u'窭':(u'ju',), 
u'炱':(u'tai',), 
u'油':(u'you',), 
u'贸':(u'mao',), 
u'为':(u'wei',), 
u'抽':(u'chou',), 
u'茼':(u'tong',), 
u'铉':(u'xuan',), 
u'俏':(u'qiao',), 
u'扒':(u'pa', u'ba'), 
u'嵘':(u'rong',), 
u'鹚':(u'ci',), 
u'卜':(u'bo', u'bu'), 
u'佤':(u'wa',), 
u'闳':(u'hong',), 
u'囵':(u'lun',), 
u'请':(u'qing',), 
u'浸':(u'jin',), 
u'臻':(u'zhen',), 
u'码':(u'ma',), 
u'馀':(u'yu',), 
u'龄':(u'ling',), 
u'琉':(u'liu',), 
u'昕':(u'xin',), 
u'嬗':(u'shan',), 
u'土':(u'tu',), 
u'璞':(u'pu',), 
u'蠡':(u'li',), 
u'悦':(u'yue',), 
u'缯':(u'zeng',), 
u'鲮':(u'ling',), 
u'冰':(u'bing',), 
u'申':(u'shen',), 
u'垴':(u'nao',), 
u'欷':(u'xi',), 
u'躺':(u'tang',), 
u'秀':(u'xiu',), 
u'幅':(u'fu',), 
u'痈':(u'yong',), 
u'柔':(u'rou',), 
u'牝':(u'pin',), 
u'哞':(u'mou',), 
u'桡':(u'rao',), 
u'迤':(u'yi',), 
u'摩':(u'mo', u'ma'), 
u'驭':(u'yu',), 
u'狲':(u'sun',), 
u'陵':(u'ling',), 
u'豹':(u'bao',), 
u'艽':(u'jiao',), 
u'射':(u'she',), 
u'嘈':(u'cao',), 
u'锊':(u'lve',), 
u'沏':(u'qi',), 
u'脒':(u'mi',), 
u'颗':(u'ke',), 
u'徙':(u'xi',), 
u'钟':(u'zhong',), 
u'氤':(u'yin',), 
u'昨':(u'zuo',), 
u'疵':(u'ci',), 
u'澹':(u'dan', u'tan'), 
u'藕':(u'ou',), 
u'停':(u'ting',), 
u'非':(u'fei',), 
u'惧':(u'ju',), 
u'荦':(u'luo',), 
u'髫':(u'tiao',), 
u'硬':(u'ying',), 
u'叱':(u'chi',), 
u'雳':(u'li',), 
u'嗵':(u'tong',), 
u'苻':(u'fu',), 
u'恼':(u'nao',), 
u'蓿':(u'xu',), 
u'骀':(u'tai', u'dai'), 
u'如':(u'ru',), 
u'历':(u'li',), 
u'眉':(u'mei',), 
u'隈':(u'wei',), 
u'喊':(u'han',), 
u'植':(u'zhi',), 
u'挑':(u'tiao',), 
u'鼙':(u'pi',), 
u'创':(u'chuang',), 
u'吟':(u'yin',), 
u'败':(u'bai',), 
u'蜩':(u'tiao',), 
u'瘳':(u'chou',), 
u'咴':(u'hui',), 
u'样':(u'yang',), 
u'讶':(u'ya',), 
u'趺':(u'fu',), 
u'搿':(u'ge',), 
u'鹃':(u'juan',), 
u'遇':(u'yu',), 
u'盈':(u'ying',), 
u'拐':(u'guai',), 
u'默':(u'mo',), 
u'郜':(u'gao',), 
u'杩':(u'ma',), 
u'饭':(u'fan',), 
u'屯':(u'tun',), 
u'翮':(u'he',), 
u'轹':(u'li',), 
u'腽':(u'wa',), 
u'圈':(u'quan', u'juan'), 
u'残':(u'can',), 
u'耒':(u'lei',), 
u'馗':(u'kui',), 
u'庙':(u'miao',), 
u'缘':(u'yuan',), 
u'欠':(u'qian',), 
u'辣':(u'la',), 
u'木':(u'mu',), 
u'帮':(u'bang',), 
u'锴':(u'jie', u'kai'), 
u'髁':(u'ke',), 
u'心':(u'xin',), 
u'鳅':(u'qiu',), 
u'凇':(u'song',), 
u'雉':(u'zhi',), 
u'湎':(u'mian',), 
u'苑':(u'yuan',), 
u'恒':(u'heng',), 
u'彘':(u'zhi',), 
u'兜':(u'dou',), 
u'衢':(u'qu',), 
u'音':(u'yin',), 
u'畴':(u'chou',), 
u'潸':(u'shan',), 
u'藿':(u'huo',), 
u'于':(u'yu',), 
u'我':(u'wo',), 
u'窖':(u'jiao',), 
u'逝':(u'shi',), 
u'梢':(u'shao',), 
u'谥':(u'shi',), 
u'蘩':(u'fan',), 
u'笫':(u'zi',), 
u'累':(u'lei',), 
u'政':(u'zheng',), 
u'居':(u'ju',), 
u'槌':(u'chui',), 
u'赏':(u'shang',), 
u'提':(u'di', u'ti'), 
u'蝓':(u'yu',), 
u'嫖':(u'piao',), 
u'釜':(u'fu',), 
u'回':(u'hui',), 
u'橡':(u'xiang',), 
u'诠':(u'quan',), 
u'跤':(u'jiao',), 
u'嵯':(u'cuo',), 
u'绮':(u'qi',), 
u'坳':(u'ao',), 
u'泺':(u'luo',), 
u'曾':(u'zeng', u'ceng'), 
u'娄':(u'lou',), 
u'皇':(u'huang',), 
u'锆':(u'gao',), 
u'丌':(u'ji',), 
u'蜒':(u'yan',), 
u'妙':(u'miao',), 
u'砘':(u'dun',), 
u'钛':(u'tai',), 
u'蚧':(u'jie',), 
u'怨':(u'yuan',), 
u'鸬':(u'lu',), 
u'央':(u'yang',), 
u'疱':(u'pao',), 
u'蘼':(u'mi',), 
u'罂':(u'ying',), 
u'釉':(u'you',), 
u'绗':(u'hang',), 
u'塘':(u'tang',), 
u'噜':(u'lu',), 
u'酞':(u'tai',), 
u'棣':(u'di',), 
u'荪':(u'sun',), 
u'忭':(u'bian',), 
u'髯':(u'ran',), 
u'瑰':(u'gui',), 
u'叵':(u'po',), 
u'徂':(u'cu',), 
u'骄':(u'jiao',), 
u'焉':(u'yan',), 
u'邈':(u'miao',), 
u'君':(u'jun',), 
u'贡':(u'gong',), 
u'措':(u'cuo',), 
u'鞲':(u'gou',), 
u'论':(u'lun',), 
u'房':(u'fang',), 
u'陇':(u'long',), 
u'光':(u'guang',), 
u'烈':(u'lie',), 
u'位':(u'wei',), 
u'擐':(u'huan',), 
u'拔':(u'ba',), 
u'飘':(u'piao',), 
u'步':(u'bu',), 
u'胨':(u'dong',), 
u'镱':(u'yi',), 
u'蝽':(u'chun',), 
u'墙':(u'qiang',), 
u'欤':(u'yu',), 
u'纭':(u'yun',), 
u'鼬':(u'you',), 
u'锰':(u'meng',), 
u'嘲':(u'chao',), 
u'髅':(u'lou',), 
u'桎':(u'zhi',), 
u'蓑':(u'suo',), 
u'晒':(u'shai',), 
u'苕':(u'tiao', u'shao'), 
u'奘':(u'zhuang',), 
u'痛':(u'tong',), 
u'坜':(u'li',), 
u'迷':(u'mi',), 
u'楸':(u'qiu',), 
u'藻':(u'zao',), 
u'杼':(u'zhu',), 
u'咆':(u'pao',), 
u'渍':(u'zi',), 
u'戕':(u'qiang',), 
u'弗':(u'fu',), 
u'唛':(u'ma',), 
u'阝':(u'fu', u'yi'), 
u'谡':(u'su',), 
u'溢':(u'yi',), 
u'耩':(u'jiang',), 
u'紫':(u'zi',), 
u'攻':(u'gong',), 
u'肾':(u'shen',), 
u'屁':(u'pi',), 
u'赋':(u'fu',), 
u'乍':(u'zha',), 
u'腓':(u'fei',), 
u'污':(u'wu',), 
u'橥':(u'zhu',), 
u'诤':(u'zheng',), 
u'恩':(u'en',), 
u'嵫':(u'zi',), 
u'鹭':(u'lu',), 
u'关':(u'guan',), 
u'盲':(u'mang',), 
u'泶':(u'xue',), 
u'虽':(u'sui',), 
u'窃':(u'qie',), 
u'璇':(u'xuan',), 
u'霆':(u'ting',), 
u'刈':(u'yi',), 
u'梏':(u'gu',), 
u'抓':(u'zhua',), 
u'宙':(u'zhou',), 
u'喝':(u'he',), 
u'渠':(u'qu',), 
u'熵':(u'shang',), 
u'伶':(u'ling',), 
u'施':(u'shi',), 
u'萼':(u'e',), 
u'哇':(u'wa',), 
u'介':(u'jie',), 
u'煊':(u'xuan',), 
u'蟑':(u'zhang',), 
u'糗':(u'qiu',), 
u'盛':(u'cheng', u'sheng'), 
u'呜':(u'wu',), 
u'烟':(u'yan',), 
u'习':(u'xi',), 
u'赢':(u'ying',), 
u'凵':(u'kan', u'qu'), 
u'缁':(u'zi',), 
u'嶂':(u'zhang',), 
u'礅':(u'dun',), 
u'预':(u'yu',), 
u'垆':(u'lu',), 
u'貌':(u'mao',), 
u'愕':(u'e',), 
u'嘛':(u'ma',), 
u'禚':(u'zhuo',), 
u'锝':(u'de',), 
u'借':(u'jie',), 
u'褥':(u'ru',), 
u'岬':(u'jia',), 
u'辶':(u'chuo',), 
u'怿':(u'yi',), 
u'绀':(u'gan',), 
u'卉':(u'hui',), 
u'狈':(u'bei',), 
u'蹋':(u'ta',), 
u'泌':(u'bi', u'mi'), 
u'忖':(u'cun',), 
u'高':(u'gao',), 
u'姚':(u'yao',), 
u'铜':(u'tong',), 
u'裤':(u'ku',), 
u'捩':(u'lie',), 
u'篮':(u'lan',), 
u'酵':(u'jiao',), 
u'开':(u'kai',), 
u'处':(u'chu',), 
u'阆':(u'lang',), 
u'匈':(u'xiong',), 
u'逊':(u'xun',), 
u'咝':(u'si',), 
u'甜':(u'tian',), 
u'亡':(u'wang',), 
u'漠':(u'mo',), 
u'讣':(u'fu',), 
u'椤':(u'luo',), 
u'挨':(u'ai',), 
u'皱':(u'zhou',), 
u'霰':(u'xian',), 
u'吲':(u'yin',), 
u'丶':(u'zhu',), 
u'蔼':(u'ai',), 
u'蛑':(u'mou',), 
u'摒':(u'bing',), 
u'存':(u'cun',), 
u'矛':(u'mao',), 
u'啜':(u'chuo',), 
u'你':(u'ni',), 
u'豢':(u'huan',), 
u'旧':(u'jiu',), 
u'聪':(u'cong',), 
u'峭':(u'qiao',), 
u'囱':(u'cong',), 
u'僵':(u'jiang',), 
u'跷':(u'qiao',), 
u'龀':(u'chen',), 
u'岂':(u'qi',), 
u'馄':(u'hun',), 
u'嚆':(u'hao',), 
u'氍':(u'qu',), 
u'怕':(u'pa',), 
u'碚':(u'bei',), 
u'缫':(u'sao',), 
u'钲':(u'zheng',), 
u'愿':(u'yuan',), 
u'芾':(u'fei', u'fu'), 
u'魃':(u'ba',), 
u'镇':(u'zhen',), 
u'珈':(u'jia',), 
u'淌':(u'tang',), 
u'某':(u'mou',), 
u'懔':(u'lin',), 
u'廖':(u'liao',), 
u'桥':(u'qiao',), 
u'扩':(u'kuo',), 
u'即':(u'ji',), 
u'遵':(u'zun',), 
u'詹':(u'zhan',), 
u'棺':(u'guan',), 
u'拾':(u'shi',), 
u'怀':(u'huai',), 
u'螅':(u'xi',), 
u'嚏':(u'ti',), 
u'馑':(u'jin',), 
u'脖':(u'bo',), 
u'料':(u'liao',), 
u'蜚':(u'fei',), 
u'贞':(u'zhen',), 
u'瞥':(u'pie',), 
u'嘤':(u'ying',), 
u'肫':(u'zhun',), 
u'蚯':(u'qiu',), 
u'攮':(u'nang',), 
u'欲':(u'yu',), 
u'侵':(u'qin',), 
u'然':(u'ran',), 
u'喹':(u'kui',), 
u'眺':(u'tiao',), 
u'宽':(u'kuan',), 
u'盏':(u'zhan',), 
u'摘':(u'zhai',), 
u'话':(u'hua',), 
u'仟':(u'qian',), 
u'揭':(u'jie',), 
u'酶':(u'mei',), 
u'痹':(u'bi',), 
u'呸':(u'pei',), 
u'萃':(u'cui',), 
u'掂':(u'dian',), 
u'訇':(u'hong',), 
u'榆':(u'yu',), 
u'逋':(u'bu',), 
u'匍':(u'pu',), 
u'阏':(u'yan',), 
u'引':(u'yin',), 
u'戗':(u'qiang',), 
u'厢':(u'xiang',), 
u'鲨':(u'sha',), 
u'循':(u'xun',), 
u'茭':(u'jiao',), 
u'抬':(u'tai',), 
u'械':(u'xie',), 
u'溴':(u'xiu',), 
u'刷':(u'shua',), 
u'锹':(u'qiao',), 
u'视':(u'shi',), 
u'獍':(u'jing',), 
u'罕':(u'han',), 
u'柚':(u'you',), 
u'淞':(u'song',), 
u'秦':(u'qin',), 
u'嵩':(u'song',), 
u'恫':(u'dong',), 
u'景':(u'jing',), 
u'裰':(u'duo',), 
u'凶':(u'xiong',), 
u'铸':(u'zhu',), 
u'基':(u'ji',), 
u'巾':(u'jin',), 
u'愀':(u'qiao',), 
u'貉':(u'hao', u'he'), 
u'频':(u'pin',), 
u'缔':(u'di',), 
u'耖':(u'chao',), 
u'撙':(u'zun',), 
u'鸪':(u'gu',), 
u'螯':(u'ao',), 
u'足':(u'zu',), 
u'亵':(u'xie',), 
u'旃':(u'zhan',), 
u'赈':(u'zhen',), 
u'俟':(u'si', u'qi'), 
u'郡':(u'jun',), 
u'嗣':(u'si',), 
u'拭':(u'shi',), 
u'棱':(u'ling', u'leng'), 
u'佴':(u'nai',), 
u'啸':(u'xiao',), 
u'竽':(u'yu',), 
u'謇':(u'jian',), 
u'梆':(u'bang',), 
u'刍':(u'chu',), 
u'霏':(u'fei',), 
u'璎':(u'ying',), 
u'堑':(u'qian',), 
u'窒':(u'zhi',), 
u'帕':(u'pa',), 
u'劢':(u'mai',), 
u'舭':(u'bi',), 
u'掬':(u'ju',), 
u'踵':(u'zhong',), 
u'疸':(u'da', u'dan'), 
u'恁':(u'nen',), 
u'裆':(u'dang',), 
u'汉':(u'han',), 
u'牍':(u'du',), 
u'双':(u'shuang',), 
u'铎':(u'duo',), 
u'姐':(u'jie',), 
u'泞':(u'ning',), 
u'镣':(u'liao',), 
u'绪':(u'xu',), 
u'杯':(u'bei',), 
u'闸':(u'zha',), 
u'固':(u'gu',), 
u'薅':(u'hao',), 
u'辉':(u'hui',), 
u'醍':(u'ti',), 
u'咏':(u'yong',), 
u'库':(u'ku',), 
u'蔚':(u'wei', u'yu'), 
u'删':(u'shan',), 
u'鄢':(u'yan',), 
u'疥':(u'jie',), 
u'芫':(u'yan', u'yuan'), 
u'蒯':(u'kuai',), 
u'町':(u'ding',), 
u'蹈':(u'dao',), 
u'坎':(u'kan',), 
u'结':(u'jie',), 
u'蝮':(u'fu',), 
u'秽':(u'hui',), 
u'殆':(u'dai',), 
u'伉':(u'kang',), 
u'瞎':(u'xia',), 
u'袜':(u'wa',), 
u'氟':(u'fu',), 
u'冢':(u'zhong',), 
u'钤':(u'qian',), 
u'砧':(u'zhen',), 
u'宦':(u'huan',), 
u'悬':(u'xuan',), 
u'贵':(u'gui',), 
u'霹':(u'pi',), 
u'尿':(u'niao', u'sui'), 
u'臂':(u'bei', u'bi'), 
u'故':(u'gu',), 
u'识':(u'shi', u'zhi'), 
u'筑':(u'zhu',), 
u'揖':(u'yi',), 
u'濞':(u'bi',), 
u'卡':(u'ka', u'qia'), 
u'啥':(u'sha',), 
u'篦':(u'bi',), 
u'彩':(u'cai',), 
u'扫':(u'sao',), 
u'胬':(u'nu',), 
u'叶':(u'xie', u'ye'), 
u'忾':(u'kai',), 
u'压':(u'ya',), 
u'喏':(u're', u'nuo'), 
u'骑':(u'qi',), 
u'鲕':(u'er',), 
u'踞':(u'ju',), 
u'匠':(u'jiang',), 
u'逢':(u'feng',), 
u'唤':(u'huan',), 
u'纩':(u'kuang',), 
u'莫':(u'mo',), 
u'薯':(u'shu',), 
u'栲':(u'kao',), 
u'父':(u'fu',), 
u'荀':(u'xun',), 
u'柃':(u'ling',), 
u'酌':(u'zhuo',), 
u'噎':(u'ye',), 
u'蛙':(u'wa',), 
u'獠':(u'liao',), 
u'铥':(u'diu',), 
u'黩':(u'du',), 
u'罨':(u'yan',), 
u'惭':(u'can',), 
u'虮':(u'ji',), 
u'衲':(u'na',), 
u'泵':(u'beng',), 
u'盹':(u'dun',), 
u'鹾':(u'cuo',), 
u'蜃':(u'shen',), 
u'三':(u'san',), 
u'倍':(u'bei',), 
u'锏':(u'jian',), 
u'皎':(u'jiao',), 
u'娑':(u'suo',), 
u'鼓':(u'gu',), 
u'尕':(u'ga',), 
u'憬':(u'jing',), 
u'谵':(u'zhan',), 
u'扁':(u'bian', u'pian'), 
u'胂':(u'shen',), 
u'摅':(u'shu',), 
u'凌':(u'ling',), 
u'雎':(u'ju',), 
u'穑':(u'se',), 
u'寐':(u'mei',), 
u'飒':(u'sa',), 
u'拖':(u'tuo',), 
u'滞':(u'zhi',), 
u'剡':(u'yan', u'shan'), 
u'饧':(u'xing', u'tang'), 
u'竦':(u'song',), 
u'臬':(u'nie',), 
u'诰':(u'gao',), 
u'筻':(u'gang',), 
u'哺':(u'bu',), 
u'廾':(u'gong',), 
u'搀':(u'chan',), 
u'莅':(u'li',), 
u'栈':(u'zhan',), 
u'咋':(u'za', u'ze', u'zha'), 
u'鞍':(u'an',), 
u'瘌':(u'la',), 
u'墓':(u'mu',), 
u'稔':(u'ren',), 
u'茚':(u'yin',), 
u'东':(u'dong',), 
u'疡':(u'yang',), 
u'吠':(u'fei',), 
u'判':(u'pan',), 
u'芯':(u'xin',), 
u'鲻':(u'zi',), 
u'徽':(u'hui',), 
u'社':(u'she',), 
u'艄':(u'shao',), 
u'滇':(u'dian',), 
u'陌':(u'mo',), 
u'归':(u'gui',), 
u'违':(u'wei',), 
u'腮':(u'sai',), 
u'深':(u'shen',), 
u'轲':(u'ke',), 
u'毵':(u'san',), 
u'镶':(u'xiang',), 
u'燹':(u'xian',), 
u'幼':(u'you',), 
u'考':(u'kao',), 
u'殊':(u'shu',), 
u'肘':(u'zhou',), 
u'氛':(u'fen',), 
u'躜':(u'zuan', u'cuo'), 
u'樟':(u'zhang',), 
u'钠':(u'na',), 
u'瀣':(u'xie',), 
u'垢':(u'gou',), 
u'宪':(u'xian',), 
u'贱':(u'jian',), 
u'鄹':(u'zou',), 
u'炸':(u'zha',), 
u'尻':(u'kao',), 
u'鼽':(u'yan', u'qui'), 
u'捅':(u'tong',), 
u'跆':(u'tai',), 
u'诊':(u'zhen',), 
u'野':(u'ye',), 
u'嫔':(u'pin',), 
u'旖':(u'yi',), 
u'佝':(u'gou',), 
u'啡':(u'fei',), 
u'遣':(u'qian',), 
u'矢':(u'shi',), 
u'鹧':(u'zhe',), 
u'篪':(u'chi',), 
u'扯':(u'che',), 
u'郸':(u'dan',), 
u'类':(u'lei',), 
u'黼':(u'fu',), 
u'穿':(u'chuan',), 
u'攀':(u'pan',), 
u'喋':(u'die', u'zha'), 
u'隍':(u'huang',), 
u'鲑':(u'gui', u'xie'), 
u'妓':(u'ji',), 
u'笔':(u'bi',), 
u'唠':(u'lao',), 
u'阢':(u'wu',), 
u'渲':(u'xuan',), 
u'琶':(u'pa',), 
u'砾':(u'li',), 
u'珏':(u'jue',), 
u'偎':(u'wei',), 
u'魔':(u'mo',), 
u'胙':(u'zuo',), 
u'潜':(u'qian',), 
u'铡':(u'zha',), 
u'忧':(u'you',), 
u'票':(u'piao',), 
u'泱':(u'yang',), 
u'蹲':(u'dun',), 
u'烹':(u'peng',), 
u'典':(u'dian',), 
u'绽':(u'zhan',), 
u'彼':(u'bi',), 
u'顾':(u'gu',), 
u'暂':(u'zan',), 
u'沆':(u'hang',), 
u'锋':(u'feng',), 
u'炎':(u'yan',), 
u'少':(u'shao',), 
u'朗':(u'lang',), 
u'膘':(u'biao',), 
u'洛':(u'luo',), 
u'辜':(u'gu',), 
u'缧':(u'lei',), 
u'馨':(u'xin',), 
u'媪':(u'ao',), 
u'谱':(u'pu',), 
u'殴':(u'ou',), 
u'鸽':(u'ge',), 
u'羼':(u'chan',), 
u'摁':(u'en',), 
u'桉':(u'an',), 
u'癍':(u'ban',), 
u'郎':(u'lang',), 
u'蝗':(u'huang',), 
u'赛':(u'sai',), 
u'拚':(u'pan',), 
u'九':(u'jiu',), 
u'酣':(u'han',), 
u'剥':(u'bo', u'bao'), 
u'敫':(u'jiao',), 
u'仲':(u'zhong',), 
u'说':(u'shuo', u'yue', u'tuo', u'shui'), 
u'勺':(u'shao',), 
u'昀':(u'yun',), 
u'怄':(u'ou',), 
u'馕':(u'nang',), 
u'研':(u'yan',), 
u'脚':(u'jiao', u'jue'), 
u'涝':(u'lao',), 
u'锢':(u'gu',), 
u'箩':(u'luo',), 
u'肯':(u'ken',), 
u'洲':(u'zhou',), 
u'钷':(u'po',), 
u'眶':(u'kuang',), 
u'麻':(u'ma',), 
u'笾':(u'bian',), 
u'但':(u'dan',), 
u'詈':(u'li',), 
u'华':(u'hua',), 
u'托':(u'tuo',), 
u'距':(u'ju',), 
u'汜':(u'si',), 
u'旭':(u'xu',), 
u'荮':(u'zhou',), 
u'买':(u'mai',), 
u'靶':(u'ba',), 
u'谇':(u'sui',), 
u'阋':(u'xi',), 
u'透':(u'tou',), 
u'玎':(u'ding',), 
u'弑':(u'shi',), 
u'夕':(u'xi',), 
u'芘':(u'pi', u'bi'), 
u'簧':(u'huang',), 
u'骨':(u'gu',), 
u'妪':(u'yu',), 
u'撬':(u'qiao',), 
u'犸':(u'ma',), 
u'帻':(u'ze',), 
u'粼':(u'lin',), 
u'歉':(u'qian',), 
u'觊':(u'ji',), 
u'哌':(u'pai',), 
u'网':(u'wang',), 
u'著':(u'zhu',), 
u'坡':(u'po',), 
u'痢':(u'li',), 
u'入':(u'ru',), 
u'翦':(u'jian',), 
u'孩':(u'hai',), 
u'蓬':(u'peng',), 
u'息':(u'xi',), 
u'裴':(u'pei',), 
u'瑷':(u'ai',), 
u'出':(u'chu',), 
u'蚁':(u'yi',), 
u'最':(u'zui',), 
u'誉':(u'yu',), 
u'型':(u'xing',), 
u'钍':(u'tu',), 
u'宓':(u'mi',), 
u'蘖':(u'nie',), 
u'鸦':(u'ya',), 
u'螫':(u'shi',), 
u'戮':(u'lu',), 
u'讳':(u'hui',), 
u'氲':(u'yun',), 
u'岽':(u'dong',), 
u'淇':(u'qi',), 
u'镌':(u'juan',), 
u'齐':(u'qi',), 
u'篓':(u'lou',), 
u'饔':(u'yong',), 
u'浜':(u'bang',), 
u'口':(u'kou',), 
u'煤':(u'mei',), 
u'巧':(u'qiao',), 
u'艮':(u'gen',), 
u'佰':(u'bai',), 
u'棵':(u'ke',), 
u'陶':(u'tao',), 
u'卸':(u'xie',), 
u'驾':(u'jia',), 
u'范':(u'fan',), 
u'撂':(u'liao',), 
u'溆':(u'xu',), 
u'名':(u'ming',), 
u'帑':(u'tang',), 
u'鬓':(u'bin',), 
u'粒':(u'li',), 
u'堕':(u'duo',), 
u'莘':(u'xin', u'shen'), 
u'椟':(u'du',), 
u'鞠':(u'ju',), 
u'紧':(u'jin',), 
u'度':(u'du', u'duo'), 
u'踱':(u'duo',), 
u'榴':(u'liu',), 
u'唷':(u'yo',), 
u'晁':(u'chao',), 
u'嗌':(u'ai',), 
u'忐':(u'tan',), 
u'硕':(u'shuo',), 
u'委':(u'wei',), 
u'惚':(u'hu',), 
u'襟':(u'jin',), 
u'瓢':(u'piao',), 
u'健':(u'jian',), 
u'绦':(u'tao',), 
u'述':(u'shu',), 
u'要':(u'yao',), 
u'栀':(u'zhi',), 
u'辅':(u'fu',), 
u'序':(u'xu',), 
u'醑':(u'xu',), 
u'堠':(u'hou',), 
u'吨':(u'dun',), 
u'被':(u'bei',), 
u'霪':(u'yin',), 
u'躯':(u'qu',), 
u'洮':(u'tao',), 
u'挲':(u'suo',), 
u'骷':(u'ku',), 
u'邻':(u'lin',), 
u'缺':(u'que',), 
u'甾':(u'zai',), 
u'血':(u'xue', u'xie'), 
u'蹄':(u'ti',), 
u'拇':(u'mu',), 
u'磋':(u'cuo',), 
u'经':(u'jing',), 
u'遐':(u'xia',), 
u'卒':(u'zu',), 
u'陔':(u'gai',), 
u'菝':(u'ba',), 
u'闩':(u'shuan',), 
u'饶':(u'rao',), 
u'调':(u'tiao', u'diao'), 
u'殂':(u'cu',), 
u'樗':(u'chu',), 
u'貘':(u'mo',), 
u'怛':(u'da',), 
u'芜':(u'wu',), 
u'星':(u'xing',), 
u'颠':(u'dian',), 
u'客':(u'ke',), 
u'钨':(u'wu',), 
u'檬':(u'meng',), 
u'脱':(u'tuo',), 
u'暴':(u'pu', u'bao'), 
u'嘿':(u'hei',), 
u'诂':(u'gu',), 
u'仄':(u'ze',), 
u'臆':(u'yi',), 
u'敉':(u'mi',), 
u'蟊':(u'mao',), 
u'嫌':(u'xian',), 
u'囔':(u'nang',), 
u'桫':(u'suo',), 
u'胰':(u'yi',), 
u'蛴':(u'qi',), 
u'穷':(u'qiong',), 
u'嗾':(u'sou',), 
u'袁':(u'yuan',), 
u'躅':(u'zhu',), 
u'蒉':(u'kui',), 
u'邑':(u'yi',), 
u'焐':(u'wu',), 
u'蠖':(u'huo',), 
u'沙':(u'sha',), 
u'碡':(u'zhou',), 
u'纥':(u'he', u'ge'), 
u'逦':(u'li',), 
u'璩':(u'qu',), 
u'阪':(u'ban',), 
u'氮':(u'dan',), 
u'蕈':(u'xun',), 
u'秋':(u'qiu',), 
u'屎':(u'shi',), 
u'酐':(u'gan',), 
u'祠':(u'ci',), 
u'黥':(u'qing',), 
u'铩':(u'sha',), 
u'色':(u'shai', u'se'), 
u'顶':(u'ding',), 
u'茇':(u'ba',), 
u'锓':(u'qin',), 
u'犒':(u'kao',), 
u'亚':(u'ya',), 
u'莜':(u'you',), 
u'期':(u'qi',), 
u'伯':(u'bai', u'bo'), 
u'耱':(u'mo',), 
u'嬷':(u'ma',), 
u'桁':(u'heng',), 
u'俄':(u'e',), 
u'胆':(u'dan',), 
u'蛊':(u'gu',), 
u'富':(u'fu',), 
u'鳎':(u'ta',), 
u'埔':(u'pu', u'bu'), 
u'滚':(u'gun',), 
u'擞':(u'sou',), 
u'烦':(u'fan',), 
u'楫':(u'ji',), 
u'诬':(u'wu',), 
u'筷':(u'kuai',), 
u'壶':(u'hu',), 
u'建':(u'jian',), 
u'睿':(u'rui',), 
u'超':(u'chao',), 
u'馍':(u'mo',), 
u'砌':(u'qi',), 
u'嚓':(u'ca', u'cha'), 
u'丘':(u'qiu',), 
u'憝':(u'dui',), 
u'蜞':(u'qi',), 
u'管':(u'guan',), 
u'娠':(u'shen',), 
u'尤':(u'you',), 
u'瞩':(u'zhu',), 
u'锪':(u'huo',), 
u'冽':(u'lie',), 
u'钿':(u'tian', u'dian'), 
u'立':(u'li',), 
u'这':(u'zhe',), 
u'湘':(u'xiang',), 
u'僧':(u'seng',), 
u'韩':(u'han',), 
u'槭':(u'qi',), 
u'轮':(u'lun',), 
u'幸':(u'xing',), 
u'概':(u'gai',), 
u'复':(u'fu',), 
u'美':(u'mei',), 
u'栗':(u'li',), 
u'戛':(u'jia',), 
u'肜':(u'rong',), 
u'骠':(u'biao', u'piao'), 
u'鲤':(u'li',), 
u'厦':(u'sha', u'xia'), 
u'茱':(u'zhu',), 
u'鼹':(u'yan',), 
u'纸':(u'zhi',), 
u'刻':(u'ke',), 
u'炼':(u'lian',), 
u'观':(u'guan',), 
u'浅':(u'qian',), 
u'杉':(u'sha', u'shan'), 
u'勐':(u'meng',), 
u'哔':(u'bi',), 
u'街':(u'jie',), 
u'毖':(u'bi',), 
u'余':(u'yu',), 
u'柞':(u'zuo', u'zha'), 
u'鹣':(u'jian',), 
u'坩':(u'gan',), 
u'痪':(u'huan',), 
u'修':(u'xiu',), 
u'硷':(u'jian',), 
u'侃':(u'kan',), 
u'貅':(u'xiu',), 
u'洄':(u'hui',), 
u'月':(u'yue',), 
u'宋':(u'song',), 
u'颍':(u'ying',), 
u'垓':(u'gai',), 
u'钕':(u'nv',), 
u'优':(u'you',), 
u'谚':(u'yan',), 
u'悝':(u'kui',), 
u'粥':(u'zhou',), 
u'崤':(u'yao',), 
u'在':(u'zai',), 
u'讫':(u'qi',), 
u'螳':(u'tang',), 
u'庹':(u'tuo',), 
u'瘾':(u'yin',), 
u'资':(u'zi',), 
u'蝈':(u'guo',), 
u'镔':(u'bin',), 
u'潘':(u'pan',), 
u'胝':(u'zhi',), 
u'髡':(u'kun',), 
u'筠':(u'yun', u'jun'), 
u'雩':(u'yu',), 
u'睨':(u'ni',), 
u'拱':(u'gong',), 
u'驶':(u'shi',), 
u'烽':(u'feng',), 
u'兼':(u'jian',), 
u'堍':(u'tu',), 
u'刑':(u'xing',), 
u'霓':(u'ni',), 
u'炒':(u'chao',), 
u'吕':(u'lv',), 
u'辘':(u'lu',), 
u'挛':(u'luan',), 
u'膜':(u'mo',), 
u'缣':(u'jian',), 
u'咪':(u'mi',), 
u'舱':(u'cang',), 
u'掰':(u'bai',), 
u'夷':(u'yi',), 
u'鸹':(u'gua',), 
u'羸':(u'lei',), 
u'医':(u'yi',), 
u'唿':(u'hu',), 
u'裂':(u'lie',), 
u'蓊':(u'weng',), 
u'黎':(u'li',), 
u'瑕':(u'xia',), 
u'嗔':(u'chen',), 
u'乙':(u'yi',), 
u'荛':(u'rao',), 
u'履':(u'lv',), 
u'噩':(u'e',), 
u'浯':(u'wu',), 
u'菰':(u'gu',), 
u'杳':(u'yao',), 
u'祷':(u'dao',), 
u'畿':(u'ji',), 
u'图':(u'tu',), 
u'趁':(u'chen',), 
u'琐':(u'suo',), 
u'枝':(u'zhi',), 
u'脞':(u'cuo',), 
u'鼢':(u'fen',), 
u'锦':(u'jin',), 
u'倨':(u'ju',), 
u'妹':(u'mei',), 
u'钻':(u'zuan',), 
u'笺':(u'jian',), 
u'鹌':(u'an',), 
u'奎':(u'kui',), 
u'仗':(u'zhang',), 
u'旱':(u'han',), 
u'矽':(u'xi',), 
u'噼':(u'pi',), 
u'酾':(u'shi',), 
u'蠃':(u'luo',), 
u'掊':(u'pou',), 
u'唑':(u'zuo',), 
u'瞒':(u'man',), 
u'匕':(u'bi',), 
u'渗':(u'shen',), 
u'搛':(u'jian',), 
u'蚜':(u'ya',), 
u'戟':(u'ji',), 
u'鲠':(u'geng',), 
u'砣':(u'tuo',), 
u'骤':(u'zhou',), 
u'撰':(u'zhuan',), 
u'茵':(u'yin',), 
u'帷':(u'wei',), 
u'吻':(u'wen',), 
u'刿':(u'gui',), 
u'流':(u'liu',), 
u'迂':(u'yu',), 
u'菊':(u'ju',), 
u'哐':(u'kuang',), 
u'淖':(u'nao',), 
u'葛':(u'ge',), 
u'艟':(u'chong',), 
u'孥':(u'nu',), 
u'陧':(u'nie',), 
u'痦':(u'wu',), 
u'蓰':(u'xi',), 
u'恳':(u'ken',), 
u'苴':(u'ju',), 
u'寺':(u'si',), 
u'牿':(u'gu',), 
u'肉':(u'rou',), 
u'愈':(u'yu',), 
u'缌':(u'si',), 
u'宏':(u'hong',), 
u'谖':(u'xuan',), 
u'暝':(u'ming',), 
u'鸢':(u'yuan',), 
u'窥':(u'kui',), 
u'亭':(u'ting',), 
u'讯':(u'xun',), 
u'膳':(u'shan',), 
u'赀':(u'zi',), 
u'腈':(u'jing',), 
u'镐':(u'hao', u'gao'), 
u'俗':(u'su',), 
u'裙':(u'qun',), 
u'杜':(u'du',), 
u'姣':(u'jiao',), 
u'煨':(u'wei',), 
u'佬':(u'lao',), 
u'衮':(u'gun',), 
u'奸':(u'jian',), 
u'驺':(u'zou',), 
u'坼':(u'che',), 
u'蜇':(u'zhe',), 
u'把':(u'ba',), 
u'鬏':(u'jiu',), 
u'碎':(u'sui',), 
u'向':(u'xiang',), 
u'挟':(u'xie',), 
u'咦':(u'yi',), 
u'努':(u'nu',), 
u'萱':(u'xuan',), 
u'新':(u'xin',), 
u'舵':(u'duo',), 
u'掴':(u'guai', u'guo'), 
u'阽':(u'yan', u'dian'), 
u'匿':(u'ni',), 
u'汁':(u'zhi',), 
u'苊':(u'e',), 
u'忌':(u'ji',), 
u'风':(u'feng',), 
u'雒':(u'luo',), 
u'叔':(u'shu',), 
u'泖':(u'mao',), 
u'荟':(u'hui',), 
u'屡':(u'lv',), 
u'饣':(u'si', u'shi'), 
u'绢':(u'juan',), 
u'瓦':(u'wa',), 
u'辁':(u'quan',), 
u'莉':(u'li',), 
u'戈':(u'ge',), 
u'庋':(u'gui',), 
u'簌':(u'su',), 
u'鞑':(u'da',), 
u'瘐':(u'yu',), 
u'劓':(u'yi',), 
u'褚':(u'chu', u'zhu'), 
u'羡':(u'xian',), 
u'堤':(u'di',), 
u'玩':(u'wan',), 
u'刨':(u'pao', u'bao'), 
u'身':(u'shen',), 
u'芳':(u'fang',), 
u'鲷':(u'diao',), 
u'缶':(u'fou',), 
u'容':(u'rong',), 
u'示':(u'shi',), 
u'喽':(u'lou',), 
u'猾':(u'hua',), 
u'蹀':(u'die',), 
u'衄':(u'nv',), 
u'绋':(u'fu',), 
u'限':(u'xian',), 
u'诙':(u'hui',), 
u'橘':(u'ju',), 
u'嫣':(u'yan',), 
u'哧':(u'chi',), 
u'柱':(u'zhu',), 
u'蕲':(u'qi',), 
u'懵':(u'meng',), 
u'饺':(u'jiao',), 
u'呼':(u'hu',), 
u'企':(u'qi',), 
u'涂':(u'tu',), 
u'疒':(u'chuang',), 
u'蒜':(u'suan',), 
u'稣':(u'su',), 
u'颤':(u'zhan', u'chan'), 
u'垦':(u'ken',), 
u'丫':(u'ya',), 
u'购':(u'gou',), 
u'蜱':(u'pi',), 
u'悴':(u'cui',), 
u'嘻':(u'xi',), 
u'什':(u'shen', u'shi'), 
u'蟆':(u'ma',), 
u'捉':(u'zhuo',), 
u'臊':(u'sao',), 
u'睑':(u'jian',), 
u'揞':(u'an',), 
u'彡':(u'shan',), 
u'奥':(u'ao',), 
u'卩':(u'jie',), 
u'湫':(u'qiu',), 
u'蛰':(u'zhe',), 
u'扳':(u'ban',), 
u'胴':(u'dong',), 
u'登':(u'deng',), 
u'铼':(u'lai',), 
u'灿':(u'can',), 
u'躁':(u'zao',), 
u'袅':(u'niao',), 
u'挈':(u'qie',), 
u'律':(u'lv',), 
u'鲍':(u'bao',), 
u'邕':(u'yong',), 
u'舞':(u'wu',), 
u'纡':(u'yu',), 
u'张':(u'zhang',), 
u'碥':(u'bian',), 
u'夤':(u'yin',), 
u'辫':(u'bian',), 
u'莳':(u'shi',), 
u'砺':(u'li',), 
u'咽':(u'yan', u'ye'), 
u'襄':(u'xiang',), 
u'呒':(u'm',), 
u'蓝':(u'lan',), 
u'竹':(u'zhu',), 
u'顺':(u'shun',), 
u'啼':(u'ti',), 
u'丁':(u'ding',), 
u'沂':(u'yi',), 
u'鼋':(u'yuan',), 
u'洗':(u'xi', u'xian'), 
u'望':(u'wang',), 
u'薜':(u'bi',), 
u'感':(u'gan',), 
u'龠':(u'yue',), 
u'岢':(u'ke',), 
u'伫':(u'zhu',), 
u'谭':(u'tan',), 
u'枰':(u'ping',), 
u'耵':(u'ding',), 
u'箸':(u'zhu',), 
u'圻':(u'qi',), 
u'疼':(u'teng',), 
u'儿':(u'er',), 
u'桅':(u'wei',), 
u'蛆':(u'qu',), 
u'扉':(u'fei',), 
u'籍':(u'ji',), 
u'铒':(u'er', u'keng'), 
u'棚':(u'peng',), 
u'幡':(u'fan',), 
u'塥':(u'ge',), 
u'镧':(u'lan',), 
u'剩':(u'sheng',), 
u'跬':(u'kui',), 
u'致':(u'zhi',), 
u'絷':(u'zhi',), 
u'延':(u'yan',), 
u'闼':(u'ta',), 
u'勾':(u'gou',), 
u'鞅':(u'yang',), 
u'戌':(u'xu', u'qu'), 
u'辕':(u'yuan',), 
u'渔':(u'yu',), 
u'疙':(u'ge',), 
u'箝':(u'qian',), 
u'娜':(u'nuo', u'na'), 
u'枥':(u'li',), 
u'涩':(u'se',), 
u'鲳':(u'chang',), 
u'徵':(u'cheng', u'zheng', u'zhi'), 
u'芷':(u'zhi',), 
u'机':(u'ji',), 
u'派':(u'pai',), 
u'附':(u'fu',), 
u'惋':(u'wan',), 
u'泓':(u'hong',), 
u'蟥':(u'huang',), 
u'晤':(u'wu',), 
u'汨':(u'mi',), 
u'班':(u'ban',), 
u'年':(u'nian',), 
u'毽':(u'jian',), 
u'耋':(u'die',), 
u'羊':(u'yang',), 
u'谓':(u'wei',), 
u'殒':(u'yun',), 
u'冖':(u'mi',), 
u'骜':(u'ao',), 
u'肠':(u'chang',), 
u'蚤':(u'zao',), 
u'侪':(u'chai',), 
u'犬':(u'quan',), 
u'碰':(u'peng',), 
u'蔹':(u'lian',), 
u'撸':(u'lu',), 
u'丿':(u'pie',), 
u'捍':(u'han',), 
u'诒':(u'yi',), 
u'仔':(u'zi',), 
u'孝':(u'xiao',), 
u'董':(u'dong',), 
u'火':(u'huo',), 
u'癯':(u'qu',), 
u'米':(u'mi',), 
u'湿':(u'shi',), 
u'喃':(u'nan',), 
u'隅':(u'yu',), 
u'眄':(u'mian',), 
u'宇':(u'yu',), 
u'芍':(u'shao',), 
u'椐':(u'ju',), 
u'演':(u'yan',), 
u'逖':(u'ti',), 
u'阚':(u'kan',), 
u'窝':(u'wo',), 
u'舢':(u'shan',), 
u'沩':(u'wei',), 
u'踪':(u'zong',), 
u'劭':(u'shao',), 
u'鞯':(u'jian',), 
u'琮':(u'cong',), 
u'庵':(u'an',), 
u'获':(u'huo',), 
u'痃':(u'xian',), 
u'剂':(u'ji',), 
u'篇':(u'pian',), 
u'懋':(u'mao',), 
u'柏':(u'bai', u'bo'), 
u'受':(u'shou',), 
u'铙':(u'nao',), 
u'胡':(u'hu',), 
u'狭':(u'xia',), 
u'绵':(u'mian',), 
u'虺':(u'hui',), 
u'锃':(u'zeng',), 
u'尉':(u'wei', u'yu'), 
u'丕':(u'pi',), 
u'猗':(u'yi',), 
u'缟':(u'gao',), 
u'欧':(u'ou',), 
u'圯':(u'yi',), 
u'鸵':(u'tuo',), 
u'净':(u'jing',), 
u'才':(u'cai',), 
u'桑':(u'sang',), 
u'呙':(u'guo',), 
u'拢':(u'long',), 
u'哮':(u'xiao',), 
u'捷':(u'jie',), 
u'诼':(u'zhuo',), 
u'龉':(u'yu',), 
u'亓':(u'qi',), 
u'气':(u'qi',), 
u'嘘':(u'xu',), 
u'锚':(u'mao',), 
u'斥':(u'chi',), 
u'謦':(u'qing',), 
u'丨':(u'shu',), 
u'贪':(u'tan',), 
u'钯':(u'ba',), 
u'肷':(u'qian',), 
u'漾':(u'yang',), 
u'鹈':(u'ti',), 
u'嵊':(u'sheng',), 
u'职':(u'zhi',), 
u'滓':(u'zi',), 
u'菡':(u'han',), 
u'迩':(u'er',), 
u'偬':(u'zong',), 
u'篱':(u'li',), 
u'饲':(u'si',), 
u'蕺':(u'ji',), 
u'槽':(u'cao',), 
u'轾':(u'zhi',), 
u'阃':(u'kun',), 
u'萏':(u'dan',), 
u'隘':(u'ai',), 
u'颜':(u'yan',), 
u'簟':(u'dian',), 
u'别':(u'bie',), 
u'炬':(u'ju',), 
u'启':(u'qi',), 
u'畅':(u'chang',), 
u'哄':(u'hong',), 
u'角':(u'jiao', u'jue'), 
u'遗':(u'yi',), 
u'佩':(u'pei',), 
u'蛸':(u'xiao', u'shao'), 
u'裼':(u'ti', u'xi'), 
u'俾':(u'bi',), 
u'垃':(u'la',), 
u'钅':(u'jin',), 
u'甄':(u'zhen',), 
u'妇':(u'fu',), 
u'缈':(u'miao',), 
u'皙':(u'xi',), 
u'夜':(u'ye',), 
u'抡':(u'lun',), 
u'耢':(u'lao',), 
u'谪':(u'zhe',), 
u'岵':(u'hu',), 
u'携':(u'xie',), 
u'趿':(u'ta',), 
u'镄':(u'fei',), 
u'婆':(u'po',), 
u'届':(u'jie',), 
u'腌':(u'yan', u'a'), 
u'族':(u'zu',), 
u'赔':(u'pei',), 
u'祜':(u'hu',), 
u'苡':(u'yi',), 
u'蓥':(u'ying',), 
u'热':(u're',), 
u'公':(u'gong',), 
u'孰':(u'shu',), 
u'嵴':(u'ji',), 
u'曹':(u'cao',), 
u'葺':(u'qi',), 
u'刁':(u'diao',), 
u'窆':(u'bian',), 
u'鞘':(u'qiao', u'shao'), 
u'笛':(u'di',), 
u'咚':(u'dong',), 
u'庞':(u'pang',), 
u'莠':(u'you',), 
u'薤':(u'xie',), 
u'辨':(u'bian',), 
u'逭':(u'huan',), 
u'熬':(u'ao',), 
u'唯':(u'wei',), 
u'枸':(u'ju', u'gou'), 
u'嗄':(u'a',), 
u'鳊':(u'bian',), 
u'恍':(u'huang',), 
u'蛎':(u'li',), 
u'裒':(u'pou',), 
u'汕':(u'shan',), 
u'酗':(u'xu',), 
u'噙':(u'qin',), 
u'绞':(u'jiao',), 
u'蝣':(u'you',), 
u'乩':(u'ji',), 
u'泪':(u'lei',), 
u'慷':(u'kang',), 
u'死':(u'si',), 
u'庇':(u'bi',), 
u'融':(u'rong',), 
u'昌':(u'chang',), 
u'趑':(u'zi',), 
u'氐':(u'di',), 
u'锖':(u'qing',), 
u'熙':(u'xi',), 
u'倘':(u'tang',), 
u'羝':(u'di',), 
u'帜':(u'zhi',), 
u'斡':(u'wo',), 
u'蜢':(u'meng',), 
u'接':(u'jie',), 
u'账':(u'zhang',), 
u'钫':(u'fang',), 
u'垭':(u'ya',), 
u'缲':(u'qiao',), 
u'宵':(u'xiao',), 
u'收':(u'shou',), 
u'挺':(u'ting',), 
u'烃':(u'ting',), 
u'坂':(u'ban',), 
u'织':(u'zhi',), 
u'囗':(u'wei',), 
u'菥':(u'xi',), 
u'桨':(u'jiang',), 
u'短':(u'duan',), 
u'噬':(u'shi',), 
u'酮':(u'tong',), 
u'婴':(u'ying',), 
u'唁':(u'yan',), 
u'逃':(u'tao',), 
u'包':(u'bao',), 
u'萋':(u'qi',), 
u'憎':(u'zeng',), 
u'蠓':(u'meng',), 
u'瘗':(u'yi',), 
u'厚':(u'hou',), 
u'妞':(u'niu',), 
u'芤':(u'kou',), 
u'含':(u'han',), 
u'霭':(u'ai',), 
u'悸':(u'ji',), 
u'哀':(u'ai',), 
u'祉':(u'zhi',), 
u'浑':(u'hun',), 
u'痖':(u'ya',), 
u'彝':(u'yi',), 
u'柢':(u'di',), 
u'淦':(u'gan',), 
u'毪':(u'mu',), 
u'牯':(u'gu',), 
u'晷':(u'gui',), 
u'胸':(u'xiong',), 
u'徇':(u'xun',), 
u'颉':(u'jie', u'xie'), 
u'蚍':(u'pi',), 
u'炙':(u'zhi',), 
u'报':(u'bao',), 
u'谦':(u'qian',), 
u'岱':(u'dai',), 
u'媵':(u'ying',), 
u'访':(u'fang',), 
u'栾':(u'luan',), 
u'镀':(u'du',), 
u'燃':(u'ran',), 
u'旋':(u'xuan',), 
u'婊':(u'biao',), 
u'蝌':(u'ke',), 
u'描':(u'miao',), 
u'赐':(u'ci',), 
u'乒':(u'ping',), 
u'巛':(u'chuan',), 
u'黝':(u'you',), 
u'察':(u'cha',), 
u'若':(u'ruo',), 
u'遮':(u'zhe',), 
u'葶':(u'ting',), 
u'惹':(u're',), 
u'艺':(u'yi',), 
u'佼':(u'jiao',), 
u'衾':(u'qin',), 
u'吁':(u'xu', u'yu'), 
u'皂':(u'zao',), 
u'茏':(u'long',), 
u'褓':(u'bao',), 
u'咖':(u'ga', u'ka'), 
u'增':(u'zeng',), 
u'愣':(u'leng',), 
u'瞬':(u'shun',), 
u'箴':(u'zhen',), 
u'踽':(u'ju',), 
u'瑁':(u'mao',), 
u'鳆':(u'fu',), 
u'胎':(u'tai',), 
u'轧':(u'zha', u'ya'), 
u'韬':(u'tao',), 
u'獯':(u'xun',), 
u'僮':(u'tong',), 
u'杷':(u'pa',), 
u'瘀':(u'yu',), 
u'醅':(u'pei',), 
u'搌':(u'zhan',), 
u'辑':(u'ji',), 
u'渐':(u'jian',), 
u'霖':(u'lin',), 
u'刘':(u'liu',), 
u'尜':(u'ga',), 
u'褪':(u'tun', u'tui'), 
u'邯':(u'han',), 
u'献':(u'xian',), 
u'款':(u'kuan',), 
u'陀':(u'tuo',), 
u'狃':(u'niu',), 
u'遄':(u'chuan',), 
u'糇':(u'hou',), 
u'衔':(u'xian',), 
u'哗':(u'hua',), 
u'廛':(u'chan',), 
u'恤':(u'xu',), 
u'诩':(u'xu',), 
u'翱':(u'ao',), 
u'蝶':(u'die',), 
u'腺':(u'xian',), 
u'嬉':(u'xi',), 
u'禊':(u'xi',), 
u'掎':(u'ji',), 
u'休':(u'xiu',), 
u'鲜':(u'xian',), 
u'砟':(u'zuo', u'zha'), 
u'实':(u'shi',), 
u'肤':(u'fu',), 
u'氧':(u'yang',), 
u'侦':(u'zhen',), 
u'锭':(u'ding',), 
u'纰':(u'pi',), 
u'碴':(u'cha',), 
u'茹':(u'ru',), 
u'主':(u'zhu',), 
u'贽':(u'zhi',), 
u'沼':(u'zhao',), 
u'睁':(u'zheng',), 
u'煅':(u'duan',), 
u'等':(u'deng',), 
u'鹛':(u'mei',), 
u'嵝':(u'lou',), 
u'既':(u'ji',), 
u'癫':(u'dian',), 
u'铬':(u'luo', u'ge'), 
u'灯':(u'deng',), 
u'叮':(u'ding',), 
u'已':(u'yi',), 
u'笈':(u'ji',), 
u'阖':(u'he',), 
u'通':(u'tong',), 
u'粝':(u'li',), 
u'檩':(u'lin',), 
u'鞫':(u'ju',), 
u'咭':(u'ji',), 
u'醯':(u'xi',), 
u'薷':(u'ru',), 
u'昶':(u'chang',), 
u'樾':(u'yue',), 
u'魈':(u'xiao',), 
u'毓':(u'yu',), 
u'鳝':(u'shan',), 
u'杠':(u'gang',), 
u'胥':(u'xu',), 
u'啬':(u'se',), 
u'绱':(u'shang',), 
u'彰':(u'zhang',), 
u'奴':(u'nu',), 
u'泽':(u'ze',), 
u'嘁':(u'qi',), 
u'娉':(u'ping',), 
u'脏':(u'zang',), 
u'丑':(u'chou',), 
u'缛':(u'ru',), 
u'挣':(u'zheng',), 
u'洧':(u'wei',), 
u'亦':(u'yi',), 
u'讨':(u'tao',), 
u'疬':(u'li',), 
u'鸱':(u'chi',), 
u'羰':(u'tang',), 
u'船':(u'chuan',), 
u'掸':(u'dan',), 
u'铂':(u'bo',), 
u'凄':(u'qi',), 
u'苎':(u'zhu',), 
u'俐':(u'li',), 
u'桕':(u'jiu',), 
u'镗':(u'tang',), 
u'盖':(u'ge', u'gai'), 
u'竞':(u'jing',), 
u'荣':(u'rong',), 
u'擢':(u'zhuo',), 
u'赧':(u'nan',), 
u'滦':(u'luan',), 
u'睫':(u'jie',), 
u'敷':(u'fu',), 
u'菸':(u'yan',), 
u'馁':(u'nei',), 
u'砀':(u'dang',), 
u'龅':(u'bao',), 
u'亏':(u'kui',), 
u'膑':(u'bin',), 
u'昔':(u'xi',), 
u'尘':(u'chen',), 
u'锞':(u'ke', u'kua', u'guo'), 
u'两':(u'liang',), 
u'斩':(u'zhan',), 
u'冱':(u'hu',), 
u'钳':(u'qian',), 
u'放':(u'fang',), 
u'鹄':(u'hu', u'gu'), 
u'兆':(u'zhao',), 
u'棋':(u'qi',), 
u'坊':(u'fang',), 
u'滏':(u'fu',), 
u'虔':(u'qian',), 
u'囟':(u'xin',), 
u'桠':(u'ya',), 
u'迥':(u'jiong',), 
u'藩':(u'fan',), 
u'淹':(u'yan',), 
u'轺':(u'yao',), 
u'揽':(u'lan',), 
u'蕾':(u'lei',), 
u'唉':(u'ai',), 
u'踏':(u'ta',), 
u'涎':(u'xian',), 
u'排':(u'pai',), 
u'稗':(u'bai',), 
u'妖':(u'yao',), 
u'瀛':(u'ying',), 
u'瘟':(u'wen',), 
u'窬':(u'yu',), 
u'鄱':(u'po',), 
u'皴':(u'cun',), 
u'费':(u'fei',), 
u'沸':(u'fei',), 
u'押':(u'ya',), 
u'祁':(u'qi',), 
u'罅':(u'xia',), 
u'哈':(u'ha',), 
u'跎':(u'tuo',), 
u'慑':(u'she',), 
u'遛':(u'liu',), 
u'陟':(u'zhi',), 
u'痞':(u'pi',), 
u'佥':(u'qian',), 
u'懦':(u'nuo',), 
u'硫':(u'liu',), 
u'差':(u'chai', u'ci', u'cha'), 
u'史':(u'shi',), 
u'恻':(u'ce',), 
u'俺':(u'an',), 
u'颁':(u'ban',), 
u'缄':(u'jian',), 
u'钉':(u'ding',), 
u'侏':(u'zhu',), 
u'蚕':(u'can',), 
u'朔':(u'shuo',), 
u'溥':(u'pu',), 
u'伤':(u'shang',), 
u'耦':(u'ou',), 
u'撩':(u'liao',), 
u'讷':(u'ne',), 
u'膻':(u'shan',), 
u'渺':(u'miao',), 
u'齄':(u'zha',), 
u'腐':(u'fu',), 
u'鳙':(u'yong',), 
u'凛':(u'lin',), 
u'域':(u'yu',), 
u'楠':(u'nan',), 
u'竭':(u'jie',), 
u'孬':(u'nao',), 
u'兰':(u'lan',), 
u'拽':(u'zhuai',), 
u'帅':(u'shuai',), 
u'吉':(u'ji',), 
u'蔓':(u'man', u'wan'), 
u'抒':(u'shu',), 
u'庚':(u'geng',), 
u'真':(u'zhen',), 
u'薨':(u'hong',), 
u'夫':(u'fu',), 
u'箬':(u'ruo',), 
u'弯':(u'wan',), 
u'唳':(u'li',), 
u'阵':(u'zhen',), 
u'涸':(u'he',), 
u'掼':(u'guan',), 
u'髂':(u'qia',), 
u'忄':(u'xin',), 
u'苒':(u'ran',), 
u'晕':(u'yun',), 
u'屙':(u'e',), 
u'绚':(u'xuan',), 
u'瓞':(u'die',), 
u'赣':(u'gan',), 
u'荧':(u'ying',), 
u'惦':(u'dian',), 
u'跸':(u'bi',), 
u'板':(u'ban',), 
u'稀':(u'xi',), 
u'栌':(u'lu',), 
u'成':(u'cheng',), 
u'搔':(u'sao',), 
u'帘':(u'lian',), 
u'倜':(u'ti',), 
u'霞':(u'xia',), 
u'殡':(u'bin',), 
u'缮':(u'shan',), 
u'隳':(u'hui',), 
u'喵':(u'miao',), 
u'袷':(u'jia', u'qia'), 
u'蒿':(u'hao',), 
u'练':(u'lian',), 
u'奂':(u'huan',), 
u'陈':(u'chen',), 
u'啊':(u'a',), 
u'行':(u'xing', u'hang'), 
u'低':(u'di',), 
u'哟':(u'yo',), 
u'诡':(u'gui',), 
u'代':(u'dai',), 
u'汤':(u'tang',), 
u'晨':(u'chen',), 
u'秭':(u'zi',), 
u'塬':(u'yuan',), 
u'酲':(u'cheng',), 
u'蝾':(u'rong',), 
u'圉':(u'yu',), 
u'谏':(u'jian',), 
u'澎':(u'peng',), 
u'砗':(u'che',), 
u'渣':(u'zha',), 
u'性':(u'xing',), 
u'蚨':(u'fu',), 
u'犰':(u'qiu',), 
u'锵':(u'qiang',), 
u'悼':(u'dao',), 
u'峄':(u'yi',), 
u'迎':(u'ying',), 
u'敕':(u'chi',), 
u'忮':(u'zhi',), 
u'铴':(u'tang',), 
u'桷':(u'jue',), 
u'胼':(u'pian',), 
u'骁':(u'xiao',), 
u'鲅':(u'ba',), 
u'眈':(u'dan',), 
u'袍':(u'pao',), 
u'芑':(u'qi',), 
u'弘':(u'hong',), 
u'炝':(u'qiang',), 
u'蠢':(u'chun',), 
u'沥':(u'li',), 
u'励':(u'li',), 
u'显':(u'xian',), 
u'毋':(u'wu',), 
u'告':(u'gao',), 
u'乎':(u'hu',), 
u'荐':(u'jian',), 
u'染':(u'ran',), 
u'姗':(u'shan',), 
u'罘':(u'fu',), 
u'叛':(u'pan',), 
u'郝':(u'hao',), 
u'煜':(u'yu',), 
u'嗟':(u'jie',), 
u'俣':(u'yu',), 
u'蛩':(u'qiong',), 
u'杨':(u'yang',), 
u'狱':(u'yu',), 
u'印':(u'yin',), 
u'滹':(u'hu',), 
u'豺':(u'chai',), 
u'虾':(u'xia',), 
u'威':(u'wei',), 
u'嘉':(u'jia',), 
u'蜓':(u'ting',), 
u'悒':(u'yi',), 
u'猛':(u'meng',), 
u'岚':(u'lan',), 
u'生':(u'sheng',), 
u'讠':(u'yan',), 
u'愧':(u'kui',), 
u'螨':(u'man',), 
u'现':(u'xian',), 
u'圳':(u'zhen',), 
u'疴':(u'ke',), 
u'踹':(u'chuai',), 
u'耽':(u'dan',), 
u'铊':(u'ta', u'she', u'tuo', u'shi', u'yi'), 
u'軎':(u'wei',), 
u'扑':(u'pu',), 
u'竖':(u'shu',), 
u'镟':(u'xuan',), 
u'腧':(u'shu',), 
u'拦':(u'lan',), 
u'间':(u'jian',), 
u'楷':(u'kai',), 
u'迸':(u'beng',), 
u'捻':(u'nian',), 
u'臼':(u'jiu',), 
u'境':(u'jing',), 
u'醉':(u'zui',), 
u'辍':(u'chuo',), 
u'渌':(u'lu',), 
u'搐':(u'chu',), 
u'鄞':(u'yin',), 
u'涡':(u'wo', u'guo'), 
u'憩':(u'qi',), 
u'鲫':(u'ji',), 
u'徭':(u'yao',), 
u'喱':(u'li',), 
u'邳':(u'pi',), 
u'欺':(u'qi',), 
u'商':(u'shang',), 
u'半':(u'ban',), 
u'癜':(u'dian',), 
u'募':(u'mu',), 
u'池':(u'chi',), 
u'该':(u'gai',), 
u'恨':(u'hen',), 
u'饮':(u'yin',), 
u'痱':(u'fei',), 
u'赶':(u'gan',), 
u'柽':(u'cheng',), 
u'腾':(u'teng',), 
u'疆':(u'jiang',), 
u'谋':(u'mou',), 
u'伍':(u'wu',), 
u'题':(u'ti',), 
u'琛':(u'chen',), 
u'定':(u'ding',), 
u'障':(u'zhang',), 
u'昧':(u'mei',), 
u'纬':(u'wei',), 
u'锱':(u'zi',), 
u'犴':(u'an',), 
u'筅':(u'xian',), 
u'鏊':(u'ao',), 
u'潍':(u'wei',), 
u'觎':(u'yu',), 
u'救':(u'jiu',), 
u'蟒':(u'mang',), 
u'捕':(u'bu',), 
u'鹗':(u'e',), 
u'篚':(u'fei',), 
u'坝':(u'ba',), 
u'衣':(u'yi',), 
u'旦':(u'dan',), 
u'揪':(u'jiu',), 
u'铰':(u'jiao',), 
u'裸':(u'luo',), 
u'承':(u'cheng',), 
u'鲁':(u'lu',), 
u'妃':(u'fei',), 
u'骅':(u'hua',), 
u'笄':(u'ji',), 
u'圜':(u'yuan', u'huan'), 
u'逞':(u'cheng',), 
u'没':(u'mo', u'mei'), 
u'踢':(u'ti',), 
u'萦':(u'ying',), 
u'航':(u'hang',), 
u'庭':(u'ting',), 
u'咱':(u'zan',), 
u'秃':(u'tu',), 
u'幂':(u'mi',), 
u'魄':(u'po',), 
u'呆':(u'dai',), 
u'淋':(u'lin',), 
u'削':(u'xue', u'xiao'), 
u'每':(u'mei',), 
u'荔':(u'li',), 
u'志':(u'zhi',), 
u'飙':(u'biao',), 
u'叟':(u'sou',), 
u'浠':(u'xi',), 
u'此':(u'ci',), 
u'胩':(u'ka',), 
u'慨':(u'kai',), 
u'续':(u'xu',), 
u'彬':(u'bin',), 
u'陲':(u'chui',), 
u'却':(u'que',), 
u'棹':(u'zhao',), 
u'封':(u'feng',), 
u'纂':(u'zuan',), 
u'娅':(u'ya',), 
u'震':(u'zhen',), 
u'犊':(u'du',), 
u'不':(u'bu',), 
u'脓':(u'nong',), 
u'缗':(u'min',), 
u'岖':(u'qu',), 
u'馘':(u'guo',), 
u'媚':(u'mei',), 
u'亢':(u'kang',), 
u'认':(u'ren',), 
u'膨':(u'peng',), 
u'鸭':(u'ya',), 
u'疰':(u'zhu',), 
u'蠹':(u'du',), 
u'籁':(u'lai',), 
u'寄':(u'ji',), 
u'铆':(u'mao',), 
u'湍':(u'tuan',), 
u'裎':(u'cheng',), 
u'糖':(u'tang',), 
u'镛':(u'yong',), 
u'滢':(u'ying',), 
u'擦':(u'ca',), 
u'壮':(u'zhuang',), 
u'闰':(u'run',), 
u'煳':(u'hu',), 
u'馅':(u'xian',), 
u'事':(u'shi',), 
u'怔':(u'zheng',), 
u'娘':(u'niang',), 
u'疝':(u'shan',), 
u'澡':(u'zao',), 
u'财':(u'cai',), 
u'掩':(u'yan',), 
u'笮':(u'ze',), 
u'甲':(u'jia',), 
u'况':(u'kuang',), 
u'漶':(u'huan',), 
u'肿':(u'zhong',), 
u'滋':(u'zi',), 
u'豌':(u'wan',), 
u'虐':(u'nve',), 
u'拓':(u'ta', u'tuo'), 
u'联':(u'lian',), 
u'四':(u'si',), 
u'瑜':(u'yu',), 
u'觥':(u'gong',), 
u'桤':(u'qi',), 
u'菩':(u'pu',), 
u'镲':(u'cha',), 
u'轶':(u'yi',), 
u'毹':(u'shu',), 
u'弁':(u'bian',), 
u'熊':(u'xiong',), 
u'骘':(u'zhi',), 
u'瘛':(u'chi',), 
u'钜':(u'ju',), 
u'袤':(u'mao',), 
u'芨':(u'ji',), 
u'刳':(u'ku',), 
u'蔽':(u'bi',), 
u'撼':(u'han',), 
u'释':(u'shi',), 
u'浍':(u'hui',), 
u'诎':(u'qu',), 
u'村':(u'cun',), 
u'慕':(u'mu',), 
u'孙':(u'sun',), 
u'陛':(u'bi',), 
u'珞':(u'luo',), 
u'寮':(u'liao',), 
u'嗲':(u'dia',), 
u'郴':(u'chen',), 
u'蓼':(u'liao',), 
u'恿':(u'yong',), 
u'缀':(u'zhui',), 
u'它':(u'ta',), 
u'颅':(u'lu',), 
u'喇':(u'la',), 
u'例':(u'li',), 
u'洌':(u'lie',), 
u'朐':(u'qu',), 
u'传':(u'zhuan', u'chuan'), 
u'谢':(u'xie',), 
u'耪':(u'pang',), 
u'岭':(u'ling',), 
u'戾':(u'li',), 
u'层':(u'ceng',), 
u'症':(u'zheng',), 
u'赌':(u'du',), 
u'腔':(u'qiang',), 
u'筘':(u'kou',), 
u'铝':(u'lv',), 
u'畜':(u'xu', u'chu'), 
u'裥':(u'jian',), 
u'嵬':(u'wei',), 
u'驮':(u'duo', u'tuo'), 
u'盱':(u'xu',), 
u'兴':(u'xing',), 
u'蹶':(u'jue',), 
u'艾':(u'yi', u'ai'), 
u'币':(u'bi',), 
u'鬃':(u'zong',), 
u'锇':(u'tie', u'e'), 
u'皆':(u'jie',), 
u'炊':(u'chui',), 
u'檎':(u'qin',), 
u'撒':(u'sa',), 
u'庖':(u'pao',), 
u'墚':(u'liang',), 
u'办':(u'ban',), 
u'欣':(u'xin',), 
u'莨':(u'liang', u'lang'), 
u'夯':(u'hang',), 
u'阱':(u'jing',), 
u'瞰':(u'kan',), 
u'逵':(u'kui',), 
u'落':(u'la', u'lao', u'luo'), 
u'於':(u'wu', u'yu'), 
u'繁':(u'po', u'fan'), 
u'硅':(u'gui',), 
u'集':(u'ji',), 
u'又':(u'you',), 
u'郊':(u'jiao',), 
u'恕':(u'shu',), 
u'靛':(u'dian',), 
u'狞':(u'ning',), 
u'乡':(u'xiang',), 
u'波':(u'bo',), 
u'曦':(u'xi',), 
u'祯':(u'zhen',), 
u'哲':(u'zhe',), 
u'海':(u'hai',), 
u'件':(u'jian',), 
u'诸':(u'zhu',),
u'苼':(u'sheng',),
u'芿':(u'reng',),
u'苅':(u'yi',),
u'苐':(u'di',),
}

latin_map = {
    u'À': u'A', u'Á': u'A', u'Â': u'A', u'Ã': u'A', u'Ä': u'A', u'Å': u'A', u'Æ': u'AE', u'Ç':
    u'C', u'È': u'E', u'É': u'E', u'Ê': u'E', u'Ë': u'E', u'Ì': u'I', u'Í': u'I', u'Î': u'I',
    u'Ï': u'I', u'Ð': u'D', u'Ñ': u'N', u'Ò': u'O', u'Ó': u'O', u'Ô': u'O', u'Õ': u'O', u'Ö':
    u'O', u'Ő': u'O', u'Ø': u'O', u'Ù': u'U', u'Ú': u'U', u'Û': u'U', u'Ü': u'U', u'Ű': u'U',
    u'Ý': u'Y', u'Þ': u'TH', u'ß': u'ss', u'à':u'a', u'á':u'a', u'â': u'a', u'ã': u'a', u'ä':
    u'a', u'å': u'a', u'æ': u'ae', u'ç': u'c', u'è': u'e', u'é': u'e', u'ê': u'e', u'ë': u'e',
    u'ì': u'i', u'í': u'i', u'î': u'i', u'ï': u'i', u'ð': u'd', u'ñ': u'n', u'ò': u'o', u'ó':
    u'o', u'ô': u'o', u'õ': u'o', u'ö': u'o', u'ő': u'o', u'ø': u'o', u'ù': u'u', u'ú': u'u',
    u'û': u'u', u'ü': u'u', u'ű': u'u', u'ý': u'y', u'þ': u'th', u'ÿ': u'y'
}

latin_symbol_map = {
    u'©':u'c'
}

greek_map = {
    u'α':u'a', u'β':u'b', u'γ':u'g', u'δ':u'd', u'ε':u'e', u'ζ':u'z', u'η':u'h', u'θ':u'8',
    u'ι':u'i', u'κ':u'k', u'λ':u'l', u'μ':u'm', u'ν':u'n', u'ξ':u'3', u'ο':u'o', u'π':u'p',
    u'ρ':u'r', u'σ':u's', u'τ':u't', u'υ':u'y', u'φ':u'f', u'χ':u'x', u'ψ':u'ps', u'ω':u'w',
    u'ά':u'a', u'έ':u'e', u'ί':u'i', u'ό':u'o', u'ύ':u'y', u'ή':u'h', u'ώ':u'w', u'ς':u's',
    u'ϊ':u'i', u'ΰ':u'y', u'ϋ':u'y', u'ΐ':u'i',
    u'Α':u'A', u'Β':u'B', u'Γ':u'G', u'Δ':u'D', u'Ε':u'E', u'Ζ':u'Z', u'Η':u'H', u'Θ':u'8',
    u'Ι':u'I', u'Κ':u'K', u'Λ':u'L', u'Μ':u'M', u'Ν':u'N', u'Ξ':u'3', u'Ο':u'O', u'Π':u'P',
    u'Ρ':u'R', u'Σ':u'S', u'Τ':u'T', u'Υ':u'Y', u'Φ':u'F', u'Χ':u'X', u'Ψ':u'PS', u'Ω':u'W',
    u'Ά':u'A', u'Έ':u'E', u'Ί':u'I', u'Ό':u'O', u'Ύ':u'Y', u'Ή':u'H', u'Ώ':u'W', u'Ϊ':u'I',
    u'Ϋ':u'Y'
}

turkish_map = {
    u'ş':u's', u'Ş':u'S', u'ı':u'i', u'İ':u'I', u'ç':u'c', u'Ç':u'C', u'ü':u'u', u'Ü':u'U',
    u'ö':u'o', u'Ö':u'O', u'ğ':u'g', u'Ğ':u'G'
}

russian_map = {
    u'а':u'a', u'б':u'b', u'в':u'v', u'г':u'g', u'д':u'd', u'е':u'e', u'ё':u'yo', u'ж':u'zh',
    u'з':u'z', u'и':u'i', u'й':u'j', u'к':u'k', u'л':u'l', u'м':u'm', u'н':u'n', u'о':u'o',
    u'п':u'p', u'р':u'r', u'с':u's', u'т':u't', u'у':u'u', u'ф':u'f', u'х':u'h', u'ц':u'c',
    u'ч':u'ch', u'ш':u'sh', u'щ':u'sh', u'ъ':u'', u'ы':u'y', u'ь':u'', u'э':u'e', u'ю':u'yu',
    u'я':u'ya',
    u'А':u'A', u'Б':u'B', u'В':u'V', u'Г':u'G', u'Д':u'D', u'Е':u'E', u'Ё':u'Yo', u'Ж':u'Zh',
    u'З':u'Z', u'И':u'I', u'Й':u'J', u'К':u'K', u'Л':u'L', u'М':u'M', u'Н':u'N', u'О':u'O',
    u'П':u'P', u'Р':u'R', u'С':u'S', u'Т':u'T', u'У':u'U', u'Ф':u'F', u'Х':u'H', u'Ц':u'C',
    u'Ч':u'Ch', u'Ш':u'Sh', u'Щ':u'Sh', u'Ъ':u'', u'Ы':u'Y', u'Ь':u'', u'Э':u'E', u'Ю':u'Yu',
    u'Я':u'Ya'
}

ukrainian_map = {
    u'Є':u'Ye', u'І':u'I', u'Ї':u'Yi', u'Ґ':u'G', u'є':u'ye', u'і':u'i', u'ї':u'yi', u'ґ':u'g'
}

czech_map = {
    u'č':u'c', u'ď':u'd', u'ě':u'e', u'ň': u'n', u'ř':u'r', u'š':u's', u'ť':u't', u'ů':u'u',
    u'ž':u'z', u'Č':u'C', u'Ď':u'D', u'Ě':u'E', u'Ň': u'N', u'Ř':u'R', u'Š':u'S', u'Ť':u'T',
    u'Ů':u'U', u'Ž':u'Z'
}

polish_map = {
    u'ą':u'a', u'ć':u'c', u'ę':u'e', u'ł':u'l', u'ń':u'n', u'ó':u'o', u'ś':u's', u'ź':u'z',
    u'ż':u'z', u'Ą':u'A', u'Ć':u'C', u'Ę':u'e', u'Ł':u'L', u'Ń':u'N', u'Ó':u'o', u'Ś':u'S',
    u'Ź':u'Z', u'Ż':u'Z'
}

latvian_map = {
    u'ā':u'a', u'č':u'c', u'ē':u'e', u'ģ':u'g', u'ī':u'i', u'ķ':u'k', u'ļ':u'l', u'ņ':u'n',
    u'š':u's', u'ū':u'u', u'ž':u'z', u'Ā':u'A', u'Č':u'C', u'Ē':u'E', u'Ģ':u'G', u'Ī':u'i',
    u'Ķ':u'k', u'Ļ':u'L', u'Ņ':u'N', u'Š':u'S', u'Ū':u'u', u'Ž':u'Z'
}
